commit 2aa16b5ea71db4912d7cb01415b6733178be3729
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Jul 22 12:43:28 2008 -0400

    update NEWS again

 NEWS |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit c61924a461d74b1ba226f409c83abcd2fae92409
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Jul 22 12:42:35 2008 -0400

    fix 'make distcheck'

 NEWS               |    1 +
 policy/Makefile.am |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 353105d64cd3020d3007822e8dfb14d009b33277
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Jul 22 12:32:37 2008 -0400

    update NEWS for release

 NEWS |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)

commit 6d51b505bcbfc3ab1d439db711dd12a5bbb71ff6
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Jul 22 12:29:13 2008 -0400

    update README (for the right wiki page) and COPYING (for my email
    address)

 COPYING |    2 +-
 README  |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 785a63bcb175bc9eee14c664353e82c5ca8a6206
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Jun 30 15:44:02 2008 -0400

    fix up permissions / docs for certain helpers and files/directories

    Also document in README why the various permissions/modes are
    used. Thanks to Michael Biebl <biebl@debian.org> for pointing this
    out.

 README                 |   87
 +++++++++++++++++++++++++++++++++++++++++++++--
 configure.in           |   12 ++++---
 src/polkit/Makefile.am |    2 +-
 3 files changed, 91 insertions(+), 10 deletions(-)

commit 15ae6e6acea3b1d1085d214294465fafc45af54b
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue May 6 12:45:28 2008 -0400

    always allow uid 0 to ask about authorizations for anyone

 polkitd/polkit-daemon.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a7e5318bc7a8dde8a876091fec830737c3f31074
Author: Joe Marcus Clarke <marcus@FreeBSD.org>
Date:   Thu May 1 17:02:56 2008 -0400

    remove watch on fd when reaching EOF

    On Wed, 2008-04-30 at 16:30 -0400, David Zeuthen wrote:
    > On Wed, 2008-04-30 at 16:21 -0400, Joe Marcus Clarke wrote:
    > > David Zeuthen wrote:
    > > > On Wed, 2008-04-30 at 13:52 -0400, Joe Marcus Clarke wrote:
    > > >> David Zeuthen wrote:
    > > >>> On Wed, 2008-04-30 at 13:44 -0400, Joe Marcus Clarke wrote:
    > > >>>> Correct.  I think it does read all the data, then the stream
    puts out
    > > >>>> EOF which causes the helper to be called ad infinitum.
    > > >>> I see. Mmm.. In that case, polkit_grant_io_func() can
    detect EOF
    > > >>> (getline() returning -1) and then call the remove_watch()
    method
    > > >>> supplied by polkit-gnome-manager.c right?
    > > >> It could, but what's the difference between that and returning
    FALSE in
    > > >> the caller?  Both would result in the watch being removed.
    And since
    > > >> the io_func reads the entire amount of data (until EOF)
    that shouldn't
    > > >> be a problem.
    > > >
    > > > The PAM conversation happens over that fd and for some cases
    I don't
    > > > think we read all the data at once. So there may be multiple
    calls to
    > > > polkit_grant_io_func(). As such, returning FALSE won't work
    for all
    > > > cases.
    > >
    > > It looks like it will (read all data).  The polkit_grant_io_func()
    runs
    > > in a while loop waiting for readline to return -1.  I don't
    see that
    > > this function ever returns to the caller until readline returns -1
    > > (signifying EOF or some other error).  Am I misunderstanding
    something?
    >
    > No, you're right, that's how it works right now. But in the
    future this
    > function might return control back to the application and then
    it needs
    > to be called again by the watch when the application goes to
    process the
    > main loop.
    >
    > Anyway, the other main reason I'd like polkit_grant_io_func()
    to call
    > remove_watch() as opposed to making io_watch_have_data() in
    > polkit-gnome-manager.c return FALSE is because of the fact that
    > PolicyKit-gnome is just one of many users of libpolkit-grant (others
    > right now are: polkit-auth(1), the PolicyKit-kde project that some
    > people are working on)

    That works.  Adding this hunk to polkit-grant.c fixes the problem:

    @@ -419,6 +420,8 @@ polkit_grant_io_func (PolKitGrant *polki

             if (line != NULL)
                     free (line);
    +
    +        polkit_grant->func_remove_watch (polkit_grant,
    polkit_grant->io_watch_id);
     }

     /**

    Joe

 src/polkit-grant/polkit-grant.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit af9fdf86802583671dcd7750fbdbcb099e318fb4
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Apr 30 13:23:05 2008 -0400

    fix typo

 src/polkit-dbus/Makefile.am |    2 +-
 src/polkit/Makefile.am      |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 8cd339bbb8c9c63a56251261a7b4cdae199b6f72
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Apr 30 13:21:04 2008 -0400

    fix autotools screwup

    I hate autotools.

 src/polkit-dbus/Makefile.am  |    9 +++++----
 src/polkit-grant/Makefile.am |    8 +++++---
 src/polkit/Makefile.am       |    9 +++++----
 3 files changed, 15 insertions(+), 11 deletions(-)

commit d626acf5157bac89d2fee0e15d5449eddc26f307
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Apr 30 13:11:25 2008 -0400

    fix some build stuff to so the test suites run

 src/polkit-dbus/Makefile.am  |    7 +++++--
 src/polkit-grant/Makefile.am |    7 +++++--
 src/polkit/Makefile.am       |    9 ++++++---
 3 files changed, 16 insertions(+), 7 deletions(-)

commit bde1337785b7d97fa21e60f7608abc1876f22a18
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Apr 30 12:54:08 2008 -0400

    need to link with libkit.la for some helpers

 src/polkit-dbus/Makefile.am  |    2 +-
 src/polkit-grant/Makefile.am |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 40c8b8aedf3de55c91af9b33c239587b3f2ec36a
Author: Joe Marcus Clarke <marcus@FreeBSD.org>
Date:   Wed Apr 30 12:46:02 2008 -0400

    add support for FreeBSD

    On Mon, 2008-04-21 at 15:06 -0400, David Zeuthen wrote:
    > On Sat, 2008-04-19 at 01:34 -0400, Joe Marcus Clarke wrote:
    > > I'm seeing a few PK problems on FreeBSD, but I'm not sure if
    this is a
    > > problem with our port, or an issue in general.  First, all of
    the tests
    > > David mentioned earlier (with polkit-auth) work.  The built-in
    tests
    > > also appear to work.  PK consumers also seem to work.
    > >
    > > What I'm noticing is that PolicyKit-gnome doesn't update in
    real-time.
    > > For example, if I launch polkit-gnome-authorization, then change a
    > > policy, the changes don't reflect in the GUI until I restart
    > > polkit-gnome-authorization.  Also, I'm not seeing any UI
    changes in
    > > polkit-gnome-example when I click on the various buttons (though
    > > polkit-gnome-manager does launch).
    >
    > This suggests that file monitoring of /var/lib/misc/PolicyKit.reload
    is
    > somehow botched. Is polkit_context_io_func() in polkit-context.c
    ever
    > called if you do
    >
    >  # touch /var/lib/misc/PolicyKit.reload
    >
    > Is it called if you manually grant/revoke an authorization using
    > polkit-auth(1)? (And does /var/lib/misc/PolicyKit.reload change
    mtime
    > in that case?)

    Thanks for your advice.  I was not monitoring the reload file for
    attribute changes, so I was missing the mtime change.  That is working
    now.

    I updated the PK diff with the portability fix.  I didn't actually use
    the Solaris code as it caused a slew of compiler warnings and other
    problems.  Instead, I went with creating a kit-lib.[ch] to store the
    missing functions.  As for strndup(), I stuck that in kit-string.c.  I
    wrapped all of these functions with configure checks to avoid
    hard-coding OS checks.  This should make it easier to port PK to other
    platforms.

    I would still like your advice on the IO problem with PK-gnome.
    I have
    changed io_watch_have_data() in polkit-gnome-manager.c to return FALSE
    instead of TRUE to auto-remove the IO watch.  As I said, FreeBSD's
    poll() continuously indicates EOF as a G_IO_IN condition until it is
    handled.  By returning FALSE here, the infinite loop is fixed, and I
    didn't notice any other problems.

    What problems could this cause?  Is there a better way of handling
    this?
    Thanks.

    http://www.marcuscom.com/downloads/pk/

    Joe

    --
    Joe Marcus Clarke
    FreeBSD GNOME Team      ::      gnome@FreeBSD.org
    FreeNode / #freebsd-gnome
    http://www.FreeBSD.org/gnome

 configure.in                                    |   32 +++++-
 src/kit/Makefile.am                             |    1 +
 src/kit/kit-file.c                              |    8 ++
 src/kit/kit-file.h                              |    1 +
 src/kit/kit-lib.c                               |  136
 +++++++++++++++++++++++
 src/kit/kit-lib.h                               |   52 +++++++++
 src/kit/kit-spawn.c                             |    1 +
 src/kit/kit-string.c                            |   22 ++++
 src/kit/kit.h                                   |    1 +
 src/polkit-dbus/polkit-read-auth-helper.c       |   18 ++--
 src/polkit-dbus/polkit-resolve-exe-helper.c     |   12 +--
 src/polkit-dbus/polkit-set-default-helper.c     |    9 +--
 src/polkit-grant/Makefile.am                    |    2 +-
 src/polkit-grant/polkit-explicit-grant-helper.c |    9 +--
 src/polkit-grant/polkit-grant-helper-pam.c      |   11 +--
 src/polkit-grant/polkit-grant-helper.c          |   11 +--
 src/polkit-grant/polkit-grant.c                 |   46 +--------
 src/polkit-grant/polkit-revoke-helper.c         |    9 +--
 src/polkit/polkit-config.c                      |    1 -
 src/polkit/polkit-context.c                     |  127
 +++++++++++++++++++++
 src/polkit/polkit-policy-cache.c                |    8 ++
 src/polkit/polkit-policy-file.c                 |   21 ----
 src/polkit/polkit-sysdeps.c                     |   41 +++++++-
 tools/polkit-auth.c                             |   73 ++++++++++++-
 24 files changed, 525 insertions(+), 127 deletions(-)

commit b9c851f19dacd1dfeb92da836c183f7a90b06186
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Apr 16 22:06:15 2008 -0400

    update NEWS for release

 NEWS |   63
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 62 insertions(+), 1 deletions(-)

commit 12582dad6560b2df9e3ea9e87a74419973908a47
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Apr 15 21:03:26 2008 -0400

    be careful about what symbols we export

 src/polkit-dbus/Makefile.am                  |    9 ++--
 src/polkit-dbus/polkit-dbus.c                |    4 +-
 src/polkit-grant/Makefile.am                 |   10 +++--
 src/polkit/Makefile.am                       |    3 +-
 src/polkit/polkit-action.c                   |    2 +-
 src/polkit/polkit-authorization-constraint.c |    2 +-
 src/polkit/polkit-authorization-db.c         |    2 +-
 src/polkit/polkit-authorization.c            |   14 +++---
 src/polkit/polkit-caller.c                   |    4 +-
 src/polkit/polkit-config.c                   |   44 ++++++++++----------
 src/polkit/polkit-context.c                  |   56
 +++++++++++++-------------
 src/polkit/polkit-debug.c                    |   10 +++--
 src/polkit/polkit-debug.h                    |    4 +-
 src/polkit/polkit-policy-cache.c             |    8 ++--
 src/polkit/polkit-policy-default.c           |   16 ++++----
 src/polkit/polkit-policy-file-entry.c        |    6 +-
 src/polkit/polkit-policy-file.c              |    2 +-
 src/polkit/polkit-seat.c                     |    2 +-
 src/polkit/polkit-session.c                  |    6 +-
 src/polkit/polkit-utils.c                    |    6 +-
 tools/Makefile.am                            |    4 +-
 21 files changed, 110 insertions(+), 104 deletions(-)

commit 1c4b06620cba12e8c22f2c6f22a7503436456fb2
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Apr 11 19:19:58 2008 -0400

    ensure object is first in the list/hash iterator callback functions

    This is useful for passing free / unref functions in.

 src/kit/kit-hash.c                    |   12 ++++++------
 src/kit/kit-hash.h                    |    8 ++++----
 src/kit/kit-list.c                    |    6 +++---
 src/kit/kit-list.h                    |    8 ++++----
 src/polkit-dbus/polkit-dbus.c         |   18 +++++++++---------
 src/polkit/polkit-authorization-db.c  |    2 +-
 src/polkit/polkit-policy-file-entry.c |   10 +++++-----
 7 files changed, 32 insertions(+), 32 deletions(-)

commit ea980bee14b790294ad644972be62ec3739a992f
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Apr 10 12:47:13 2008 -0400

    print warning to stderr if a policy file is malformed and we're
    ignoring it

 src/polkit/polkit-policy-cache.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 149a3df1926c24b51b0f0336ac051473aed980fe
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Apr 8 16:57:43 2008 -0400

    fix issue where users allowed to change defaults can delete override
    files

    More details at

     https://bugzilla.novell.com/show_bug.cgi?id=295341#c25

 NEWS                                        |    8 +++++++
 configure.in                                |    7 ++++-
 src/polkit-dbus/Makefile.am                 |    8 +++---
 src/polkit-dbus/polkit-set-default-helper.c |   31
 +++++++++-----------------
 src/polkit/Makefile.am                      |   14 ++++++------
 src/polkit/polkit-policy-file-entry.c       |    4 +-
 6 files changed, 37 insertions(+), 35 deletions(-)

commit 99310128ad956bdc1a27853a9f0274171c7aee40
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Apr 8 15:51:39 2008 -0400

    don't include libkit api docs

 doc/polkit-docs.xml |   21 ---------------------
 1 files changed, 0 insertions(+), 21 deletions(-)

commit 31da733c5b97a830afd92db6259e01a4cf9f5bd6
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Apr 8 15:48:38 2008 -0400

    fix build when tests are disabled

 src/kit/kit-memory.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 228a6ec9691c7382a9794c79e34dbf1f5316528b
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Apr 8 15:42:46 2008 -0400

    don't leak the copied authorizations list on OOM

    Now the test suite passes again.

 src/kit/kit-list.c                   |    6 ++++--
 src/polkit/polkit-authorization-db.c |   10 ++++++++--
 2 files changed, 12 insertions(+), 4 deletions(-)

commit fdea41e34e67f4007ab8705dccfaede4b9e95304
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Apr 8 15:41:54 2008 -0400

    clear the right block when growing a string

 src/kit/kit-string.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d0d42aa293e8784c5a47f9cf8acf92236a51a414
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Apr 8 15:41:11 2008 -0400

    print stack traces for where leaks were allocated

 src/kit/kit-memory.c |   84
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/kit/kit-memory.h |    1 +
 src/kit/kit-test.c   |    4 ++-
 3 files changed, 88 insertions(+), 1 deletions(-)

commit 00b85cf33fde2117ec1ea6fd89eb50fdb4d67be4
Author: Jim Li <Jim.Li@Sun.COM>
Date:   Tue Apr 8 12:27:37 2008 -0400

    add support for Solaris platform

    Add support for Solaris platform. The patch contains some implement
    for GNU library extentsion function which isn't support by Solaris,
    for instance, vasprintf(), strndup(), clearenv(), and clearenv(). Also
    rewriting some code which Sun compiler doesn't support, such as empty
    union name.

 configure.in                                    |   18 +++-
 src/kit/kit-file.h                              |    3 +
 src/kit/kit-message.h                           |    5 +
 src/kit/kit-spawn.c                             |  106 ++++++++--------
 src/kit/kit-spawn.h                             |    6 +-
 src/kit/kit-string.c                            |   20 +++
 src/kit/kit-string.h                            |    4 +
 src/kit/kit-test.c                              |    7 +
 src/kit/kit.h                                   |    6 +
 src/polkit-dbus/polkit-read-auth-helper.c       |   11 ++
 src/polkit-dbus/polkit-resolve-exe-helper.c     |   11 ++
 src/polkit-dbus/polkit-set-default-helper.c     |   11 ++
 src/polkit-grant/polkit-explicit-grant-helper.c |   11 ++
 src/polkit-grant/polkit-grant-helper-pam.c      |   14 ++
 src/polkit-grant/polkit-grant-helper.c          |   11 ++
 src/polkit-grant/polkit-grant.c                 |   44 +++++++
 src/polkit-grant/polkit-revoke-helper.c         |   11 ++
 src/polkit/polkit-authorization-constraint.c    |   30 +++---
 src/polkit/polkit-context.c                     |  150
 +++++++++++++++++++++++
 src/polkit/polkit-debug.h                       |    4 +
 src/polkit/polkit-error.h                       |    4 +
 src/polkit/polkit-policy-cache.c                |    3 +
 src/polkit/polkit-policy-file.c                 |   20 +++
 src/polkit/polkit-sysdeps.c                     |   56 +++++++++
 tools/polkit-auth.c                             |    3 +
 25 files changed, 496 insertions(+), 73 deletions(-)

commit 5bc86a14cc0e356bcf8b5f861674f842869b1be7
Author: Kees Cook <kees@outflux.net>
Date:   Fri Apr 4 02:26:30 2008 -0400

    fix for CVE-2008-1658: format string vulnerability in password input

    http://bugs.freedesktop.org/show_bug.cgi?id=15295

 configure.in                           |   10 ++++++++++
 src/polkit-grant/polkit-grant-helper.c |    4 ++--
 2 files changed, 12 insertions(+), 2 deletions(-)

commit 26c3fcb99014dcf1f01c6e9c5a7cb6db3e63b423
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Mar 17 02:27:00 2008 -0400

    remove more debug spew

 src/polkit/polkit-authorization-db.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit d6c6cd0838de24672996c241d6a7154e6bfea997
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Mar 17 02:26:08 2008 -0400

    remove debug spew

 src/polkit-grant/polkit-revoke-helper.c |    1 -
 src/polkit/polkit-authorization-db.c    |    2 --
 2 files changed, 0 insertions(+), 3 deletions(-)

commit 3c25a1759cf0795adcb199edbc762dd31599a815
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Mar 17 02:21:02 2008 -0400

    invalidate memory cache after revoking one shot authorization

 src/kit/kit-list.c                   |   28 ++++++++++++++++++++++++++++
 src/kit/kit-list.h                   |    1 +
 src/polkit/polkit-authorization-db.c |   25 ++++++++++++++++++++++---
 src/polkit/polkit-context.c          |    2 +-
 4 files changed, 52 insertions(+), 4 deletions(-)

commit 5fbde20956aab779fd9dc50b512564f544ff8170
Author: Jim Meyering <meyering@redhat.com>
Date:   Tue Mar 4 14:21:29 2008 +0100

    handle kit_strdup failure.

    * tools/polkit-policy-file-validate.c (validate_file):

    Signed-off-by: Jim Meyering <meyering@redhat.com>
    Signed-off-by: David Zeuthen <davidz@redhat.com>

 tools/polkit-policy-file-validate.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 038354db125c1471d283c30dbade9fbb7e1eefb1
Author: Jim Meyering <meyering@redhat.com>
Date:   Tue Mar 4 14:19:45 2008 +0100

    avoid unnecessary/leaky use of strdup.

    * polkit-grant-helper.c (main): Move the declaration of "buf"
    to the outer scope and use a pointer into it, instead.

    Signed-off-by: Jim Meyering <meyering@redhat.com>
    Signed-off-by: David Zeuthen <davidz@redhat.com>

 src/polkit-grant/polkit-grant-helper.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit a8a97bc37d08da95b4e7a7907ba18a5e8447bc7e
Author: Jim Meyering <meyering@redhat.com>
Date:   Tue Mar 4 14:09:52 2008 +0100

    (do_auth): rename local: s/buf/password/

    Signed-off-by: Jim Meyering <meyering@redhat.com>
    Signed-off-by: David Zeuthen <davidz@redhat.com>

 src/polkit-grant/polkit-grant-helper-shadow.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 83445eb999c5e595f122a03e3a094a0d7941e67e
Author: Jim Meyering <meyering@redhat.com>
Date:   Tue Mar 4 11:14:10 2008 +0100

    remove unnecessary strdup.

    * src/polkit-grant/polkit-grant-helper-shadow.c (do_auth):

    Signed-off-by: Jim Meyering <meyering@redhat.com>
    Signed-off-by: David Zeuthen <davidz@redhat.com>

 src/polkit-grant/polkit-grant-helper-shadow.c |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit 798208df31032eb028b004442119a77f1bd0bb76
Author: Jim Meyering <meyering@redhat.com>
Date:   Tue Mar 4 11:12:48 2008 +0100

    handle kit_strdup_printf failure.

    * src/polkit-dbus/polkit-dbus.c (polkit_caller_new_from_pid):

    Signed-off-by: Jim Meyering <meyering@redhat.com>
    Signed-off-by: David Zeuthen <davidz@redhat.com>

 src/polkit-dbus/polkit-dbus.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c50aeb847526c51bfdc613067a361a4f64d60dcd
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Mar 4 16:12:43 2008 -0500

    clarify docs for POLKIT_AUTHORIZATION_CONSTRAINT_TYPE_REQUIRE_EXE

 src/polkit/polkit-authorization-constraint.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4aa626d0f8b9bf9a72880a567e48f472228eca8c
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Mar 4 15:10:24 2008 -0500

    don't check key/values in KitHash; they are not neccesarily pointers

 src/kit/kit-hash.c |   10 ++--------
 1 files changed, 2 insertions(+), 8 deletions(-)

commit cef9da3c48fd209b581654a4a6735147b7c0d52e
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Feb 29 13:56:24 2008 -0500

    fix typo in docs for polkit_dbus_error_parse_from_strings()

 src/polkit-dbus/polkit-simple.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d6d484216780acedf1545354464753528808bb09
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Feb 28 12:28:39 2008 -0500

    also add polkit_dbus_error_parse_from_strings() function

    This is useful when using D-Bus bindings, such as dbus-glib, that
    don't expose the DBusError object directly.

 src/polkit-dbus/polkit-simple.c |   34 +++++++++++++++++++++++++++++++++-
 src/polkit-dbus/polkit-simple.h |    1 +
 2 files changed, 34 insertions(+), 1 deletions(-)

commit 58f0474286541970f6b535189514d706d9985cc2
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Feb 27 20:05:30 2008 -0500

    add convenience API to consistently report authorization failures
    over D-Bus

 src/polkit-dbus/polkit-simple.c |  153
 +++++++++++++++++++++++++++++++++++++++
 src/polkit-dbus/polkit-simple.h |    3 +
 src/polkit/polkit-action.c      |   94 +++++++++++++++++++++++-
 src/polkit/polkit-action.h      |    5 ++
 4 files changed, 253 insertions(+), 2 deletions(-)

commit 2b1a2a69f6366534609a0671f3f2e92369cb3fa1
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Feb 26 17:19:31 2008 -0500

    make polkit-policy-file-validate require that actions are properly
    packaged

    Meaning this bit was added to the spec:

       The name of the XML file is significant. Each XML file can only
       declare actions from the namespace of it's own name; for example
       actions org.foobar.action-a, org.foobar.action-b and
       org.foobar.action-c would all go into the file org.foobar.policy
       while actions com.my-company.product-awesome.action-a,
       com.mycompany.product-awesome.action-b would go into the file
       com.mycompany.product-awesome.policy.

    This is the output of the validator on a broken .policy file

      $ polkit-policy-file-validate
      /usr/share/PolicyKit/policy/gnome-clock-applet-mechanism.policy
      WARNING: The action org.gnome.clockapplet.mechanism.configurehwclock
      does not
               belong in a policy file named
               gnome-clock-applet-mechanism.policy.
               A future version of PolicyKit will ignore this action.

      WARNING: The action org.gnome.clockapplet.mechanism.settime does not
               belong in a policy file named
               gnome-clock-applet-mechanism.policy.
               A future version of PolicyKit will ignore this action.

      WARNING: The action org.gnome.clockapplet.mechanism.settimezone
      does not
               belong in a policy file named
               gnome-clock-applet-mechanism.policy.
               A future version of PolicyKit will ignore this action.

      ERROR:
      /usr/share/PolicyKit/policy/gnome-clock-applet-mechanism.policy
      did not validate

    We currently don't enforce this but will in a future version. The
    rationale is that we can avoid loading all .policy files at startup
    which would be a performance win.

 doc/spec/polkit-spec-configuration.xml |   15 +++++-
 tools/polkit-policy-file-validate.c    |   86
 +++++++++++++++++++++++++++-----
 2 files changed, 88 insertions(+), 13 deletions(-)

commit b3930e8b942ba7f14a7c29a9411fc846d2d8449b
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Feb 26 16:45:49 2008 -0500

    fix doc in bugs for PolKitContextAddIOWatch

    pointed out by Dan Winship.

 src/polkit/polkit-context.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0b59d3e7d4b282da308b362dc440b007b9ecedbf
Author: Holger Macht <hmacht@suse.de>
Date:   Tue Feb 26 16:05:23 2008 -0500

    avoid reliance on DT_REG so we work on reiserfs as well

    (with minor fixes from davidz for avoiding memory leaks)

    Recently I wondered why PolicyKit (especially polkit-auth) does
    not work
    on my system. While debugging, I noticed that the corresponding
    code works
    in my home directory, but not in the root filesystem.

    readdir() and its d_type are the culprits. Quoting the readdir
    manpage:

    [...]
    Other than Linux, the d_type field is available mainly only on BSD
    systems.  This field makes it possible to avoid the expense of calling
    stat() if further actions depend on the type of the file.
    [...]

    Filesystems may fill DT_UNKNOWN into this field, which reiserfs
    does, so
    call stat instead, which always does the right thing.

    Signed-off-by: Holger Macht <hmacht@suse.de>

 src/polkit-dbus/polkit-read-auth-helper.c |   20 +++++++++++++-------
 src/polkit/polkit-policy-cache.c          |   25
 ++++++++++++++++++-------
 2 files changed, 31 insertions(+), 14 deletions(-)

commit fd51264a459d4e0ac0fecfabcc42c0ecca425050
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Feb 26 15:48:39 2008 -0500

    avoid use normal timeout when showing auth dialog; use INT_MAX instead

    Reported by Dan P. Berrange.

 src/polkit-dbus/polkit-simple.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 4cfb96627a5afbe34c0bc583bdcf4caf306bf1a5
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Dec 18 13:50:38 2007 -0500

    actually check for bash in polkit-bash-completion.sh

    Some zsh users complained about this

    https://bugzilla.redhat.com/show_bug.cgi?id=418471

 tools/polkit-bash-completion.sh |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 0d7167147f85f1bc046f8b6024667eec8d2c3dde
Author: Carlos Corbacho <carlos@strangeworlds.co.uk>
Date:   Mon Dec 17 12:14:04 2007 -0500

    also add the new C file for the shadow helper

 src/polkit-grant/polkit-grant-helper-shadow.c |  151
 +++++++++++++++++++++++++
 1 files changed, 151 insertions(+), 0 deletions(-)

commit ba2003a9492a7ef1fabcb6ae7997cfc8e5f15adf
Author: Carlos Corbacho <carlos@strangeworlds.co.uk>
Date:   Sun Dec 16 22:59:30 2007 -0500

    add Shadow authentication framework

    Add Piter PUNK's polkit-grant-helper-shadow, and link against the
    appropriate libraries.

    For now, the Shadow framework must be explictily called - in future,
    this could also be added as a fallback if PAM is not available.

 configure.in                           |    9 ++++++++-
 src/polkit-grant/Makefile.am           |   19 +++++++++++++++++++
 src/polkit-grant/polkit-grant-helper.c |    7 +++++++
 3 files changed, 34 insertions(+), 1 deletions(-)

commit 59081d0a25f6f3227ccba960fa486fd7111baeef
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Dec 16 22:40:10 2007 -0500

    make polkit-grant-helper-pam world readable

    This is to avoid breaking various backup and IDS software - proposed
    by Michael Biebl <mbiebl@gmail.com>.

 configure.in                 |    2 +-
 src/polkit-grant/Makefile.am |    8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

commit b5e019d783af8651db8e962c47b39942677ca6fd
Author: Carlos Corbacho <carlos@strangeworlds.co.uk>
Date:   Sun Dec 16 21:21:16 2007 -0500

    split out authentication framework from authorisation database

    As per discussions with David Zeuthen, alter the build system so
    that we
    can have different authentication frameworks for the authorisation
    databases.

    For now, the dummy database will only accept 'none' for the
    authentication
    framework (this will be autoselected if not specified, and configure
    will
    throw an error if any other framework than 'none' is specified
    is passed
    in).

    For the default database, the only available framework for now is
    'pam'
    (as with 'none' and dummy, 'pam' will be autoselected if specified
    as the
    framework. If 'none' is passed as a framework, configure will
    reject this
    and fail).

    PAM specific code is now also marked with POLKIT_AUTHFW_PAM, so
    that it
    can be easily compiled out if other frameworks are added in future.

 configure.in                           |   51
 ++++++++++++++++++++++++++++++-
 data/Makefile.am                       |    2 +-
 src/polkit-grant/Makefile.am           |   18 ++++++++++-
 src/polkit-grant/polkit-grant-helper.c |    6 ++++
 4 files changed, 72 insertions(+), 5 deletions(-)

commit 28dc31692a1f5e53b38f1218b86c38541997c639
Author: Carlos Corbacho <carlos@strangeworlds.co.uk>
Date:   Sun Dec 16 21:11:31 2007 -0500

    remove unncessary PAM header inclusions

    Many files are needlessly including PAM headers, when the code
    in question
    has no PAM dependency - remove the PAM includes from these.

 src/polkit-dbus/polkit-read-auth-helper.c       |    1 -
 src/polkit-dbus/polkit-set-default-helper.c     |    1 -
 src/polkit-grant/polkit-explicit-grant-helper.c |    1 -
 src/polkit-grant/polkit-revoke-helper.c         |    1 -
 4 files changed, 0 insertions(+), 4 deletions(-)

commit cd836a754c86e7a154f1533b3400c5a5ecd18edd
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Dec 7 13:37:19 2007 -0500

    make the docs show an index of new symbols in 0.8

 doc/polkit-docs.xml |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 2c331fe6948a5a420eaaea6ca3e6765cfaa49a37
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Dec 7 13:35:36 2007 -0500

    fix typo in docs

 src/polkit/polkit-authorization-constraint.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1d464bda6099828cde4dc9277506767c65d7b6d3
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Dec 7 13:25:17 2007 -0500

    add docs and bash completion bits for new exe and selinux_context
    constraints

 doc/man/polkit-auth.xml                      |  152
 ++++++++++++++++++++++++--
 src/polkit/polkit-authorization-constraint.c |    4 +-
 tools/polkit-bash-completion.sh              |    4 +-
 3 files changed, 146 insertions(+), 14 deletions(-)

commit 46005c49dbcdf0655e986fdf45fd869c81498d10
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Dec 7 12:00:36 2007 -0500

    add additional checks when using strtoul

    Pointed out by Martin Pitt <martin.pitt@ubuntu.com>.

 src/polkit-dbus/polkit-read-auth-helper.c   |    2 +-
 src/polkit-dbus/polkit-resolve-exe-helper.c |    2 +-
 src/polkit/polkit-authorization.c           |   10 +++++-----
 3 files changed, 7 insertions(+), 7 deletions(-)

commit 5f42b40de391b2615996e1d5d6bbd0a3518a0b9e
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Dec 7 01:37:37 2007 -0500

    add note about new polkit-resolve-exe-helper

 configure.in |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit a8e46ceb39137582b0fbacb69fdfda72ae7139f8
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Dec 7 01:35:30 2007 -0500

    add constraints for exe and SELinux context when granting an
    authorization

    The way it works is that added constraints now look like this

    scope=always:action-id=org.pulseaudio.acquire-high-priority:when=1197004781:auth-as=0:constraint=local:constraint=active:constraint=exe%3A%2Fusr%2Fbin%2Fpulseaudio:constraint=selinux_context%3Asystem_u%3Asystem_r%3Aunconfined_t

    or if not using SELinux like this

    scope=always:action-id=org.freedesktop.hal.storage.mount-fixed:when=1197008218:auth-as=0:constraint=local:constraint=active:constraint=exe%3A%2Fusr%2Fbin%2Fgnome-mount

    This is a bit icky to implement for mechanisms, like HAL, running as
    an unprivileged user. The problem is that we can't resolve the symlink
    /proc/pid/exe. On the other hands such mechanisms has the
    authorization org.freedesktop.policykit.read already. So use that.

    Note that this is what some people call snake-oil. The reason is
    in the
    docs for polkit_sysdeps_get_pid_for_exe(); copying it here so I
    can point
    people to this commit in the future

      Get the name of the binary a given process was started from.

      Note that this is not necessary reliable information and as such
      shouldn't be relied on 100% to make a security decision. In fact,
      this information is only trustworthy in situations where the given
      binary is securely locked down meaning that 1) it can't be
      ptrace(2)'d; 2) libc secure mode kicks in (e.g LD_PRELOAD won't
      work); 3) there are no other attack vectors (e.g. GTK_MODULES, X11,
      CORBA, D-Bus) to patch running code into the process.

      In other words: the risk of relying on constraining an authorization
      to the output of this function is high. Suppose that the program
      /usr/bin/gullible obtains an authorization via authentication for
      the action org.example.foo. We add a constraint to say that the
      gained authorization only applies to processes for whom
      /proc/pid/exe points to /usr/bin/gullible. Now enter
      /usr/bin/evil. It knows that the program /usr/bin/gullible is not
      "securely locked down" (per the definition in the above
      paragraph). So /usr/bin/evil simply sets LD_PRELOAD and execs
      /usr/bin/gullible and it can now run code in a process where
      /proc/pid/exe points to /usr/bin/gullible. Thus, the recently gained
      authorization for org.example.foo applies. Also, /usr/bin/evil could
      use a host of other attack vectors to run it's own code under the
      disguise of pretending to be /usr/bin/gullible.

      Specifically for interpreted languages like Python and Mono it is
      the case that /proc/pid/exe always points to /usr/bin/python
      resp. /usr/bin/mono. Thus, it's not very useful to rely on that the
      result for this function if you want to constrain an authorization
      to e.g. /usr/bin/tomboy or /usr/bin/banshee.

    However. Once we have a framework for running secure desktop apps this
    will start to make sense. Such a framework includes securing X (using
    e.g. XACE with SELinux) and making the UI toolkit secure as well. It's
    a lot of work.

    Until then these constraints at least makes it harder to for malicious
    apps to abuse PolicyKit authorizations gained by other users.

 doc/TODO                                         |    4 +
 src/polkit-dbus/Makefile.am                      |   16 +-
 src/polkit-dbus/polkit-resolve-exe-helper.c      |  161 ++++++++++
 src/polkit-grant/polkit-authorization-db-write.c |    7 +-
 src/polkit/polkit-authorization-constraint.c     |  370
 ++++++++++++++++++++--
 src/polkit/polkit-authorization-constraint.h     |   20 +-
 src/polkit/polkit-private.h                      |    2 -
 src/polkit/polkit-sysdeps.c                      |  135 ++++++++-
 src/polkit/polkit-sysdeps.h                      |    2 +
 tools/polkit-auth.c                              |    8 +
 10 files changed, 687 insertions(+), 38 deletions(-)

commit 0bb7eeac757f770dfe26f05d4f303033aeedf077
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Dec 7 01:29:45 2007 -0500

    add bogus Returns: to make gtk-doc happy

 src/kit/kit.h |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 5ea38976e02f7b5992e23f3c02c2f131d6fa296b
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Dec 6 19:52:07 2007 -0500

    use strlen to avoid writing garbage at the end of the test auth file

    While this seems like a grave bug it is not. First, this only affects
    the test cases and the file is guaranteed to be zero terminated before
    the garbage anyway.

 src/polkit/polkit-authorization-db.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c11ea1f0b031947a7f1a929c4a1d2acd31d888e1
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Dec 6 19:01:54 2007 -0500

    post release version bump to 0.8

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 905c4b31d7e8ace11592c8ae47d8c1f8203f85bb
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Dec 6 18:59:12 2007 -0500

    be more precise about permissions in the blurb at the end of configure

    Suggested by Michael Biebl <mbiebl@gmail.com>.

 configure.in |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 54ad0da18ba42dadcea9349ca4c93cb8f3fb2f50
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Dec 6 00:07:57 2007 -0500

    update NEWS file

 NEWS |  174
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 174 insertions(+), 0 deletions(-)

commit dd2c0163b5a1b429a4957b41d2c4cdc2db5cafe6
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Dec 5 23:58:44 2007 -0500

    update completion + man page since polkit-auth(1) takes >1
    --constraint args

 doc/man/polkit-auth.xml         |   26 +++++++++++++-------------
 tools/polkit-bash-completion.sh |   16 ++++++++++++----
 2 files changed, 25 insertions(+), 17 deletions(-)

commit b1dd4f0f10b81f73a5c16eb0dfd60069ad04c469
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Dec 5 23:36:32 2007 -0500

    update TODO to mention Piter PUNK's patch

 doc/TODO |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit e05d157cad9d2cf779f8cd6568a88f51fcef8c4f
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Dec 5 23:34:55 2007 -0500

    update TODO

 doc/TODO |   13 ++++++-------
 1 files changed, 6 insertions(+), 7 deletions(-)

commit 128729cbf5cebe011e87d97e4d4ff7367ed00768
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Dec 5 23:33:24 2007 -0500

    fix dummy backend so it builds

 .../polkit-authorization-db-dummy-write.c          |    4 ++--
 src/polkit/polkit-authorization-db-dummy.c         |    6 ++++--
 2 files changed, 6 insertions(+), 4 deletions(-)

commit a386f3c61f84b726ca47808599c110c057eba04c
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Dec 5 22:44:50 2007 -0500

    refactor constraints API so there is one entry per constraint in
    the auth file

    This makes things a lot more future proof and, perhaps, also easier to
    understand.

 src/kit/kit-string.c                             |    4 +-
 src/polkit-grant/polkit-authorization-db-write.c |  293
 +++++++++++++++-------
 src/polkit-grant/polkit-explicit-grant-helper.c  |   35 ++--
 src/polkit-grant/polkit-grant-helper.c           |   28 ++-
 src/polkit/polkit-authorization-constraint.c     |  200 +++++----------
 src/polkit/polkit-authorization-constraint.h     |   26 +--
 src/polkit/polkit-authorization-db.c             |   42 +++-
 src/polkit/polkit-authorization-db.h             |    4 +-
 src/polkit/polkit-authorization.c                |  137 +++++++----
 src/polkit/polkit-authorization.h                |   23 ++-
 src/polkit/polkit-private.h                      |    2 +-
 tools/polkit-auth.c                              |   66 +++---
 12 files changed, 493 insertions(+), 367 deletions(-)

commit ea7da4ea8962bd6c2f71ffb12b3ab275aec681a6
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Dec 4 19:39:40 2007 -0500

    don't require .policy files for auth lookups

    With this change, 'make check' now works even when PolicyKit isn't
    installed (as it should). Before this change it failed because the
    .policy files for org.freedesktop.policykit.read and .grant was not
    available.

 src/polkit/polkit-context.c |   72
 ++++++++++++-------------------------------
 1 files changed, 20 insertions(+), 52 deletions(-)

commit fb84bb8bd159d2c96402f448a516ff3d1db0fbd3
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Dec 1 00:17:02 2007 -0500

    downgrade to session scope when granting authorizations for blank
    passwords

    See https://bugzilla.redhat.com/show_bug.cgi?id=401811 for details

 src/polkit-grant/polkit-grant-helper.c |   27 +++++++++++++++++++++++++--
 1 files changed, 25 insertions(+), 2 deletions(-)

commit 7f4df53f29a20e6ba5c59714ed18079394b3baa0
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Dec 1 00:03:32 2007 -0500

    fix a bug where KitList elements were not properly freed

 src/polkit-dbus/polkit-dbus.c          |   31
 ++++++++++++++++++++-----------
 src/polkit-grant/polkit-grant-helper.c |   14 ++++++++++++--
 2 files changed, 32 insertions(+), 13 deletions(-)

commit 23f01abc7fdd451e1eef24837c791a17628aa602
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Nov 30 20:49:05 2007 -0500

    remove glib dep from libpolkit-dbus

 data/polkit.pc.in             |    1 -
 src/polkit-dbus/Makefile.am   |    4 +-
 src/polkit-dbus/polkit-dbus.c |  275
 +++++++++++++++++++++--------------------
 tools/Makefile.am             |    2 +-
 4 files changed, 142 insertions(+), 140 deletions(-)

commit 56c0cc42013654d8b2613d8ddd20182f19b1a508
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Nov 30 20:38:01 2007 -0500

    implement kit_hash_foreach_remove()

 src/kit/kit-hash.c |  107
 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/kit/kit-hash.h |    2 +
 2 files changed, 109 insertions(+), 0 deletions(-)

commit f4d9cb4932b5b9bf8bfbdd262798d27842f8cdb2
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Nov 30 19:24:38 2007 -0500

    add a new KitString class

 doc/polkit-docs.xml  |    1 +
 src/kit/kit-entity.c |    2 +-
 src/kit/kit-string.c |  239
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/kit/kit-string.h |    9 ++
 4 files changed, 250 insertions(+), 1 deletions(-)

commit 4c27e54ae38a503f2c76367817e6443f4efbaf13
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Nov 30 16:43:17 2007 -0500

    add some more test cases for p-a-db.c

 src/polkit/polkit-authorization-db.c |   47
 ++++++++++++++++++++++++++++++++-
 1 files changed, 45 insertions(+), 2 deletions(-)

commit 1284ea8f9344038d0db4c8a007ca5b417c9032df
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Nov 30 15:40:03 2007 -0500

    fix OOM handling in p-a-db.c and only invalidate the cache when
    necessary

 src/polkit/polkit-authorization-db.c |   49
 ++++++++++++++++++----------------
 1 files changed, 26 insertions(+), 23 deletions(-)

commit d2b702773684408db95c1c044e9373580168b97c
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Nov 30 14:59:20 2007 -0500

    add some more test env variables so we can bypass ConsoleKit in
    the tests

 src/polkit-dbus/polkit-dbus.c        |  110
 ++++++++++++++++++++-------------
 src/polkit-dbus/polkit-simple.c      |   15 +++++
 src/polkit/polkit-authorization-db.c |   12 ++++
 3 files changed, 94 insertions(+), 43 deletions(-)

commit d5e538060ea1381f377844f3d399492dd186308b
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Nov 29 16:01:47 2007 -0500

    update .gitignore files

 0 files changed, 0 insertions(+), 0 deletions(-)

commit 9fd63cd4993cf774d58951eb00c9c0b6931e8cc1
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Nov 29 15:59:59 2007 -0500

    add .gitignore files to get test tree structure in the repo

 0 files changed, 0 insertions(+), 0 deletions(-)

commit 8687a34801460b00aaaed1c49d2daa4eacfd8dbe
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Nov 29 15:47:15 2007 -0500

    fix unit tests for polkit-authorization-db.c

 src/polkit-dbus/polkit-read-auth-helper.c |   70 --------------
 src/polkit-grant/polkit-revoke-helper.c   |   50 +++++++++-
 src/polkit/polkit-authorization-db.c      |  146
 +++++++++++++++++++++++++----
 src/polkit/polkit-policy-cache.c          |    5 +-
 4 files changed, 176 insertions(+), 95 deletions(-)

commit 2de93f9b2152cf262a0daa0357e5da8566724833
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Nov 29 00:07:40 2007 -0500

    add test-friendly abstractions for getpwnam and getpwuid

 src/kit/Makefile.am     |    1 +
 src/kit/kit-entity.c    |  163
 +++++++++++++++++++++++++++++++++++++++++++++++
 src/kit/kit-entity.h    |   52 +++++++++++++++
 src/kit/kit-test-main.c |    1 +
 src/kit/kit-test.h      |    1 +
 src/kit/kit.h           |    1 +
 6 files changed, 219 insertions(+), 0 deletions(-)

commit d73be3a8ae92b66f9fe0aac7c1891c2ddfd870a4
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Nov 29 00:06:54 2007 -0500

    only fail the Nth alloc, not all allocs greater than N

 src/kit/kit-memory.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 84fb85774fe58c132ee98eed1a6dc6c5a0226d02
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Nov 28 22:32:52 2007 -0500

    avoid logging to syslog even for invalid files

 src/polkit/polkit-config.c       |    2 --
 src/polkit/polkit-context.c      |    6 ++----
 src/polkit/polkit-policy-cache.c |    6 ++----
 src/polkit/polkit-policy-file.c  |    6 ++----
 4 files changed, 6 insertions(+), 14 deletions(-)

commit 03ec92f6d685d47c43d4ccf6acb84352aa515d96
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Nov 28 16:50:50 2007 -0500

    relicense everything to the MIT/X11 license

 COPYING                                            |  587
 +------------------
 doc/polkit-docs.xml                                |   19 +-
 polkitd/main.c                                     |   28 +-
 polkitd/polkit-daemon.c                            |   28 +-
 polkitd/polkit-daemon.h                            |   28 +-
 src/kit/kit-file.c                                 |   30 +-
 src/kit/kit-file.h                                 |   30 +-
 src/kit/kit-hash.c                                 |   34 +-
 src/kit/kit-hash.h                                 |   34 +-
 src/kit/kit-list.c                                 |   30 +-
 src/kit/kit-list.h                                 |   30 +-
 src/kit/kit-memory.c                               |   30 +-
 src/kit/kit-memory.h                               |   30 +-
 src/kit/kit-message.c                              |   34 +-
 src/kit/kit-message.h                              |   30 +-
 src/kit/kit-spawn.c                                |   30 +-
 src/kit/kit-spawn.h                                |   30 +-
 src/kit/kit-string.c                               |   30 +-
 src/kit/kit-string.h                               |   30 +-
 src/kit/kit-test-main.c                            |   30 +-
 src/kit/kit-test.c                                 |   34 +-
 src/kit/kit-test.h                                 |   30 +-
 src/kit/kit.h                                      |   34 +-
 src/polkit-dbus/polkit-dbus-test.c                 |   34 +-
 src/polkit-dbus/polkit-dbus-test.h                 |   30 +-
 src/polkit-dbus/polkit-dbus.c                      |   34 +-
 src/polkit-dbus/polkit-dbus.h                      |   30 +-
 src/polkit-dbus/polkit-read-auth-helper.c          |   28 +-
 src/polkit-dbus/polkit-set-default-helper.c        |   28 +-
 src/polkit-dbus/polkit-simple.c                    |   34 +-
 src/polkit-dbus/polkit-simple.h                    |   30 +-
 .../polkit-authorization-db-dummy-write.c          |   30 +-
 src/polkit-grant/polkit-authorization-db-write.c   |   30 +-
 src/polkit-grant/polkit-explicit-grant-helper.c    |   28 +-
 src/polkit-grant/polkit-grant-helper-pam.c         |   28 +-
 src/polkit-grant/polkit-grant-helper.c             |   32 +-
 src/polkit-grant/polkit-grant-test.c               |   34 +-
 src/polkit-grant/polkit-grant-test.h               |   30 +-
 src/polkit-grant/polkit-grant.c                    |   34 +-
 src/polkit-grant/polkit-grant.h                    |   34 +-
 src/polkit-grant/polkit-revoke-helper.c            |   28 +-
 src/polkit/polkit-action.c                         |   34 +-
 src/polkit/polkit-action.h                         |   32 +-
 src/polkit/polkit-authorization-constraint.c       |   30 +-
 src/polkit/polkit-authorization-constraint.h       |   30 +-
 src/polkit/polkit-authorization-db-dummy.c         |   30 +-
 src/polkit/polkit-authorization-db.c               |   30 +-
 src/polkit/polkit-authorization-db.h               |   30 +-
 src/polkit/polkit-authorization.c                  |   30 +-
 src/polkit/polkit-authorization.h                  |   30 +-
 src/polkit/polkit-caller.c                         |   34 +-
 src/polkit/polkit-caller.h                         |   30 +-
 src/polkit/polkit-config.c                         |   30 +-
 src/polkit/polkit-config.h                         |   30 +-
 src/polkit/polkit-context.c                        |   34 +-
 src/polkit/polkit-context.h                        |   30 +-
 src/polkit/polkit-debug.c                          |   34 +-
 src/polkit/polkit-debug.h                          |   30 +-
 src/polkit/polkit-error.c                          |   34 +-
 src/polkit/polkit-error.h                          |   30 +-
 src/polkit/polkit-policy-cache.c                   |   30 +-
 src/polkit/polkit-policy-cache.h                   |   30 +-
 src/polkit/polkit-policy-default.c                 |   30 +-
 src/polkit/polkit-policy-default.h                 |   30 +-
 src/polkit/polkit-policy-file-entry.c              |   30 +-
 src/polkit/polkit-policy-file-entry.h              |   30 +-
 src/polkit/polkit-policy-file.c                    |   30 +-
 src/polkit/polkit-policy-file.h                    |   34 +-
 src/polkit/polkit-private.h                        |   34 +-
 src/polkit/polkit-result.c                         |   34 +-
 src/polkit/polkit-result.h                         |   30 +-
 src/polkit/polkit-seat.c                           |   30 +-
 src/polkit/polkit-seat.h                           |   30 +-
 src/polkit/polkit-session.c                        |   30 +-
 src/polkit/polkit-session.h                        |   30 +-
 src/polkit/polkit-sysdeps.c                        |   34 +-
 src/polkit/polkit-sysdeps.h                        |   30 +-
 src/polkit/polkit-test.c                           |   34 +-
 src/polkit/polkit-test.h                           |   30 +-
 src/polkit/polkit-types.h                          |   34 +-
 src/polkit/polkit-utils.c                          |   34 +-
 src/polkit/polkit-utils.h                          |   30 +-
 src/polkit/polkit.h                                |   30 +-
 tools/polkit-action.c                              |   28 +-
 tools/polkit-auth.c                                |   28 +-
 tools/polkit-config-file-validate.c                |   28 +-
 tools/polkit-policy-file-validate.c                |   28 +-
 87 files changed, 1526 insertions(+), 1702 deletions(-)

commit cef2e2079532b966b0ff88403eb1a86b337685b7
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Nov 25 16:06:42 2007 -0500

    add (partial) test cases for polkit-authorization-db.c

 src/polkit-dbus/polkit-dbus.c             |    7 +
 src/polkit-dbus/polkit-read-auth-helper.c |  124 +++++++++++++--
 src/polkit/polkit-authorization-db.c      |  246
 ++++++++++++++++++++++++++---
 src/polkit/polkit-authorization-db.h      |    6 +-
 src/polkit/polkit-caller.c                |    5 +-
 src/polkit/polkit-context.c               |    6 +-
 src/polkit/polkit-error.c                 |    4 +-
 src/polkit/polkit-sysdeps.c               |    4 +-
 tools/polkit-auth.c                       |    3 +-
 9 files changed, 361 insertions(+), 44 deletions(-)

commit abede42d32643e444dcfbe74dd427bc74129735e
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Nov 25 16:06:12 2007 -0500

    build with -rdynamic for maint mode and use this to print a stack
    trace

 configure.in                 |    8 ++++++++
 src/kit/Makefile.am          |    4 ++--
 src/kit/kit-memory.c         |   40
 ++++++++++++++++++++++++++++++++++++++++
 src/kit/kit.h                |    5 +++++
 src/polkit-dbus/Makefile.am  |    4 ++--
 src/polkit-grant/Makefile.am |    2 +-
 src/polkit/Makefile.am       |    7 ++++---
 7 files changed, 62 insertions(+), 8 deletions(-)

commit d6411e8a0f815683eef46fce3dc34965da44829c
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Nov 24 12:36:41 2007 -0500

    fix a bug where the childs environment wasn't inherited

 src/kit/kit-spawn.c |   43 +++++++++++++++++++++++++++++++++++--------
 1 files changed, 35 insertions(+), 8 deletions(-)

commit b68d89a49af8519f66e8828e8c7027dc5843b612
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Nov 24 11:13:40 2007 -0500

    add test harness for polkit-utils

 src/polkit/polkit-test.c  |    1 +
 src/polkit/polkit-test.h  |    1 +
 src/polkit/polkit-utils.c |   18 ++++++++++++++++++
 3 files changed, 20 insertions(+), 0 deletions(-)

commit cd4b5f9268a530042bc900587a6cb33b2ebc0718
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Nov 24 11:08:51 2007 -0500

    write newline since kit_string_entry_create doesn't do that any more

 src/polkit-grant/polkit-authorization-db-write.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit f479aeced7ae070c6a22f51b0812713bd22d60bf
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Nov 22 19:15:36 2007 -0500

    avoid adding newline at the end of generated entry

 src/kit/kit-string.c |    7 +------
 1 files changed, 1 insertions(+), 6 deletions(-)

commit b555fb7594cc4d627c7aa7e33906bbcd3a34faf3
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Nov 21 23:23:09 2007 -0500

    update TODO

 doc/TODO |   40 +++++++++-------------------------------
 1 files changed, 9 insertions(+), 31 deletions(-)

commit 5fe40c1422cb04d2ba37e5b07cf969c1a6f7f59c
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Nov 21 21:38:08 2007 -0500

    also encode \n\r\t characters

 src/kit/kit-string.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit f862419840cf57bb3b8ef511ed74dfddf1e4b8f7
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Nov 21 20:33:35 2007 -0500

    rework the .auths file format to use key/value pairs and make it
    future-proof

 src/kit/kit-string.c                             |    7 +-
 src/polkit-grant/polkit-authorization-db-write.c |  118 +++++---
 src/polkit-grant/polkit-explicit-grant-helper.c  |   26 +-
 src/polkit-grant/polkit-revoke-helper.c          |   43 ++-
 src/polkit/polkit-authorization.c                |  356
 ++++++++++++----------
 5 files changed, 315 insertions(+), 235 deletions(-)

commit 67befeae30075d1c7d068e4bb911b796ecfa4626
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Nov 21 20:11:04 2007 -0500

    set errno to ENOMEM when forcibly failing an allocation

 src/kit/kit-memory.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit cec99e3c4e22c62bef02806ec7682f720b834a57
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Nov 21 17:08:22 2007 -0500

    add support for percent encoding/decoding and colon separated kv-lists

 src/kit/kit-spawn.c  |    1 +
 src/kit/kit-string.c |  462
 +++++++++++++++++++++++++++++++++++++++++++++++++-
 src/kit/kit-string.h |   22 +++
 3 files changed, 484 insertions(+), 1 deletions(-)

commit 378caac7a6a7fca43d7b4f1d28870ab0b12ab8a5
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Nov 20 22:58:27 2007 -0500

    make dummy backend work

 .../polkit-authorization-db-dummy-write.c          |   11 +++++++++++
 src/polkit/polkit-authorization-db-dummy.c         |   18
 ++++++++++++++++--
 2 files changed, 27 insertions(+), 2 deletions(-)

commit 19e6c05ea7ccdbe08a76d797ce25b01130adf2a4
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Nov 20 22:46:50 2007 -0500

    fix 'make check-coverage'

 src/polkit/polkit-authorization.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit bf64b4c07e0148835275c5b3e7806c7db404b971
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Nov 20 21:40:42 2007 -0500

    remove Since gtk-doc tags from the internal libkit library

 src/kit/kit-hash.h |   10 ----------
 src/kit/kit-list.h |    4 ----
 2 files changed, 0 insertions(+), 14 deletions(-)

commit ff9f8745cd9d7f22c80a6c6967d5f4014bac537e
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Nov 20 16:38:44 2007 -0500

    define abstract Authentication Agent interface and make polkit-auth(1)
    use it

    Also provide a convenience function to access it:
    polkit_auth_obtain().

 data/Makefile.am                                   |    5 +-
 ...g.freedesktop.PolicyKit.AuthenticationAgent.xml |   24 +++
 doc/man/polkit-auth.xml                            |   20 ++-
 doc/spec/polkit-spec-model.xml                     |   35 +++++-
 src/kit/kit-spawn.c                                |   67 ++++++---
 src/kit/kit-spawn.h                                |   30 +++-
 src/polkit-dbus/polkit-simple.c                    |  147
 ++++++++++++++++++++
 src/polkit-dbus/polkit-simple.h                    |    2 +
 src/polkit-grant/polkit-grant-helper.c             |    1 -
 src/polkit/polkit-authorization-db.c               |    2 +
 src/polkit/polkit-policy-file-entry.c              |    1 +
 src/polkit/polkit-sysdeps.c                        |    4 +-
 tools/polkit-auth.c                                |   35 +++++-
 13 files changed, 331 insertions(+), 42 deletions(-)

commit 7c5fa7ddf786986c3d854a9ac1a9dc813b2d33fb
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Nov 20 01:00:33 2007 -0500

    make PolKitAuthorization a bit more future proof by adding get_type()

 src/polkit/polkit-authorization.c |   17 +++++++++++++++++
 src/polkit/polkit-authorization.h |   18 ++++++++++++++++++
 2 files changed, 35 insertions(+), 0 deletions(-)

commit b69598928d7231a4768368a12e53b972b1002abe
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Nov 20 00:25:34 2007 -0500

    provide a way to force a reload of all caches etc.

 src/polkit/polkit-context.c |   52
 +++++++++++++++++++++++++++++-------------
 src/polkit/polkit-context.h |    2 +
 2 files changed, 38 insertions(+), 16 deletions(-)

commit 45f52acbfd1d898e37f4ccaa830d6425fa4bc2da
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Nov 19 23:25:30 2007 -0500

    add support for negative authorizations

    Negative authorizations is a way to block an entity; previously the
    algorithm was something like (ignoring the config file for now)

      Result is_authorized() {
        res = has_implicit_auth();
        if (res == YES) {
          return YES;
        } else if (has_explicit_auth()) {
          return YES;
        }
        return res;
      }

    Now it's

      Result is_authorized() {
        res = has_implicit_auth();
        expl = has_explicit_auth();
        is_blocked = has_negative_explicit_auth();

        if (is_blocked)
          return NO;

        if (res == YES) {
          return YES;
        } else if (has_explicit_auth()) {
          return YES;
        }
        return res;
      }

    E.g. just a single negative auth will force NO to be returned. I
    really, really need to write into the spec how this works; my mental
    L1 cache can't contain it anymore. Once it's formally defined we need
    to craft a test suite to verify that the code works according to
    spec...

 doc/man/polkit-auth.xml                          |   19 +++
 src/polkit-dbus/polkit-simple.c                  |    2 +
 src/polkit-grant/polkit-authorization-db-write.c |  145
 +++++++++++++++-----
 src/polkit-grant/polkit-explicit-grant-helper.c  |   33 +++--
 src/polkit-grant/polkit-revoke-helper.c          |    9 +-
 src/polkit/polkit-authorization-db.c             |  156
 ++++++++++++++++++++--
 src/polkit/polkit-authorization-db.h             |   17 ++-
 src/polkit/polkit-authorization.c                |   19 +++-
 src/polkit/polkit-authorization.h                |    3 +-
 src/polkit/polkit-context.c                      |   38 ++++--
 tools/polkit-auth.c                              |   57 +++++++--
 tools/polkit-bash-completion.sh                  |   12 +-
 12 files changed, 414 insertions(+), 96 deletions(-)

commit 8dd9f25b9aec6756bc87806fe6482ef0211ef132
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Nov 19 12:47:18 2007 -0500

    export the policydir in the .pc file

    This is useful when building a project using polkit in a different
    prefix. Lennart asked for it.

 data/polkit.pc.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 0b86d0436d428d7bf3f5365047adff33eacee35b
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Nov 19 00:27:56 2007 -0500

    require org.fd.pk.revoke to revoke auths for self if granted by
    someone else

 src/polkit-grant/polkit-revoke-helper.c |   44
 +++++++++++++++++++-----------
 1 files changed, 28 insertions(+), 16 deletions(-)

commit a712e78e69220b43695463e00983e9316a646d32
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Nov 18 19:16:23 2007 -0500

    provide convenience functions for auth checking and port helpers to
    use them

    Basically, checking auths with polkit is now a one-liner:

        if (polkit_check_auth (getpid (), "com.acme.some-action", NULL)
        == 0) {
            fprintf (stderr, "Not authorized; go away\n");
            exit (1);
        }

    This can be used for making a lot of the legacy UNIX tools PolicyKit
    aware. For example, vixie-cron could make crontab(1) (a setuid
    program) check whether the calling user is authorized for the action

     org.isc.vixie-cron.edit-own-crontab

    This is a nice way to provide least privilege and still put the system
    administrator in control via polkit-auth(1), polkit-action(1) and the
    GTK+ "Manage Authorizations" utility:

     http://people.redhat.com/davidz/polkitg-auth-1.png
     http://people.redhat.com/davidz/polkitg-auth-2.png
     http://people.redhat.com/davidz/polkitg-auth-3.png

 doc/polkit-docs.xml                             |    1 +
 src/polkit-dbus/Makefile.am                     |    6 +-
 src/polkit-dbus/polkit-dbus.h                   |    6 +-
 src/polkit-dbus/polkit-read-auth-helper.c       |  122 +-----------
 src/polkit-dbus/polkit-set-default-helper.c     |   90 +--------
 src/polkit-dbus/polkit-simple.c                 |  247
 +++++++++++++++++++++++
 src/polkit-dbus/polkit-simple.h                 |   42 ++++
 src/polkit-grant/polkit-explicit-grant-helper.c |   90 +--------
 src/polkit-grant/polkit-revoke-helper.c         |  101 +---------
 9 files changed, 327 insertions(+), 378 deletions(-)

commit 4d0994f45ee4cb1b31475932a17ea8ac5288a289
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Nov 17 21:17:50 2007 -0500

    add support for vendor, vendor_url and icon_name tags in .policy files

 doc/spec/polkit-spec-configuration.xml     |   52 +++++++++-
 policy/org.freedesktop.policykit.policy.in |    2 +
 src/polkit/polkit-policy-file-entry.c      |   93 ++++++++++++++++++
 src/polkit/polkit-policy-file-entry.h      |    4 +
 src/polkit/polkit-policy-file.c            |  146
 ++++++++++++++++++++++++++++
 src/polkit/polkit-private.h                |    3 +
 6 files changed, 296 insertions(+), 4 deletions(-)

commit 055b8bb7bf14b8df3222376bd72e40f221f2638c
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Nov 17 16:47:51 2007 -0500

    restrict new API to the default backend only

 src/polkit/polkit-policy-file-entry.c |   22 +++++++++++++---------
 1 files changed, 13 insertions(+), 9 deletions(-)

commit f631d726602360d16dd8154f88a12754f3af0863
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Nov 17 16:43:25 2007 -0500

    add API for overriding defaults and make polkit-action(1) use
    this API.

 configure.in                                |    3 +
 doc/man/polkit-action.xml                   |  104 +++++++++-
 policy/org.freedesktop.policykit.policy.in  |   10 +
 src/kit/kit-file.c                          |    6 +-
 src/kit/kit-spawn.c                         |   18 ++-
 src/polkit-dbus/Makefile.am                 |   11 +-
 src/polkit-dbus/polkit-set-default-helper.c |  303
 +++++++++++++++++++++++++++
 src/polkit/Makefile.am                      |   14 +-
 src/polkit/polkit-error.c                   |    3 +-
 src/polkit/polkit-error.h                   |    4 +
 src/polkit/polkit-policy-default.c          |  127 +++++++++++
 src/polkit/polkit-policy-default.h          |   13 +-
 src/polkit/polkit-policy-file-entry.c       |  189 ++++++++++++++++-
 src/polkit/polkit-policy-file-entry.h       |    6 +
 tools/polkit-action.c                       |  253
 ++++++++++++++++++++---
 tools/polkit-bash-completion.sh             |   30 ++-
 16 files changed, 1031 insertions(+), 63 deletions(-)

commit c359201a1eabcb308289e2ab9b15caa4365c4e5e
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Nov 17 11:50:29 2007 -0500

    fix a grave bug where the wrong authorizations were returned

    We were modifying the 'uid' parameter in _authdb_get_auths_for_uid();
    I bet that if we had unit tests this bug would have been caught
    earlier...

 src/polkit/polkit-authorization-db.c |   74
 +++++++++++++++++++---------------
 1 files changed, 42 insertions(+), 32 deletions(-)

commit ea4910e65ba58e7a5ed615a93fa6dff032c69071
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Nov 12 13:43:10 2007 -0500

    fix parallel build

    https://bugs.freedesktop.org/show_bug.cgi?id=13082

 doc/Makefile.am              |    9 ++++++---
 gtk-doc.make                 |   25 +++++++++++++++----------
 src/kit/Makefile.am          |   18 ++++++++----------
 src/polkit-dbus/Makefile.am  |   20 +++++++++-----------
 src/polkit-grant/Makefile.am |   22 ++++++++++------------
 src/polkit/Makefile.am       |   18 ++++++++----------
 6 files changed, 56 insertions(+), 56 deletions(-)

commit 123fe631dec2088cc9b2e52a3c86375c40e17c94
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Nov 12 13:14:22 2007 -0500

    create /var/lib/misc on 'make install'

    http://bugs.freedesktop.org/show_bug.cgi?id=13113

 src/polkit/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a766c2425ee969fab36967858ff493525e997eb6
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Nov 12 13:10:46 2007 -0500

    build system fixes and refuse to install if built with --enable-tests

 Makefile.am  |    6 ++++++
 autogen.sh   |   24 ++++++++++++------------
 configure.in |    5 ++++-
 3 files changed, 22 insertions(+), 13 deletions(-)

commit 4b340f87709d93904eb4868384b555227e656317
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Nov 11 20:08:02 2007 -0500

    add unit test framework to the rest of the library sources

 Makefile.am                                  |    4 +-
 doc/polkit-docs.xml                          |    1 +
 src/kit/Makefile.am                          |    5 +-
 src/kit/kit-memory.c                         |    1 -
 src/kit/kit-test-main.c                      |   47 +++++++++++++++
 src/kit/kit-test.c                           |   60 +++++++++----------
 src/kit/kit-test.h                           |   13 +++-
 src/kit/kit.h                                |    1 +
 src/polkit-dbus/Makefile.am                  |   52 ++++++++++++++++-
 src/polkit-dbus/polkit-dbus-test.c           |   59 +++++++++++++++++++
 src/polkit-dbus/polkit-dbus-test.h           |   43 ++++++++++++++
 src/polkit-dbus/polkit-dbus.c                |   19 ++++++
 src/polkit-grant/Makefile.am                 |   58 ++++++++++++++++++-
 src/polkit-grant/polkit-grant-test.c         |   59 +++++++++++++++++++
 src/polkit-grant/polkit-grant-test.h         |   43 ++++++++++++++
 src/polkit-grant/polkit-grant.c              |   18 ++++++
 src/polkit/Makefile.am                       |    2 -
 src/polkit/polkit-action.c                   |    2 +-
 src/polkit/polkit-authorization-constraint.c |    2 +-
 src/polkit/polkit-authorization-db-dummy.c   |    2 +-
 src/polkit/polkit-authorization-db.c         |    2 +-
 src/polkit/polkit-authorization.c            |    2 +-
 src/polkit/polkit-caller.c                   |    2 +-
 src/polkit/polkit-config.c                   |    2 +-
 src/polkit/polkit-context.c                  |    2 +-
 src/polkit/polkit-error.c                    |    2 +-
 src/polkit/polkit-policy-cache.c             |    2 +-
 src/polkit/polkit-policy-default.c           |    2 +-
 src/polkit/polkit-policy-file-entry.c        |    2 +-
 src/polkit/polkit-policy-file.c              |    2 +-
 src/polkit/polkit-result.c                   |    2 +-
 src/polkit/polkit-seat.c                     |    2 +-
 src/polkit/polkit-session.c                  |    2 +-
 src/polkit/polkit-sysdeps.c                  |    2 +-
 src/polkit/polkit-test.c                     |   81
 ++------------------------
 src/polkit/polkit-test.h                     |   49 ++++++----------
 test/create-coverage-report.sh               |   38 +++++++-----
 37 files changed, 501 insertions(+), 186 deletions(-)

commit 20fa8e0d76bb34712c7854179ff305d7eedab5c1
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Nov 11 19:03:46 2007 -0500

    fix build for dummy backend

 src/polkit/polkit-authorization-db-dummy.c |   17 +++++++++++++++++
 src/polkit/polkit-authorization.c          |   11 +++++++++++
 src/polkit/polkit-policy-file-entry.c      |    3 +++
 3 files changed, 31 insertions(+), 0 deletions(-)

commit 109229bb5577c7b3ad778dd08edc7b312bad2c4c
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Nov 11 18:38:14 2007 -0500

    also check for file descriptor leaks

 src/kit/kit-file.c                        |   39
 +++++++++++++++++++++++++++++
 src/kit/kit-file.h                        |    2 +
 src/kit/kit-spawn.c                       |    2 +-
 src/kit/kit-test.c                        |   21 +++++++++++++++-
 src/polkit-dbus/polkit-read-auth-helper.c |    2 +-
 src/polkit/polkit-policy-cache.c          |    9 ++----
 src/polkit/polkit-test.c                  |   22 ++++++++++++++++
 7 files changed, 88 insertions(+), 9 deletions(-)

commit 9fe5005e8ffad96562893e7b1cae79f35a7edd89
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Nov 11 17:58:00 2007 -0500

    tweak how we do coverage reporting

 Makefile.am                    |    7 +++----
 src/kit/Makefile.am            |   13 +++++++++----
 src/polkit/Makefile.am         |   13 +++++++++----
 test/create-coverage-report.sh |   13 +++++++------
 4 files changed, 28 insertions(+), 18 deletions(-)

commit 756043c71cc000e080ebff0dbc9aacf3ee146636
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Nov 11 17:09:26 2007 -0500

    remove glib dependency from libpolkit.so

 src/polkit-dbus/Makefile.am                |    2 +-
 src/polkit/Makefile.am                     |    5 +-
 src/polkit/polkit-authorization-db-dummy.c |    6 +--
 src/polkit/polkit-authorization-db.c       |   74
 +++++++++++-----------------
 4 files changed, 34 insertions(+), 53 deletions(-)

commit 29837b4a034e7bf1fe1bc6b82cc7314317c05abe
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Nov 11 17:08:38 2007 -0500

    don't overflow when splitting a string

 src/kit/kit-string.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit b3f4fe27d5c8494b9aed58883a1740102526628c
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Nov 11 16:32:22 2007 -0500

    actually include the files with the spawn functions

 src/kit/kit-spawn.c |  607
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 src/kit/kit-spawn.h |   49 ++++
 2 files changed, 656 insertions(+), 0 deletions(-)

commit 94ed3ccc0b602c2252b84fba289c720cd3ea223d
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Nov 11 16:31:55 2007 -0500

    add spawn function to libkit

 doc/polkit-docs.xml                  |    1 +
 src/kit/Makefile.am                  |    1 +
 src/kit/kit-string.c                 |   53 +++++++++++++++++++++++
 src/kit/kit-string.h                 |    1 +
 src/kit/kit-test.c                   |    3 +-
 src/kit/kit-test.h                   |    1 +
 src/kit/kit.h                        |    1 +
 src/polkit/polkit-authorization-db.c |   23 ++++++----
 src/polkit/polkit-authorization.c    |   13 +++---
 src/polkit/polkit-config.c           |   79
 ++++++++++++++++------------------
 src/polkit/polkit-context.c          |   23 +++++-----
 11 files changed, 127 insertions(+), 72 deletions(-)

commit bcff1bdea897605950b769bb1353b560e4c13ac8
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Nov 11 11:32:01 2007 -0500

    add (empty, for now) tests for remaining files

 src/polkit/polkit-config.c  |   17 +++++++++++++++++
 src/polkit/polkit-context.c |   18 ++++++++++++++++++
 src/polkit/polkit-sysdeps.c |   19 ++++++++++++++++++-
 src/polkit/polkit-test.c    |    3 +++
 src/polkit/polkit-test.h    |    3 +++
 5 files changed, 59 insertions(+), 1 deletions(-)

commit c372969e98140faa2df6e3c2509797b0e8670eb9
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Nov 11 00:05:41 2007 -0500

    use kit_strsplit in polkit-sysdeps

 src/kit/kit-string.c        |    1 -
 src/polkit/polkit-sysdeps.c |   12 +++++++-----
 2 files changed, 7 insertions(+), 6 deletions(-)

commit 09a434c7cf875f5935ebec797812e3fd295c85f8
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Nov 11 00:02:41 2007 -0500

    add strsplit function

 src/kit/kit-string.c |  127
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/kit/kit-string.h |    5 ++
 2 files changed, 132 insertions(+), 0 deletions(-)

commit c14ec1daf1fd4a6dc5619df72dc618d1872c49f8
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Nov 10 18:23:38 2007 -0500

    also include libkit in top-level coverage report

 Makefile.am |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit cd68aa0a7562332c23a1008d4359fe4c8647af67
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Nov 10 18:17:38 2007 -0500

    split utility bits into a private statically linked library

    getting closer...

    $ grep glib *.c
    polkit-authorization.c:#include <glib.h>
    polkit-authorization-db.c:#include <glib.h>
    polkit-authorization-db-dummy.c:#include <glib.h>
    polkit-config.c:#include <glib.h>
    polkit-context.c:#include <glib.h>
    polkit-sysdeps.c:#include <glib.h>

 configure.in                                 |   14 +-
 doc/Makefile.am                              |    4 +-
 doc/polkit-docs.xml                          |   21 +-
 src/Makefile.am                              |    2 +-
 src/kit/Makefile.am                          |   74 ++++
 src/kit/kit-file.c                           |  314 ++++++++++++++
 src/kit/kit-file.h                           |   44 ++
 src/kit/kit-hash.c                           |  533
 ++++++++++++++++++++++++
 src/kit/kit-hash.h                           |  148 +++++++
 src/kit/kit-list.c                           |  314 ++++++++++++++
 src/kit/kit-list.h                           |   85 ++++
 src/kit/kit-memory.c                         |  281 +++++++++++++
 src/kit/kit-memory.h                         |   75 ++++
 src/kit/kit-message.c                        |  109 +++++
 src/kit/kit-message.h                        |   44 ++
 src/kit/kit-string.c                         |  279 +++++++++++++
 src/kit/kit-string.h                         |   49 +++
 src/kit/kit-test.c                           |  113 ++++++
 src/kit/kit-test.h                           |   61 +++
 src/kit/kit.h                                |  141 +++++++
 src/polkit-dbus/polkit-read-auth-helper.c    |    6 +-
 src/polkit/Makefile.am                       |    8 +-
 src/polkit/polkit-action.c                   |   58 ++--
 src/polkit/polkit-authorization-constraint.c |  123 +++---
 src/polkit/polkit-authorization-db-dummy.c   |    8 +-
 src/polkit/polkit-authorization-db.c         |  135 +++++--
 src/polkit/polkit-authorization.c            |   95 +++---
 src/polkit/polkit-caller.c                   |  109 +++---
 src/polkit/polkit-config.c                   |    5 +-
 src/polkit/polkit-context.c                  |   20 +-
 src/polkit/polkit-error.c                    |   44 +-
 src/polkit/polkit-hash.c                     |  560
 --------------------------
 src/polkit/polkit-hash.h                     |  147 -------
 src/polkit/polkit-list.c                     |  330 ---------------
 src/polkit/polkit-list.h                     |   85 ----
 src/polkit/polkit-memory.c                   |  373 -----------------
 src/polkit/polkit-memory.h                   |   75 ----
 src/polkit/polkit-policy-cache.c             |   91 +++--
 src/polkit/polkit-policy-default.c           |   77 ++--
 src/polkit/polkit-policy-file-entry.c        |  105 +++---
 src/polkit/polkit-policy-file.c              |  149 ++++----
 src/polkit/polkit-private.h                  |    9 +-
 src/polkit/polkit-result.c                   |   15 +-
 src/polkit/polkit-seat.c                     |   41 +-
 src/polkit/polkit-session.c                  |  125 +++---
 src/polkit/polkit-sysdeps.c                  |   18 +-
 src/polkit/polkit-test.c                     |   17 +-
 src/polkit/polkit-test.h                     |    3 +-
 src/polkit/polkit-utils.c                    |   10 +-
 src/polkit/polkit.h                          |    2 -
 50 files changed, 3360 insertions(+), 2188 deletions(-)

commit 47e170316e96cef4cdb20a87cf2589b0b8684c65
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Nov 9 14:15:44 2007 -0500

    add unit tests for PolKitAuthorization

 src/polkit/polkit-authorization-constraint.c |    4 +-
 src/polkit/polkit-authorization.c            |  242
 ++++++++++++++++++++++++--
 src/polkit/polkit-test.c                     |    1 +
 src/polkit/polkit-test.h                     |    1 +
 4 files changed, 232 insertions(+), 16 deletions(-)

commit 4e7e60b0b1255166d1d7e2a35054daffe380dd6f
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Nov 9 12:23:01 2007 -0500

    add unit tests for PolKitAuthorizationConstraint

 src/polkit/polkit-authorization-constraint.c |  283
 ++++++++++++++++++++++++--
 src/polkit/polkit-test.c                     |    1 +
 src/polkit/polkit-test.h                     |    1 +
 3 files changed, 269 insertions(+), 16 deletions(-)

commit 7a85b41215b8f615eb319c71dcc669fdb8eba22b
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Nov 8 15:29:02 2007 -0500

    forgot to add src/Makefile.am

 src/Makefile.am |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 720b47b2c0ba6517755ef78d8037f96572d71e55
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Nov 8 15:26:43 2007 -0500

    add unit tests of PolKitPolicyCache

 src/polkit/polkit-authorization-db-dummy.c        |    3 +-
 src/polkit/polkit-authorization-db.c              |    3 +-
 src/polkit/polkit-policy-cache.c                  |  245
 +++++++++++++++++----
 src/polkit/polkit-policy-cache.h                  |   10 +-
 src/polkit/polkit-policy-file-entry.c             |   25 ++-
 src/polkit/polkit-policy-file-entry.h             |   12 +-
 src/polkit/polkit-policy-file.c                   |   39 ++--
 src/polkit/polkit-policy-file.h                   |   14 +-
 src/polkit/polkit-private.h                       |    2 +-
 src/polkit/polkit-test.c                          |    1 +
 src/polkit/polkit-test.h                          |    1 +
 test/Makefile.am                                  |   23 +-
 test/invalid/test-invalid-1-action-id.policy      |   14 ++
 test/invalid/test-invalid-2-bogus-any.policy      |   14 ++
 test/invalid/test-invalid-3-bogus-inactive.policy |   14 ++
 test/invalid/test-invalid-4-bogus-active.policy   |   14 ++
 test/invalid/test-invalid-5-max-depth.policy      |   87 ++++++++
 test/test-invalid-1-action-id.policy              |   14 --
 test/test-invalid-2-bogus-any.policy              |   14 --
 test/test-invalid-3-bogus-inactive.policy         |   14 --
 test/test-invalid-4-bogus-active.policy           |   14 --
 test/test-invalid-5-max-depth.policy              |   87 --------
 test/test-valid-1.policy                          |   14 --
 test/test-valid-2-annotations.policy              |   16 --
 test/test-valid-3-lang.policy                     |   28 ---
 test/test-valid-4-unknown-tags.policy             |   20 --
 test/valid/test-valid-1.policy                    |   14 ++
 test/valid/test-valid-2-annotations.policy        |   27 +++
 test/valid/test-valid-3-lang.policy               |   28 +++
 test/valid/test-valid-4-unknown-tags.policy       |   20 ++
 test/valid/test-valid-5-wrong-extension.policy~   |   14 ++
 tools/polkit-action.c                             |    7 +-
 tools/polkit-auth.c                               |    8 +-
 33 files changed, 538 insertions(+), 322 deletions(-)

commit 0a43c4ec9a91cbb3318791efc69230b822a5e0e3
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Nov 8 14:20:58 2007 -0500

    use unique action names

 src/polkit/polkit-policy-file.c           |    4 ++--
 test/test-invalid-1-action-id.policy      |    2 +-
 test/test-invalid-2-bogus-any.policy      |    2 +-
 test/test-invalid-3-bogus-inactive.policy |    2 +-
 test/test-invalid-4-bogus-active.policy   |    2 +-
 test/test-invalid-5-max-depth.policy      |    2 +-
 test/test-valid-1.policy                  |    2 +-
 test/test-valid-2-annotations.policy      |    2 +-
 test/test-valid-3-lang.policy             |    4 ++--
 test/test-valid-4-unknown-tags.policy     |    2 +-
 10 files changed, 12 insertions(+), 12 deletions(-)

commit da5c150b6f1dbd6d571afaa2e5037a1e7484d5b6
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Nov 8 12:58:10 2007 -0500

    add test case for PolKitError to get to 100%

 src/polkit/polkit-error.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 4aa9cd80c5406e51c8b5852297a9b258463e81cc
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Nov 8 12:43:23 2007 -0500

    add some gtk-doc to private bits to get doc coverage to 100%

 src/polkit/polkit-private.h |    7 +++++++
 src/polkit/polkit-test.c    |    7 +++++++
 2 files changed, 14 insertions(+), 0 deletions(-)

commit f97ead3e56f682324415910e7e504e63314fdb4d
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Nov 8 12:37:38 2007 -0500

    fix build with all library soruce in src/

 Makefile.am                  |    6 +++---
 configure.in                 |    7 ++++---
 doc/Makefile.am              |   12 ++++++------
 polkitd/Makefile.am          |    6 +++---
 src/polkit-dbus/Makefile.am  |    6 +++---
 src/polkit-grant/Makefile.am |   10 +++++-----
 src/polkit/Makefile.am       |    4 ++--
 tools/Makefile.am            |   10 +++++-----
 8 files changed, 31 insertions(+), 30 deletions(-)

commit 05af5cfe684f4c8cfa58090b11e337de5f24d23f
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Nov 8 12:26:31 2007 -0500

    move all library source to a src/ directory

    This is primarily so gtk-doc can target only libraries. Needs lots of
    fixing; will be done in upcoming commits.

 polkit-dbus/Makefile.am                            |   47 -
 polkit-dbus/polkit-dbus.c                          | 1492
 --------------------
 polkit-dbus/polkit-dbus.h                          |   66 -
 polkit-dbus/polkit-read-auth-helper.c              |  471 ------
 polkit-grant/Makefile.am                           |   89 --
 polkit-grant/polkit-authorization-db-dummy-write.c |   96 --
 polkit-grant/polkit-authorization-db-write.c       |  680 ---------
 polkit-grant/polkit-explicit-grant-helper.c        |  268 ----
 polkit-grant/polkit-grant-helper-pam.c             |  232 ---
 polkit-grant/polkit-grant-helper.c                 |  842 -----------
 polkit-grant/polkit-grant.c                        |  538 -------
 polkit-grant/polkit-grant.h                        |  369 -----
 polkit-grant/polkit-revoke-helper.c                |  379 -----
 polkit/.gitignore                                  |    9 -
 polkit/Makefile.am                                 |  149 --
 polkit/polkit-action.c                             |  304 ----
 polkit/polkit-action.h                             |   55 -
 polkit/polkit-authorization-constraint.c           |  491 -------
 polkit/polkit-authorization-constraint.h           |   94 --
 polkit/polkit-authorization-db-dummy.c             |  191 ---
 polkit/polkit-authorization-db.c                   |  848 -----------
 polkit/polkit-authorization-db.h                   |  156 --
 polkit/polkit-authorization.c                      |  567 --------
 polkit/polkit-authorization.h                      |  100 --
 polkit/polkit-caller.c                             |  455 ------
 polkit/polkit-caller.h                             |   61 -
 polkit/polkit-config.c                             |  772 ----------
 polkit/polkit-config.h                             |   87 --
 polkit/polkit-context.c                            |  803 -----------
 polkit/polkit-context.h                            |  190 ---
 polkit/polkit-debug.c                              |   81 --
 polkit/polkit-debug.h                              |   33 -
 polkit/polkit-error.c                              |  246 ----
 polkit/polkit-error.h                              |   88 --
 polkit/polkit-hash.c                               |  560 --------
 polkit/polkit-hash.h                               |  147 --
 polkit/polkit-list.c                               |  330 -----
 polkit/polkit-list.h                               |   85 --
 polkit/polkit-memory.c                             |  373 -----
 polkit/polkit-memory.h                             |   75 -
 polkit/polkit-policy-cache.c                       |  355 -----
 polkit/polkit-policy-cache.h                       |   75 -
 polkit/polkit-policy-default.c                     |  442 ------
 polkit/polkit-policy-default.h                     |   67 -
 polkit/polkit-policy-file-entry.c                  |  471 ------
 polkit/polkit-policy-file-entry.h                  |   76 -
 polkit/polkit-policy-file.c                        |  809 -----------
 polkit/polkit-policy-file.h                        |   67 -
 polkit/polkit-private.h                            |  107 --
 polkit/polkit-result.c                             |  152 --
 polkit/polkit-result.h                             |  110 --
 polkit/polkit-seat.c                               |  231 ---
 polkit/polkit-seat.h                               |   53 -
 polkit/polkit-session.c                            |  501 -------
 polkit/polkit-session.h                            |   64 -
 polkit/polkit-sysdeps.c                            |  159 ---
 polkit/polkit-sysdeps.h                            |   45 -
 polkit/polkit-test.c                               |  112 --
 polkit/polkit-test.h                               |   69 -
 polkit/polkit-types.h                              |  105 --
 polkit/polkit-utils.c                              |  153 --
 polkit/polkit-utils.h                              |   41 -
 polkit/polkit.h                                    |   52 -
 src/polkit-dbus/Makefile.am                        |   47 +
 src/polkit-dbus/polkit-dbus.c                      | 1492
 ++++++++++++++++++++
 src/polkit-dbus/polkit-dbus.h                      |   66 +
 src/polkit-dbus/polkit-read-auth-helper.c          |  471 ++++++
 src/polkit-grant/Makefile.am                       |   89 ++
 .../polkit-authorization-db-dummy-write.c          |   96 ++
 src/polkit-grant/polkit-authorization-db-write.c   |  680 +++++++++
 src/polkit-grant/polkit-explicit-grant-helper.c    |  268 ++++
 src/polkit-grant/polkit-grant-helper-pam.c         |  232 +++
 src/polkit-grant/polkit-grant-helper.c             |  842 +++++++++++
 src/polkit-grant/polkit-grant.c                    |  538 +++++++
 src/polkit-grant/polkit-grant.h                    |  369 +++++
 src/polkit-grant/polkit-revoke-helper.c            |  379 +++++
 src/polkit/.gitignore                              |    9 +
 src/polkit/Makefile.am                             |  149 ++
 src/polkit/polkit-action.c                         |  304 ++++
 src/polkit/polkit-action.h                         |   55 +
 src/polkit/polkit-authorization-constraint.c       |  491 +++++++
 src/polkit/polkit-authorization-constraint.h       |   94 ++
 src/polkit/polkit-authorization-db-dummy.c         |  191 +++
 src/polkit/polkit-authorization-db.c               |  848 +++++++++++
 src/polkit/polkit-authorization-db.h               |  156 ++
 src/polkit/polkit-authorization.c                  |  567 ++++++++
 src/polkit/polkit-authorization.h                  |  100 ++
 src/polkit/polkit-caller.c                         |  455 ++++++
 src/polkit/polkit-caller.h                         |   61 +
 src/polkit/polkit-config.c                         |  772 ++++++++++
 src/polkit/polkit-config.h                         |   87 ++
 src/polkit/polkit-context.c                        |  803 +++++++++++
 src/polkit/polkit-context.h                        |  190 +++
 src/polkit/polkit-debug.c                          |   81 ++
 src/polkit/polkit-debug.h                          |   33 +
 src/polkit/polkit-error.c                          |  246 ++++
 src/polkit/polkit-error.h                          |   88 ++
 src/polkit/polkit-hash.c                           |  560 ++++++++
 src/polkit/polkit-hash.h                           |  147 ++
 src/polkit/polkit-list.c                           |  330 +++++
 src/polkit/polkit-list.h                           |   85 ++
 src/polkit/polkit-memory.c                         |  373 +++++
 src/polkit/polkit-memory.h                         |   75 +
 src/polkit/polkit-policy-cache.c                   |  355 +++++
 src/polkit/polkit-policy-cache.h                   |   75 +
 src/polkit/polkit-policy-default.c                 |  442 ++++++
 src/polkit/polkit-policy-default.h                 |   67 +
 src/polkit/polkit-policy-file-entry.c              |  471 ++++++
 src/polkit/polkit-policy-file-entry.h              |   76 +
 src/polkit/polkit-policy-file.c                    |  809 +++++++++++
 src/polkit/polkit-policy-file.h                    |   67 +
 src/polkit/polkit-private.h                        |  107 ++
 src/polkit/polkit-result.c                         |  152 ++
 src/polkit/polkit-result.h                         |  110 ++
 src/polkit/polkit-seat.c                           |  231 +++
 src/polkit/polkit-seat.h                           |   53 +
 src/polkit/polkit-session.c                        |  501 +++++++
 src/polkit/polkit-session.h                        |   64 +
 src/polkit/polkit-sysdeps.c                        |  159 +++
 src/polkit/polkit-sysdeps.h                        |   45 +
 src/polkit/polkit-test.c                           |  112 ++
 src/polkit/polkit-test.h                           |   69 +
 src/polkit/polkit-types.h                          |  105 ++
 src/polkit/polkit-utils.c                          |  153 ++
 src/polkit/polkit-utils.h                          |   41 +
 src/polkit/polkit.h                                |   52 +
 126 files changed, 17235 insertions(+), 17235 deletions(-)

commit 85231a09edd0627e42f1e787638bf2c892dce066
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Nov 8 12:24:17 2007 -0500

    reimplement string hashing and comparison

 polkit/polkit-hash.c |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

commit 4088e09113d8d716a95947265622bd3ea7e296d4
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Nov 7 19:09:40 2007 -0500

    add doubly-linked lists

 doc/polkit-docs.xml         |    1 +
 polkit/Makefile.am          |    2 +
 polkit/polkit-hash.c        |    2 +-
 polkit/polkit-hash.h        |    4 +-
 polkit/polkit-list.c        |  330
 +++++++++++++++++++++++++++++++++++++++++++
 polkit/polkit-list.h        |   85 +++++++++++
 polkit/polkit-memory.c      |    2 +-
 polkit/polkit-policy-file.c |   21 ++-
 polkit/polkit-test.c        |    1 +
 polkit/polkit-test.h        |    1 +
 10 files changed, 439 insertions(+), 10 deletions(-)

commit a28a6369628d5affc32deb2516291f96fa463f70
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Nov 6 16:55:08 2007 -0500

    hook up expat to use our memory handling API

    Disable by default because, unfortunately, expat seems to leak on
    certain OOM paths. Sigh.

 polkit/polkit-memory.c      |   41
 +++++++++++++++++++++++++++++++++++++++++
 polkit/polkit-memory.h      |    1 +
 polkit/polkit-policy-file.c |   14 +++++++++++++-
 3 files changed, 55 insertions(+), 1 deletions(-)

commit 57891e749d3f463790974138c84077131e6b3a14
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Nov 6 16:01:07 2007 -0500

    also dist test .policy files

 test/Makefile.am |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit 195a1a2bdbeb15f4dbfc896de54ed175ded8b0cc
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Nov 6 15:55:49 2007 -0500

    increase test coverage for PolKitPolicyFile

 polkit/Makefile.am                        |    1 +
 polkit/polkit-policy-file.c               |  204
 +++++++++++++++++++++++------
 test/test-invalid-1-action-id.policy      |   14 ++
 test/test-invalid-2-bogus-any.policy      |   14 ++
 test/test-invalid-3-bogus-inactive.policy |   14 ++
 test/test-invalid-4-bogus-active.policy   |   14 ++
 test/test-invalid-5-max-depth.policy      |   87 ++++++++++++
 test/test-valid-1.policy                  |   14 ++
 test/test-valid-2-annotations.policy      |   16 +++
 test/test-valid-3-lang.policy             |   28 ++++
 test/test-valid-4-unknown-tags.policy     |   20 +++
 11 files changed, 388 insertions(+), 38 deletions(-)

commit cb93ff93af3a319e183d3897b5c525df29092b52
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Nov 6 15:55:02 2007 -0500

    fix some unaligned access bugs

 polkit/polkit-memory.c |   22 ++++++++++++++--------
 1 files changed, 14 insertions(+), 8 deletions(-)

commit 66da3caa360b2a85d06a40336ec727c20cb7b0c6
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Nov 6 12:03:42 2007 -0500

    add unit tests for PolKitPolicyFile and add some features to
    PolKitHash

 polkit/polkit-error.c             |    5 +-
 polkit/polkit-hash.c              |  103 +++++++++++++-------
 polkit/polkit-hash.h              |   20 ++++-
 polkit/polkit-memory.c            |   38 +++++++
 polkit/polkit-memory.h            |    3 +-
 polkit/polkit-policy-file-entry.c |    4 +-
 polkit/polkit-policy-file.c       |  192
 ++++++++++++++++++++++++++-----------
 polkit/polkit-test.c              |    3 +-
 polkit/polkit-test.h              |    1 +
 9 files changed, 271 insertions(+), 98 deletions(-)

commit 41d8bcd0c2dd2648d74b58e4bb1aaea0199f5460
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Nov 5 15:28:33 2007 -0500

    improve coverage of PolKitPolicyFileEntry by switching to
    PolKitHashTable

 polkit/polkit-policy-file-entry.c |  151
 +++++++++++++++++++++++++++----------
 polkit/polkit-policy-file.c       |   11 ++-
 polkit/polkit-private.h           |   10 +--
 3 files changed, 122 insertions(+), 50 deletions(-)

commit a32ca44fe928db9ab2948c7ab1c310751fffabcf
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Nov 5 14:59:31 2007 -0500

    implement polkit_hash_foreach

 polkit/polkit-hash.c |  118
 ++++++++++++++++++++++++++++++++++++++------------
 polkit/polkit-hash.h |   39 +++++++++++++---
 2 files changed, 121 insertions(+), 36 deletions(-)

commit ef211df94cae5e1f12364267d891509792374ba7
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Nov 5 13:41:03 2007 -0500

    export memory mangement and hash table functions

 polkit/polkit-memory.h |    4 ++--
 polkit/polkit.h        |    2 ++
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 7980010a5965d208f7eba467e2c9efac28a60d59
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Nov 5 13:34:45 2007 -0500

    implement our own hash table with 100% test coverage

 doc/polkit-docs.xml     |    2 +
 polkit/Makefile.am      |    3 +
 polkit/polkit-hash.c    |  464
 +++++++++++++++++++++++++++++++++++++++++++++++
 polkit/polkit-hash.h    |  104 +++++++++++
 polkit/polkit-memory.c  |   78 ++++++++
 polkit/polkit-memory.h  |   26 ++-
 polkit/polkit-private.h |    5 +
 polkit/polkit-test.c    |    2 +
 polkit/polkit-test.h    |    7 +
 polkit/polkit-types.h   |    7 +
 10 files changed, 692 insertions(+), 6 deletions(-)

commit 93cf08d61764887af6fbf6896d333d9b30a31ce8
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Nov 4 11:05:58 2007 -0500

    add unit tests for PolKitPolicyFileEntry

    We're only at 78@ coverage; need to reimplement GHashTable...

 polkit/polkit-policy-file-entry.c |   96
 +++++++++++++++++++++++++++++++++----
 polkit/polkit-private.h           |   11 ++---
 polkit/polkit-test.c              |    1 +
 polkit/polkit-test.h              |    1 +
 4 files changed, 92 insertions(+), 17 deletions(-)

commit 652fa4cda342a8f6e35045e45cfe325db1e71a4c
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Nov 3 20:39:23 2007 -0400

    add unit tests for PolKitPolicyDefault

 polkit/polkit-policy-default.c |  186
 +++++++++++++++++++++++++++++++++++++---
 polkit/polkit-test.c           |    1 +
 polkit/polkit-test.h           |    1 +
 3 files changed, 176 insertions(+), 12 deletions(-)

commit 95ef92a66c70589f632fb6dffc65a14b66ff3313
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Nov 3 19:06:22 2007 -0400

    add unit tests for PolKitCaller

 polkit/polkit-caller.c |  136
 +++++++++++++++++++++++++++++++++++++++++++-----
 polkit/polkit-test.c   |    1 +
 polkit/polkit-test.h   |    1 +
 3 files changed, 125 insertions(+), 13 deletions(-)

commit 43c619666c038bdb52202c4c6bd07e823ce7e6e5
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Nov 3 18:13:44 2007 -0400

    add unit tests for PolKitSession

 polkit/polkit-session.c |  126
 +++++++++++++++++++++++++++++++++++++++++++----
 polkit/polkit-test.c    |    1 +
 polkit/polkit-test.h    |    1 +
 3 files changed, 118 insertions(+), 10 deletions(-)

commit ed968d50f1c31849219adff04369d5aeb7082fb2
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Nov 3 17:50:35 2007 -0400

    add unit tests for PolKitSeat

 polkit/polkit-seat.c |   63
 +++++++++++++++++++++++++++++++++++++++++++++----
 polkit/polkit-test.c |    1 +
 polkit/polkit-test.h |    1 +
 3 files changed, 59 insertions(+), 6 deletions(-)

commit 05af4eec1bb980a008f72e687bcf6f7402a74234
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Nov 3 17:34:33 2007 -0400

    add unit tests for PolKitResult

 polkit/polkit-result.c |   37 +++++++++++++++++++++++++++++++++----
 polkit/polkit-test.c   |    1 +
 polkit/polkit-test.h   |    1 +
 3 files changed, 35 insertions(+), 4 deletions(-)

commit 23c31df07ce1652d83f53a21151556747876ed0b
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Nov 3 17:21:53 2007 -0400

    implement OOM testing

    The glib dep removal. It has begun.

 polkit/Makefile.am     |    1 +
 polkit/polkit-action.c |   72 ++++++++++++-----
 polkit/polkit-error.c  |   54 +++++++++----
 polkit/polkit-memory.c |  210
 ++++++++++++++++++++++++++++++++++++++++++++++++
 polkit/polkit-memory.h |   59 ++++++++++++++
 polkit/polkit-test.c   |   70 ++++++++++++++--
 polkit/polkit-test.h   |   10 +++
 7 files changed, 430 insertions(+), 46 deletions(-)

commit a82fa6258e196580f0e535bfeaaf76e2d4c5bc91
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Nov 3 15:53:41 2007 -0400

    add tests for PolKitError

 polkit/polkit-error.c |   86
 +++++++++++++++++++++++++++++-------------------
 polkit/polkit-error.h |    8 +++-
 polkit/polkit-test.c  |    5 +++
 polkit/polkit-test.h  |    6 +--
 4 files changed, 65 insertions(+), 40 deletions(-)

commit 774da25fa897503c20d761b9ff35331da61c180f
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Nov 3 15:24:36 2007 -0400

    remove dead code

 polkit/polkit-action.c |    6 ------
 1 files changed, 0 insertions(+), 6 deletions(-)

commit da35aa14239c9dcfa4948c07c9cc7d7271b87d88
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Nov 3 15:21:10 2007 -0400

    extend test coverage for PolKitAction

    It's now at 100%. Yay me.

 polkit/polkit-action.c |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

commit 1d037a7bc4180ba6a252ad2b8fc7e55bcbcd7551
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Nov 3 14:40:13 2007 -0400

    add unit test framework with gcov coverage support (make
    check-coverage)

    This is what it looks like

    ==============================================================================
    Test coverage for module polkit:
    ==============================================================================
    polkit-sysdeps.c                                        :   0%
    (0 of 38)
    polkit-error.c                                          :   0%
    (0 of 44)
    polkit-result.c                                         :   0%
    (0 of 16)
    polkit-context.c                                        :   0%
    (0 of 213)
    polkit-action.c                                         :  34%
    (20 of 58)
    polkit-seat.c                                           :   0%
    (0 of 34)
    polkit-session.c                                        :   0%
    (0 of 97)
    polkit-caller.c                                         :   0%
    (0 of 81)
    polkit-policy-file-entry.c                              :   0%
    (0 of 72)
    polkit-policy-file.c                                    :   0%
    (0 of 220)
    polkit-policy-cache.c                                   :   0%
    (0 of 98)
    polkit-policy-default.c                                 :   0%
    (0 of 67)
    polkit-debug.c                                          :   0%
    (0 of 15)
    polkit-utils.c                                          :   0%
    (0 of 42)
    polkit-config.c                                         :   0%
    (0 of 263)
    polkit-authorization.c                                  :   0%
    (0 of 162)
    polkit-authorization-constraint.c                       :   0%
    (0 of 107)
    polkit-authorization-db.c                               :   0%
    (0 of 222)

    Source lines          : 6919
    Actual statements     : 1849
    Executed statements   : 20
    Test coverage         : 1%

 Makefile.am                    |   20 ++++++++-
 configure.in                   |   90
 ++++++++++++++++++++++++++--------------
 doc/Makefile.am                |    6 +++
 polkit/Makefile.am             |   43 ++++++++++++++++++-
 polkit/polkit-action.c         |   41 +++++++++++++++++-
 polkit/polkit-test.c           |   43 +++++++++++++++++++
 polkit/polkit-test.h           |   46 ++++++++++++++++++++
 test/Makefile.am               |    5 ++
 test/create-coverage-report.sh |   57 +++++++++++++++++++++++++
 9 files changed, 315 insertions(+), 36 deletions(-)

commit 7d149b6249bc94e0587e3a09d591df599cf26601
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Nov 1 01:21:47 2007 -0400

    updated TODO list

 doc/TODO |   54 +++++++++++++++++++++++++++++-------------------------
 1 files changed, 29 insertions(+), 25 deletions(-)

commit 1b4fa91bb66135cf53d37117680cb2f23c3055ac
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Oct 31 23:23:33 2007 -0400

    introduce one-shot authorizations

 polkit-dbus/polkit-dbus.c                          |   21 ++--
 polkit-grant/polkit-authorization-db-dummy-write.c |   20 +--
 polkit-grant/polkit-authorization-db-write.c       |  161
 ++++++++++---------
 polkit-grant/polkit-grant-helper.c                 |   49 +++++-
 polkit-grant/polkit-revoke-helper.c                |   50 ++++--
 polkit/polkit-authorization-db-dummy.c             |   12 ++
 polkit/polkit-authorization-db.c                   |  104 ++++++++++++-
 polkit/polkit-authorization-db.h                   |    6 +
 polkit/polkit-authorization.c                      |   13 +-
 polkit/polkit-authorization.h                      |    3 +
 polkit/polkit-context.c                            |  154
 +++++++++++--------
 polkit/polkit-context.h                            |    3 +-
 polkit/polkit-result.c                             |    2 +
 polkit/polkit-result.h                             |   17 ++-
 polkitd/org.freedesktop.PolicyKit.xml              |    8 +-
 polkitd/polkit-daemon.c                            |   12 +-
 polkitd/polkit-daemon.h                            |    4 +-
 tools/polkit-auth.c                                |   15 ++-
 18 files changed, 440 insertions(+), 214 deletions(-)

commit 035e6ee497eca895506cff376d6154e9fa9327ca
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Oct 31 14:41:00 2007 -0400

    make polkit_context_is_[caller|session]_authorized() take a
    PolKitError

 polkit-dbus/polkit-read-auth-helper.c       |   41
 ++++++++++++++++++++++++--
 polkit-grant/polkit-explicit-grant-helper.c |   34 ++++++++++++++++------
 polkit-grant/polkit-grant-helper.c          |   12 +++++++-
 polkit-grant/polkit-revoke-helper.c         |   32 +++++++++++++++-----
 polkit/polkit-context.c                     |   17 +++++++++--
 polkit/polkit-context.h                     |    6 ++-
 polkitd/polkit-daemon.c                     |    9 ++++-
 tools/polkit-auth.c                         |    8 +++--
 8 files changed, 127 insertions(+), 32 deletions(-)

commit e701ee4cac10c59bf48e6bd0c814edec0181362d
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Oct 31 13:19:24 2007 -0400

    rename revoke_if_oneshot to is_mechanism and also expose this on D-Bus

 polkit/polkit-context.c               |   10 ++++++----
 polkit/polkit-context.h               |    4 ++--
 polkitd/org.freedesktop.PolicyKit.xml |   15 +++++++++++++++
 polkitd/polkit-daemon.c               |   12 ++++++------
 polkitd/polkit-daemon.h               |   19 ++++++++++++++-----
 5 files changed, 43 insertions(+), 17 deletions(-)

commit 44434ffad090503bc58fd055458cae45154d0e5b
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Oct 31 12:48:57 2007 -0400

    avoid defining the same functions in both libpolkit and
    libpolkit-grant

    Looks like I forgot to delete those when doing the big move in
    commit d9d790870b0372162091b00e19e38a24472a306d

 polkit-grant/Makefile.am         |    2 +-
 polkit/polkit-authorization-db.c |  150
 --------------------------------------
 2 files changed, 1 insertions(+), 151 deletions(-)

commit 3a02908eaf79f7968008c32323596bcc56c43d65
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Oct 30 21:27:06 2007 -0400

    remember to reset killtimer and fix an error message

 polkitd/main.c          |    2 +-
 polkitd/polkit-daemon.c |    4 ++++
 2 files changed, 5 insertions(+), 1 deletions(-)

commit 871e4c93e96e5ae9782f1aafddc2f47cc2c34b78
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Oct 30 21:17:08 2007 -0400

    provide a polkit D-Bus service that is activated on demand

    Right now we provide two methods

     IsProcessAuthorized
     IsSystemBusNameAuthorized

    This is useful for a couple of reasons

     - some mechanisms (e.g. Avahi) runs in a chroot and their only
       life-line to the world is a system bus connection. If it were to
       use libpolkit (and Lennart says he wants it to, yay!) it would need
       to bindmount crazy stuff into the chroot.

     - languages for which libpolkit bindings not yet exist can use
       this interface

    Going forward, this service can expose a private interface meaning we
    can get rid of (almost) all of our setgid helpers.

 Makefile.am                                  |    2 +-
 configure.in                                 |    5 +
 polkit-dbus/polkit-read-auth-helper.c        |   13 +-
 polkitd/Makefile.am                          |   61 +++
 polkitd/main.c                               |  193 ++++++++++
 polkitd/org.freedesktop.PolicyKit.conf.in    |   11 +
 polkitd/org.freedesktop.PolicyKit.service.in |   11 +
 polkitd/org.freedesktop.PolicyKit.xml        |   27 ++
 polkitd/polkit-daemon.c                      |  527
 ++++++++++++++++++++++++++
 polkitd/polkit-daemon.h                      |   72 ++++
 10 files changed, 919 insertions(+), 3 deletions(-)

commit d9d790870b0372162091b00e19e38a24472a306d
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Oct 30 18:21:04 2007 -0400

    move authdb write functions to libpolkit-grant

    This is primarily to keep libpolkit as minimal as possible as all that
    mechanisms will ever need is the ability to read from the authdb.

 polkit-dbus/Makefile.am                            |   22 +-
 polkit-dbus/polkit-explicit-grant-helper.c         |  252 --------
 polkit-dbus/polkit-revoke-helper.c                 |  347 ----------
 polkit-grant/Makefile.am                           |   38 +-
 polkit-grant/polkit-authorization-db-dummy-write.c |   98 +++
 polkit-grant/polkit-authorization-db-write.c       |  671
 ++++++++++++++++++++
 polkit-grant/polkit-explicit-grant-helper.c        |  252 ++++++++
 polkit-grant/polkit-revoke-helper.c                |  347 ++++++++++
 polkit/polkit-authorization-db-dummy.c             |   54 +--
 polkit/polkit-authorization-db.c                   |  480 +--------------
 polkit/polkit-private.h                            |   16 +
 11 files changed, 1431 insertions(+), 1146 deletions(-)

commit d2a37b5730eef2ffc5108f65c409991da7a8fa01
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Oct 30 17:46:41 2007 -0400

    rearrange the docs so all API is in one section

    Also specificy, per function and class, if it's not in libpolkit.

 doc/polkit-docs.xml         |   33 ++++++++-------------------------
 polkit-dbus/polkit-dbus.c   |   32 ++++++++++++++++++++++++++++++++
 polkit-grant/polkit-grant.c |   36 +++++++++++++++++++++++++++++-------
 3 files changed, 69 insertions(+), 32 deletions(-)

commit 4a157d2c3880bd23459918f9590417332ebc8d37
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Oct 29 15:30:36 2007 -0400

    use _destroy, not _unref for hash tables

    The latter is only in glib 2.10.

    Pointed out by Danny Kukawka <danny.kukawka@web.de>.

 polkit-dbus/polkit-dbus.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 3b120787fc9924ddf35dd907d44fb84fdf918128
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Oct 29 01:36:58 2007 -0400

    fix uid retrival when getting auths from all users

 polkit-dbus/polkit-read-auth-helper.c |   98
 ++++++++++++++++++++++++--------
 polkit/polkit-authorization-db.c      |    5 +-
 polkit/polkit-authorization.c         |    6 ++-
 polkit/polkit-private.h               |    7 --
 4 files changed, 82 insertions(+), 34 deletions(-)

commit a37bb16573d0fd4101526d93e1e73761162b44bf
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Oct 29 00:23:45 2007 -0400

    fix docs

 polkit/polkit-sysdeps.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 716bba7c767f39385cca315873a75451211ce586
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Oct 28 23:46:54 2007 -0400

    fix build with dummy backend

 polkit/polkit-authorization-db-dummy.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit dccf2be2c8e1fb9f0e0b8b2abde188c3db750a89
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Oct 28 23:43:03 2007 -0400

    let authdb backends synthesize policy file entries

 polkit/polkit-authorization-db-dummy.c |   14 ++++++++++++++
 polkit/polkit-authorization-db.c       |   15 +++++++++++++++
 polkit/polkit-policy-cache.c           |   11 ++++++++++-
 polkit/polkit-private.h                |    8 ++++++++
 4 files changed, 47 insertions(+), 1 deletions(-)

commit f09625201502ebbec9cba62c909d97d13a8dcf80
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Oct 28 23:32:11 2007 -0400

    minor build system and doc fixes

 configure.in            |   29 ++++++++++++++++++++++++-----
 polkit/polkit-sysdeps.c |    6 +++---
 2 files changed, 27 insertions(+), 8 deletions(-)

commit d6e37703225d223692e16312e74a9285d8069cce
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Oct 28 23:13:16 2007 -0400

    move Linux specific code into a single file

    Haven't moved the inotify stuff yet; not sure about what abstraction
    we need...

 doc/polkit-docs.xml              |    1 +
 polkit-dbus/polkit-dbus.c        |   62 +-----
 polkit/Makefile.am               |    2 +
 polkit/polkit-authorization-db.c |   61 +-----
 polkit/polkit-grant-database.c   |  495
 --------------------------------------
 polkit/polkit-grant-database.h   |   84 -------
 polkit/polkit-sysdeps.c          |  159 ++++++++++++
 polkit/polkit-sysdeps.h          |   45 ++++
 polkit/polkit.h                  |    1 +
 tools/polkit-auth.c              |   29 +--
 10 files changed, 216 insertions(+), 723 deletions(-)

commit f2bc78386792a32f47a688029245d5ba2a1ecae5
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Oct 28 22:06:25 2007 -0400

    move all private functions into a private header file

 polkit-dbus/Makefile.am                    |    1 +
 polkit-dbus/polkit-explicit-grant-helper.c |    4 +-
 polkit/Makefile.am                         |    3 +-
 polkit/polkit-authorization-constraint.c   |    3 +-
 polkit/polkit-authorization-db-dummy.c     |    3 -
 polkit/polkit-authorization-db.c           |   12 +---
 polkit/polkit-authorization.c              |    5 +-
 polkit/polkit-context.c                    |    6 +--
 polkit/polkit-policy-cache.c               |    3 +-
 polkit/polkit-policy-default.c             |    5 +-
 polkit/polkit-policy-file-entry.c          |   17 +-----
 polkit/polkit-policy-file.c                |   12 +---
 polkit/polkit-private.h                    |   92
 ++++++++++++++++++++++++++++
 13 files changed, 105 insertions(+), 61 deletions(-)

commit bfa9f0d67845477b7dd09d105087373b2418ecdb
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Oct 28 21:30:06 2007 -0400

    make the authdb pluggable and add a dummy backend as an example

 configure.in                           |   36 +++++
 data/Makefile.am                       |    4 +
 polkit-dbus/Makefile.am                |    8 +-
 polkit-grant/Makefile.am               |   12 ++-
 polkit-grant/polkit-grant.c            |    7 +-
 polkit/Makefile.am                     |   20 +++-
 polkit/polkit-authorization-db-dummy.c |  219
 ++++++++++++++++++++++++++++++++
 polkit/polkit-authorization-db.c       |   28 +++-
 polkit/polkit-authorization-db.h       |   20 +++-
 polkit/polkit-context.c                |    9 +-
 polkit/polkit-error.c                  |    3 +
 polkit/polkit-error.h                  |    5 +-
 polkit/polkit-policy-file-entry.c      |   10 ++
 tools/polkit-auth.c                    |    5 +
 14 files changed, 363 insertions(+), 23 deletions(-)

commit bed2fe1c79c6d0d5ebc9fec48f0d49a8bb0eb988
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Oct 28 19:18:37 2007 -0400

    rewrite authorization database and polkit-grant (now known as
    polkit-auth)

    Also,

     - Rename polkit-list-actions to polkit-action.
     - Add a bash completion script to the polkit commandline tools.

    Authorizations are no longer world-readable. So for this to work with
    hal you now need to do this as root

     # polkit-auth --user haldaemon --grant org.freedesktop.policykit.read

    Distributions needs to do this in the %post scripts or similar.

    Sorry for this huge monster patch.

 Makefile.am                                |   15 +-
 autogen.sh                                 |    2 +
 configure.in                               |   32 +-
 doc/Makefile.am                            |    4 +-
 doc/man/Makefile.am                        |    9 +-
 doc/man/PolicyKit.conf.xml                 |    6 +-
 doc/man/PolicyKit.xml                      |    4 +-
 doc/man/polkit-action.xml                  |  105 +++
 doc/man/polkit-auth.xml                    |  187 +++++
 doc/man/polkit-grant.xml                   |  116 ---
 doc/man/polkit-list-actions.xml            |   92 ---
 doc/polkit-docs.xml                        |    5 +-
 po/LINGUAS                                 |    4 +
 po/POTFILES.in                             |    4 +
 policy/Makefile.am                         |   19 +-
 policy/org.freedesktop.policykit.policy.in |   49 ++
 policy/polkit-example-action.policy        |   23 -
 polkit-dbus/Makefile.am                    |   35 +-
 polkit-dbus/polkit-dbus.c                  |  364 ++++++++--
 polkit-dbus/polkit-dbus.h                  |    3 +
 polkit-dbus/polkit-explicit-grant-helper.c |  254 +++++++
 polkit-dbus/polkit-read-auth-helper.c      |  381 ++++++++++
 polkit-dbus/polkit-revoke-helper.c         |  347 +++++++++
 polkit-grant/polkit-grant-helper-pam.c     |    9 +-
 polkit-grant/polkit-grant-helper.c         |   13 +-
 polkit/Makefile.am                         |   64 +-
 polkit/polkit-authorization-constraint.c   |  492 ++++++++++++
 polkit/polkit-authorization-constraint.h   |   94 +++
 polkit/polkit-authorization-db.c           | 1107
 +++++++++++++++++++++++++++-
 polkit/polkit-authorization-db.h           |   58 ++-
 polkit/polkit-authorization.c              |  366 ++++++++--
 polkit/polkit-authorization.h              |   35 +-
 polkit/polkit-context.c                    |  108 ++--
 polkit/polkit-error.c                      |   65 ++-
 polkit/polkit-error.h                      |   25 +-
 polkit/polkit-session.c                    |    2 +-
 tools/Makefile.am                          |   20 +-
 tools/polkit-action.c                      |  162 ++++
 tools/polkit-auth.c                        |  871 ++++++++++++++++++++++
 tools/polkit-bash-completion.sh            |  102 +++
 tools/polkit-config-file-validate.c        |   14 +-
 tools/polkit-grant.c                       |  512 -------------
 tools/polkit-list-actions.c                |  169 -----
 tools/polkit-policy-file-validate.c        |   14 +-
 44 files changed, 5131 insertions(+), 1231 deletions(-)

commit e32810155aef77cbfbc40e2150e40ab82419efa7
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Oct 23 19:38:00 2007 -0400

    remember to set uid on PolKitSession

 polkit-dbus/polkit-dbus.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 9bd3cbe09448b0468958b9ce5ab0d4d05e24a7b0
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Oct 23 15:37:38 2007 -0400

    move POLKIT_GNUC_DEPRECATED to a separate line so gtk-doc is happy

    Also document this symbol

 polkit/polkit-context.h |   16 +++++++++-------
 polkit/polkit-types.h   |    9 +++++++--
 2 files changed, 16 insertions(+), 9 deletions(-)

commit 5863ec810097e452ece93c297a42b3643f1b8395
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Oct 23 15:29:55 2007 -0400

    create an API for interfacing with the Authorization Database

    This is necessary to make UI like this

     http://people.freedesktop.org/~david/Screenshot-Manage%20Authorizations.png

    export some useful actions such as granting, revoking and displaying
    authorizations.

    Previously this API was internal, polkit/polkit-grant-database.[ch],
    and linked into polkit-grant(1) and libpolkit-grant(3) through a
    static library libpolkit-private.so.

    Only polkit-grant have not been ported; libpolkit-grant(3) uses this
    API natively now. Internally, right now, the new API just uses
    polkit-grant-database.[ch] directly but that is about to change...

 doc/polkit-docs.xml                |    2 +
 polkit-grant/Makefile.am           |    2 +-
 polkit-grant/polkit-grant-helper.c |  177 +++++++++++--------
 polkit/Makefile.am                 |   18 +-
 polkit/polkit-authorization-db.c   |  346
 ++++++++++++++++++++++++++++++++++++
 polkit/polkit-authorization-db.h   |   88 +++++++++
 polkit/polkit-authorization.c      |  303 +++++++++++++++++++++++++++++++
 polkit/polkit-authorization.h      |   96 ++++++++++
 polkit/polkit-context.c            |   90 +++++++++-
 polkit/polkit-context.h            |   25 ++-
 polkit/polkit-grant-database.c     |    3 +-
 polkit/polkit-grant-database.h     |    3 +-
 polkit/polkit.h                    |    2 +
 tools/Makefile.am                  |    6 +-
 14 files changed, 1060 insertions(+), 101 deletions(-)

commit b9137e6598ff1799f390110f387dfb5ec6d6e32d
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Oct 23 15:25:44 2007 -0400

    add docs for POLKIT_[BEGIN|END]_DECLS and also add
    POLKIT_GNUC_DEPRECATED

 polkit/polkit-types.h |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

commit d1a6df3f786c74fc51f613e5b71e0d6f63014cef
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Oct 22 12:44:25 2007 -0400

    use the Since: tag so gtk-doc can print what symbols are new in 0.7

 doc/polkit-docs.xml          |    7 +++++++
 polkit-dbus/polkit-dbus.c    |   16 ++++++++++++++++
 polkit/polkit-policy-cache.c |    2 ++
 3 files changed, 25 insertions(+), 0 deletions(-)

commit b6ec8253a27d4d917003b232a497fd7df62003b0
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Oct 21 21:26:38 2007 -0400

    work on the docs

    Now we have diagrams! With happy candy colors too!

 doc/Makefile.am                |    4 +-
 doc/diagram-bus-model.png      |  Bin 0 -> 59202 bytes
 doc/diagram-interaction.png    |  Bin 0 -> 130891 bytes
 doc/polkit-diagrams.svg        | 1923
 ++++++++++++++++++++++++++++++++++++++++
 doc/spec/polkit-spec-model.xml |  366 +++++++-
 5 files changed, 2259 insertions(+), 34 deletions(-)

commit e8d1496b421d3bd63a201952d5a40dd1a729f2e6
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Oct 21 11:10:06 2007 -0400

    don't spew debug output in libpolkit-dbus

 polkit-dbus/polkit-dbus.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 45ed942fdb26590654c9e33beb4976953a7cc421
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Oct 20 23:53:16 2007 -0400

    avoid including regex.h from a public header file

 polkit/polkit-config.c |    1 +
 polkit/polkit-config.h |    1 -
 2 files changed, 1 insertions(+), 1 deletions(-)

commit f455c2f6077225d8b87a9a9e9d7e237c36a7ca13
Author: David Zeuthen <davidz@redhat.com>
Date:   Sat Oct 20 21:42:43 2007 -0400

    add C++ include guards and a new method to get pfe's by annotation

 polkit-dbus/polkit-dbus.h         |    3 ++
 polkit-grant/polkit-grant.h       |    3 ++
 polkit/polkit-action.h            |    4 +++
 polkit/polkit-caller.h            |    4 +++
 polkit/polkit-config.h            |    5 ++++
 polkit/polkit-context.h           |    4 +++
 polkit/polkit-error.h             |    6 +++++
 polkit/polkit-grant-database.h    |    4 +++
 polkit/polkit-policy-cache.c      |   42
 +++++++++++++++++++++++++++++++++++++
 polkit/polkit-policy-cache.h      |   10 ++++++++
 polkit/polkit-policy-default.h    |    5 ++++
 polkit/polkit-policy-file-entry.h |    4 +++
 polkit/polkit-policy-file.h       |    5 ++++
 polkit/polkit-result.h            |    4 +++
 polkit/polkit-seat.h              |    4 +++
 polkit/polkit-session.h           |    4 +++
 polkit/polkit-types.h             |   12 ++++++++++
 polkit/polkit-utils.h             |    4 +++
 polkit/polkit.h                   |    1 +
 19 files changed, 128 insertions(+), 0 deletions(-)

commit 0d7cdd74326c59bffe90be367329b012d23726b9
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Oct 18 13:44:16 2007 -0400

    add support to PolKitTracker for also asking on pid

 polkit-dbus/polkit-dbus.c |  195
 +++++++++++++++++++++++++++++++++++++++++++--
 polkit-dbus/polkit-dbus.h |    4 +-
 2 files changed, 191 insertions(+), 8 deletions(-)

commit 2dc098a78facb745195f87abf18e031f9a557fc2
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Oct 12 20:53:19 2007 -0400

    post-release version bump

    Better late than never!

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit be94f4712c4e90e087b9e1de3153958479e0c627
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Oct 12 20:50:57 2007 -0400

    add id's so the generated HTML has stable and predictable file names

 doc/man/PolicyKit.conf.xml              |    2 +-
 doc/man/PolicyKit.xml                   |    2 +-
 doc/man/polkit-config-file-validate.xml |    2 +-
 doc/man/polkit-grant.xml                |    2 +-
 doc/man/polkit-list-actions.xml         |    2 +-
 doc/man/polkit-policy-file-validate.xml |    2 +-
 doc/polkit-docs.xml                     |   10 +++++-----
 doc/spec/polkit-spec-configuration.xml  |    4 ++--
 doc/spec/polkit-spec-introduction.xml   |    4 ++--
 doc/spec/polkit-spec-model.xml          |    6 +++---
 10 files changed, 18 insertions(+), 18 deletions(-)

commit 35f7bd2824c40658de9589928bea7b2237c60101
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Oct 12 20:38:13 2007 -0400

    add the convenience class PolKitTracker

    This class allows a mechanism to greatly reduce the syscall and IPC
    overhead when checking whether a caller on the system bus message is
    allowed to do a specific action. In a nutshell, this class caches
    PolKitCaller objects and a) updates them when ConsoleKit emits
    ActivityChanged signals; and b) evicts such objects from the cache
    when the caller drops off the bus.

    There's also an example, in examples/tracker-example/ that shows how
    to use this. This example is referenced in the API docs too.

 examples/tracker-example/README                    |    4 +
 .../dk.fubar.PolKitTestService.conf                |   10 +
 examples/tracker-example/tracker-example-client.py |   11 +
 examples/tracker-example/tracker-example.c         |  138 ++++++++
 polkit-dbus/polkit-dbus.c                          |  364
 +++++++++++++++++++-
 polkit-dbus/polkit-dbus.h                          |   15 +
 6 files changed, 536 insertions(+), 6 deletions(-)

commit a11166bdbecc85995a1aef58fcb7635091049708
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Oct 11 17:50:30 2007 -0400

    update NEWS

 NEWS |   29 +++++++++++++++++++++++++++++
 1 files changed, 29 insertions(+), 0 deletions(-)

commit 5b60edc135496fa4bdc9f1623a7b22501adb77a9
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Sep 27 13:46:29 2007 -0400

    make polkit-list-actions print information about <allow_any>

 tools/polkit-list-actions.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit b420cc512b3277cac57c2c2231adf80cefd7e764
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Sep 27 13:36:11 2007 -0400

    don't fail on unknown XML tags, just skip them

    This change will futureproof libpolkit for extensions; e.g. if there's
    an OS upgrade where

     a) the PolicyKit package is upgraded to a version where support for a
        new tag <allow_foo> is added; and

     b) another package, using PolicyKit, is upgraded dropping a .policy
        file using the new <allow_foo> tag; then

    existing running processes using libpolkit will not fail. They will,
    however, not honor the new tags until the daemon process itself is
    restarted using e.g. condrestart.

    We also log to the system logger whenever we encouter unknown tags.

 doc/TODO                    |    4 ---
 polkit/polkit-config.c      |   32 +++++++++++++++++-----
 polkit/polkit-policy-file.c |   63
 +++++++++++++++++++------------------------
 3 files changed, 53 insertions(+), 46 deletions(-)

commit 4714fe721988d533a912ac62df5088f24f5bc699
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Sep 27 12:08:19 2007 -0400

    implement <allow_any> to specify default answer for any user

    This is useful in instances where the OS vendor wants to allow any
    user, even remote users logging in via ssh etc., but recognize that
    some sites may want to lock this down to a limited set of users.

    Suggested by Daniel P. Berrange <berrange@redhat.com>:

    <danpb>  my specific use case is that in libvirt we don't mind
    any user
             querying for VM status info by default
    <danpb>  but some admins may wish to lock that ability down
    <danpb>  so only designated users can query VM status
    <davidz> right
    <davidz> it makes sense
    <davidz> without having giving it too much thought; adding another
    stanza to
             the .policy file might make sense
    <davidz> <allow_non_session>yes</allow_non_session>
    <davidz> danpb: would that work?
    <danpb>  yeah, that'd do the trick
    <davidz> cool
    <davidz> I'll add it then

 doc/spec/polkit-spec-configuration.xml |   15 ++++++++++-----
 polkit/polkit-policy-default.c         |   29
 +++++++++++++++++++++++++++--
 polkit/polkit-policy-default.h         |    1 +
 polkit/polkit-policy-file-entry.c      |    8 ++++++--
 polkit/polkit-policy-file.c            |   20 ++++++++++++++++++--
 5 files changed, 62 insertions(+), 11 deletions(-)

commit 60d85b947457940978a9c153a59a80c87d46ab4e
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Sep 26 15:49:31 2007 -0400

    add TODO item detailing how to handle upgrades

 doc/TODO |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 24973905a6cefbcb13a718218ac561fbece7fd9f
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Sep 25 16:38:32 2007 -0400

    add specifics for the Pardus distro

    Patch from S.Çağlar Onur <caglar@pardus.org.tr>. Thanks.

 configure.in |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit a8ab4c970363996890c22ffdb2b1eb48b6ac0f6e
Author: Doug Goldstein <cardoe@gentoo.org>
Date:   Thu Sep 6 23:53:53 2007 -0400

    use chgrp instead of chown with group only

    Change to use chgrp instead of chown when only changing a group

 polkit-grant/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 3a8a84ec380aed65e98c2c28e1c558d3827915db
Author: Doug Goldstein <cardoe@gentoo.org>
Date:   Thu Sep 6 16:14:24 2007 -0400

    install hook for setuid/setgid

    Current installation uses a local rule which isn't guarenteed to
    be run
    after the automake'd rule, as such it will not always setuid/setgid
    properly.
    This patch switches that to a hook which is guarenteed to run
    afterwards.

 polkit-grant/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3406f9f20826473dbf2de8c0dbd71f0b5bb8c8e7
Author: Doug Goldstein <cardoe@gentoo.org>
Date:   Thu Sep 6 12:07:20 2007 -0400

    gentoo OS type support

    Adds Gentoo as a valid OS type

 configure.in |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 1b8d31e1fef50dd4ff3ddc5bee539175dc93daa5
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Aug 31 15:59:59 2007 -0400

    post-release version bump

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit aef7a201260133535c035ba7183f8e96bd25954f
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Aug 31 15:56:07 2007 -0400

    update NEWS file

 NEWS |   66
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 66 insertions(+), 0 deletions(-)

commit 1817a0fc0499a79cb37c1610d3970e66d78c150b
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Aug 31 15:48:52 2007 -0400

    bump so name

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2b27f63a2b49c57e83a82bc4966fadde02b62f1d
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Aug 31 15:48:38 2007 -0400

    fix 'make distcheck' by avoiding with man pages on distcheck

 Makefile.am |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 6642ec69b4e379897e146a47df25240f4153af2d
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Aug 31 13:51:10 2007 -0400

    make polkit-grant-helper-pam out of reach for normal users

    Adds a little bit of more security..

 polkit-grant/Makefile.am |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 61b3adc5b393b4070c19818f558dd76ac4b4d880
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Aug 28 13:33:18 2007 -0400

    add an example of how define_admin_auth is used

    Based on input from Ken VanDine

    http://lists.freedesktop.org/archives/hal/2007-August/009402.html

 doc/man/PolicyKit.conf.xml |   21 ++++++++++++++++++++-
 1 files changed, 20 insertions(+), 1 deletions(-)

commit ba0e33beeae7d066fc87359d31ac1517dd4c2385
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Aug 27 16:41:40 2007 -0400

    minor doc changes

 COPYING                               |   14 ++++++++------
 doc/spec/polkit-spec-introduction.xml |   26 +++++++++++++++-----------
 2 files changed, 23 insertions(+), 17 deletions(-)

commit 51dc397f6a3ce098dced0b3a18b59f968f533bc9
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Aug 27 16:39:59 2007 -0400

    also forgot to add polkit-docs.xml

 doc/polkit-docs.xml |  163
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 163 insertions(+), 0 deletions(-)

commit 292f230cddaf923def3ab757f04dfa39747269a8
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Aug 27 14:06:30 2007 -0400

    also add another missing file

 tools/polkit-config-file-validate.c |  102
 +++++++++++++++++++++++++++++++++++
 1 files changed, 102 insertions(+), 0 deletions(-)

commit f936af0ad56278b87121c82057e4de533d60bfe2
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Aug 27 13:34:49 2007 -0400

    forgot to add doc/version.xml.in

 doc/version.xml.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit e55cb2360ae0f4d065d76ad7df25f4210a9607c8
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Aug 27 11:27:39 2007 -0400

    make config file override grant database

    Even though a caller may have an entry in the grant database (and as
    such will see POLKIT_RESULT_YES), change the behavior such that this
    is no longer honored unless the config file specifies the result
    POLKIT_RESULT_ONLY_VIA_[SELF|ADMIN]_AUTH_{,KEEP_SESSION|KEEP_ALWAYS}.

    E.g. this allows the sysadmin to specify things like POLKIT_RESULT_NO
    in the config file and that will now make existing grants
    useless. This behavior is a lot more natural.

 polkit/polkit-context.c |   41 ++++++++++++++++++++++++++++++++---------
 1 files changed, 32 insertions(+), 9 deletions(-)

commit 4f807a94b5116dabf15a10876d7a22f5a0587e31
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Aug 24 18:44:14 2007 -0400

    some more doc fixes

 doc/Makefile.am                   |    2 +-
 polkit-grant/polkit-grant.c       |    3 +--
 polkit-grant/polkit-grant.h       |    4 ++--
 polkit/polkit-action.c            |    2 +-
 polkit/polkit-action.h            |    4 ++--
 polkit/polkit-caller.c            |    2 +-
 polkit/polkit-caller.h            |    4 ++--
 polkit/polkit-config.c            |    4 ++--
 polkit/polkit-config.h            |    4 ++--
 polkit/polkit-context.c           |    2 +-
 polkit/polkit-context.h           |    4 ++--
 polkit/polkit-error.c             |    2 +-
 polkit/polkit-error.h             |    4 ++--
 polkit/polkit-grant-database.c    |   10 +++++-----
 polkit/polkit-grant-database.h    |   11 +++++++----
 polkit/polkit-policy-cache.c      |    4 ++--
 polkit/polkit-policy-cache.h      |    4 ++--
 polkit/polkit-policy-default.c    |    2 +-
 polkit/polkit-policy-default.h    |    4 ++--
 polkit/polkit-policy-file-entry.c |    2 +-
 polkit/polkit-policy-file-entry.h |    4 ++--
 polkit/polkit-policy-file.c       |    2 +-
 polkit/polkit-policy-file.h       |    4 ++--
 polkit/polkit-seat.c              |    2 +-
 polkit/polkit-seat.h              |    4 ++--
 polkit/polkit-session.c           |    2 +-
 polkit/polkit-session.h           |    4 ++--
 polkit/polkit-types.h             |    7 +++++++
 tools/polkit-grant.c              |    2 +-
 29 files changed, 59 insertions(+), 50 deletions(-)

commit 69959d3ae71fec1f107cb8d7df2849dd16bb0422
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Aug 24 18:12:07 2007 -0400

    update inline API docs

 polkit-dbus/polkit-dbus.c         |    5 +++--
 polkit-grant/polkit-grant.c       |   10 +++++++---
 polkit/polkit-action.c            |    5 +++--
 polkit/polkit-caller.c            |    8 +++++---
 polkit/polkit-config.c            |    3 ++-
 polkit/polkit-context.c           |    3 ++-
 polkit/polkit-error.c             |    3 ++-
 polkit/polkit-policy-cache.c      |    3 ++-
 polkit/polkit-policy-default.c    |    3 ++-
 polkit/polkit-policy-file-entry.c |    3 ++-
 polkit/polkit-policy-file.c       |    3 ++-
 polkit/polkit-result.c            |    3 ++-
 polkit/polkit-seat.c              |    5 +++--
 polkit/polkit-session.c           |    5 +++--
 polkit/polkit-types.h             |    5 +++--
 15 files changed, 43 insertions(+), 24 deletions(-)

commit a10dd21e9d98b1cccb3c9107ad6ea26bed225255
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Aug 24 17:25:58 2007 -0400

    fix up manual pages for some trivial errors

 doc/Makefile.am                         |    3 +++
 doc/man/PolicyKit.xml                   |    2 +-
 doc/man/polkit-config-file-validate.xml |    2 +-
 doc/man/polkit-list-actions.xml         |    2 +-
 doc/man/polkit-policy-file-validate.xml |    2 +-
 5 files changed, 7 insertions(+), 4 deletions(-)

commit 05afd47a12afe07601a426022b46584c33f61d6f
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Aug 24 17:18:12 2007 -0400

    revert "fixed code documentation issues"

    This commit is wrong as the docs are not properly formatted with this
    change. This reverts commit 0d69cdc59f51fda93c857171b69ac8f3fe46b745.

 polkit-grant/polkit-grant.c |    1 +
 polkit-grant/polkit-grant.h |   24 ++++++++++++------------
 polkit/polkit-context.h     |    8 ++++----
 3 files changed, 17 insertions(+), 16 deletions(-)

commit aa5d6085a352ef764980b2b78ac47f1625d4fa03
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Aug 24 17:15:26 2007 -0400

    clean up our documentation

     - Put all three libraries in the same gtk-doc project
     - Include the spec in the gtk-doc project
     - Include the manual pages in the gtk-doc project

 configure.in                               |   56 +--
 doc/Makefile.am                            |   76 +++-
 doc/api/Makefile.am                        |    9 -
 doc/api/polkit-dbus/Makefile.am            |   67 ---
 doc/api/polkit-dbus/polkit-dbus-docs.xml   |  109 -----
 doc/api/polkit-dbus/version.xml.in         |    1 -
 doc/api/polkit-grant/Makefile.am           |   67 ---
 doc/api/polkit-grant/polkit-grant-docs.xml |  109 -----
 doc/api/polkit-grant/version.xml.in        |    1 -
 doc/api/polkit/Makefile.am                 |   67 ---
 doc/api/polkit/polkit-docs.xml             |  121 -----
 doc/api/polkit/version.xml.in              |    1 -
 doc/man/Makefile.am                        |   27 +-
 doc/man/PolicyKit.conf.xml                 |  713
 ++++++++++++++--------------
 doc/man/PolicyKit.xml                      |  136 +++---
 doc/man/polkit-config-file-validate.xml    |  199 ++++----
 doc/man/polkit-grant.xml                   |  239 +++++-----
 doc/man/polkit-list-actions.xml            |  191 ++++----
 doc/man/polkit-policy-file-validate.xml    |  197 ++++----
 doc/spec/Makefile.am                       |   30 --
 doc/spec/config.xsl                        |    6 -
 doc/spec/docbook.css                       |   18 -
 doc/spec/polkit-spec.xml.in.in             |   26 -
 polkit-grant/polkit-grant-helper.c         |    2 +-
 polkit/polkit-config.c                     |    8 +-
 polkit/polkit-config.h                     |    2 +-
 polkit/polkit-context.c                    |   25 +-
 polkit/polkit-context.h                    |    2 +-
 tools/Makefile.am                          |    9 +-
 tools/polkit-list-actions.c                |    3 +-
 30 files changed, 937 insertions(+), 1580 deletions(-)

commit 7b3f73291a742e8ef41cd4b63dcbb79d599c88ad
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Aug 24 15:31:35 2007 -0400

    convert manual page sources to Docbook, add
    polkit-config-file-validate tool

    Also drop the polkit-check-caller and polkit-check-session tools;
    they're not really useful in their current incarnation.

 doc/man/PolicyKit.8.in                   |   35 ---
 doc/man/PolicyKit.conf.5.in              |  236 ------------------
 doc/man/PolicyKit.conf.xml               |  380
 ++++++++++++++++++++++++++++++
 doc/man/PolicyKit.xml                    |   74 ++++++
 doc/man/polkit-check-caller.1.in         |   65 -----
 doc/man/polkit-check-session.1.in        |   65 -----
 doc/man/polkit-config-file-validate.xml  |  105 ++++++++
 doc/man/polkit-grant.xml                 |  125 ++++++++++
 doc/man/polkit-list-actions.1.in         |   44 ----
 doc/man/polkit-list-actions.xml          |  101 ++++++++
 doc/man/polkit-policy-file-validate.1.in |   53 ----
 doc/man/polkit-policy-file-validate.xml  |  104 ++++++++
 tools/polkit-check-caller.c              |  164 -------------
 tools/polkit-check-session.c             |  173 --------------
 14 files changed, 889 insertions(+), 835 deletions(-)

commit 3b73f007910c5436828b4cecdd1e47eee40eaf0c
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Aug 23 21:30:55 2007 -0400

    delay loading the configuration until it's needed

    This is especially good for saving CPU cycles as we may get a number
    events from inotify and previously we kept reloading/parsing the
    configuration file on every event.

 polkit/polkit-context.c |   78
 ++++++++++++++++++++++++-----------------------
 1 files changed, 40 insertions(+), 38 deletions(-)

commit 2816f794b5d52f496060d1f2d1d76c7bdf69dec0
Merge: a0267b8... c27e93f...
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Aug 23 21:08:01 2007 -0400

    Merge branch 'master' of ssh://david@git.freedesktop.org/git/PolicyKit

commit a0267b82eff268882a65214304381dbcbddc8978
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Aug 23 21:07:46 2007 -0400

    give a little love to polkit-list-actions(1) and polkit-grant(1)

    In addition polkit-grant(1) gained a few new features

     --list          : for listing all grants
     --delete <user> : for deleting all grants given to an user

 polkit/polkit-grant-database.c |  182 +++++++++++++++++++++++++++++
 polkit/polkit-grant-database.h |   37 ++++++
 polkit/polkit-policy-cache.c   |   58 +++++++---
 polkit/polkit-policy-cache.h   |    2 +
 tools/Makefile.am              |    2 +-
 tools/polkit-grant.c           |  245
 ++++++++++++++++++++++++++--------------
 tools/polkit-list-actions.c    |   71 +++++++++---
 7 files changed, 481 insertions(+), 116 deletions(-)

commit c27e93f7faf2901cbd0d3cd5b4bd9ce87f8ca7cb
Author: Danny Kukawka <danny.kukawka@web.de>
Date:   Thu Aug 23 14:23:02 2007 +0200

    fixed compiler warning about uid_t handling

    This fixes the same problem with uid_t as we had with HAL some
    time ago
    on 64bit architectures in PolicyKit. This time I removed the useless
    check:

       uid == ((unsigned long) -1)

    because this is always false on 64bit (comparison is always false
    due to
    limited range of data type) and because the DBusError from the
    dbus_bus_get_unix_user() call is set if the function returns
    DBUS_UID_UNSET
    so we need only to check if the error is set.

 polkit-dbus/polkit-dbus.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0d69cdc59f51fda93c857171b69ac8f3fe46b745
Author: Danny Kukawka <danny.kukawka@web.de>
Date:   Thu Aug 23 14:05:34 2007 +0200

    fixed code documentation issues

    Fixed code documentation issues:
     * s/<programlisting>/@code/
     * removed @void: from polkit_grant_new()

 polkit-grant/polkit-grant.c |    1 -
 polkit-grant/polkit-grant.h |   24 ++++++++++++------------
 polkit/polkit-context.h     |    8 ++++----
 3 files changed, 16 insertions(+), 17 deletions(-)

commit 9924987f324953fa9e58b937dfedc1cc06ece0b3
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Aug 22 18:32:50 2007 -0400

    add support for annotations

 doc/spec/polkit-spec-configuration.xml |   55 +++++++++++++++++++++
 polkit/polkit-policy-file-entry.c      |   82
 +++++++++++++++++++++++++++++++-
 polkit/polkit-policy-file-entry.h      |   20 ++++++++
 polkit/polkit-policy-file.c            |   41 +++++++++++++++-
 4 files changed, 193 insertions(+), 5 deletions(-)

commit 25b04730781d2ea560696f1212f661765438ad28
Author: Richard Hughes <hughsient@gmail.com>
Date:   Wed Aug 22 15:36:15 2007 -0400

    work when SELinux is disabled

    I've compiled with selinux and have it turned off. The attached patch
    stops the warnings for me.

    Richard.

 polkit-dbus/polkit-dbus.c |   16 ++++++++++------
 1 files changed, 10 insertions(+), 6 deletions(-)

commit 07b101ecc84ced454200a21bdcbacd450568753d
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Aug 20 23:01:19 2007 -0400

    gracefully handle bad config/policy files, drop polkit-reload-config,
    syslog

     - don't abort/malfunction if the /etc/PolicyKit/PolicyKit.conf
       configuration file is malformed; simply just continue as normal
       but return 'no' to every question asked. Also use syslog(3) to
       report this to the system log

     - if a .policy file is malformed, simply skip it and still include
       other well-formed .policy files. Use syslog(3) to report if indeed
       a .policy file is malformed.

     - drop /var/lib/PolicyKit/reload and rely on inotify to detect
     changes to
       - /etc/PolicyKit/PolicyKit.conf
       - Policy files in /usr/share/PolicyKit/policy
       - privileges in /var/lib/PolicyKit and /var/run/PolicyKit

    As a result, changes made to /etc/PolicyKit/PolicyKit.conf (typically
    an admin edits this file) and .policy files (typically these can
    change on package upgrades) in /usr/share/PolicyKit/policy are
    instantly picked up.

 doc/TODO                           |    6 --
 doc/man/Makefile.am                |    2 +-
 doc/man/PolicyKit.conf.5.in        |   12 ++-
 doc/man/polkit-reload-config.1.in  |   36 ---------
 polkit-grant/polkit-grant-helper.c |   10 +--
 polkit/Makefile.am                 |    5 --
 polkit/polkit-context.c            |  140
 +++++++++++++++++++++++++-----------
 polkit/polkit-policy-cache.c       |   12 +++-
 tools/Makefile.am                  |    7 --
 tools/polkit-reload-config.in      |    2 -
 10 files changed, 120 insertions(+), 112 deletions(-)

commit 49e3a102cdb6bb30926889adf68d66be8be9491b
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Aug 20 21:48:21 2007 -0400

    avoid the now defunct group concept in polkit-list-actions

 tools/polkit-list-actions.c |    5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

commit f2399d093f968c63b9b572a3f4b27a850d5695c9
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Aug 20 21:47:25 2007 -0400

    minor doc cleanups

 doc/man/PolicyKit.8.in      |    6 +++---
 doc/man/PolicyKit.conf.5.in |   20 ++++++++------------
 2 files changed, 11 insertions(+), 15 deletions(-)

commit 829838ea1df46923f9cdfe93af74c44c7e1752b2
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Aug 20 20:38:24 2007 -0400

    rip out group concept from .policy files and rename <policy> element
    to <action>

 doc/spec/polkit-spec-configuration.xml |  135
 +++++++++++++-------------------
 polkit/polkit-action.c                 |   41 ++++++++++-
 polkit/polkit-action.h                 |    2 +
 polkit/polkit-policy-file-entry.c      |   48 +-----------
 polkit/polkit-policy-file-entry.h      |    2 -
 polkit/polkit-policy-file.c            |  118
 +++++++---------------------
 6 files changed, 129 insertions(+), 217 deletions(-)

commit 1f431e5f5bdf251edad794ec2259e8576d2892f7
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Aug 20 19:59:49 2007 -0400

    make libpolkit-grant less noisy

 polkit-grant/polkit-grant-helper.c |    6 ++++++
 polkit-grant/polkit-grant.c        |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 6efff0882a712424eeee0d7644b213127b3eded6
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Aug 20 19:59:10 2007 -0400

    make polkit-grant(1) work with <define_admin_user /> feature

 tools/polkit-grant.c |   53
 +++++++++++++++++++++++++++++++++++++------------
 1 files changed, 40 insertions(+), 13 deletions(-)

commit 7090ddbacaabf318d7d87c9b93ce5805fa765c06
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Aug 20 17:54:33 2007 -0400

    handle the case where we don't load descriptions

 polkit/polkit-policy-file.c |   12 +++++++++---
 1 files changed, 9 insertions(+), 3 deletions(-)

commit 07bd50776b1be13f506f9a75763ecc32a469d408
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Aug 20 17:51:02 2007 -0400

    properly support i18n'ed messages from .policy files

    Ugh, I'm not sure if there's a smarter way of dealing with xml:lang
    when using expat (google searches for this suggests no) but the way I
    fixed this is surely a bitch.

 polkit/polkit-policy-file.c |  206
 ++++++++++++++++++++++++++++++++++--------
 1 files changed, 166 insertions(+), 40 deletions(-)

commit af39b832e3bf2e46fe58af74304d7f6f85e853bf
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Aug 13 13:44:33 2007 -0400

    export PolKitConfig and provide a <define_admin_auth/> config file
    directive

    Also change the libpolkit-grant API a bit to work with these changes.

 doc/TODO                           |    9 +-
 doc/api/polkit/polkit-docs.xml     |    2 +-
 doc/man/PolicyKit.conf.5.in        |   44 +++++-
 polkit-grant/polkit-grant-helper.c |  237 ++++++++++++++++++++++++++++--
 polkit-grant/polkit-grant.c        |   85 ++++++++---
 polkit-grant/polkit-grant.h        |   20 +++
 polkit/Makefile.am                 |    3 +-
 polkit/polkit-config.c             |  283
 ++++++++++++++++++++++++++++--------
 polkit/polkit-config.h             |   25 +++-
 polkit/polkit-context.c            |   20 +++
 polkit/polkit-context.h            |    9 +-
 11 files changed, 616 insertions(+), 121 deletions(-)

commit 7034e0c24e37963d72a50371ed6ad6a51a740d02
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Aug 9 16:39:16 2007 -0400

    when granting privileges, touch the /var/lib/PolicyKit/reload file

    This means that all libpolkit-using processes should recieve a
    config_changed() callback whenever privileges are granted.

    Remember to update your RPM spec files etc. such that group polkituser
    (or equiv.) is permitted to write to the reload file.

 polkit-grant/polkit-grant-helper.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 5795bf6b779d6e6e0ae87d7d912a5bcefaec580b
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Aug 9 16:37:36 2007 -0400

    make the /var/lib/PolicyKit/reload writable for group polkituser

 polkit/Makefile.am |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 1e9a533c9c44e8c421bc9f48017258aab21adde5
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Aug 9 12:37:55 2007 -0400

    use correct type for conversation_done() function

    fix proposed by Danny Kukawka <danny.kukawka@web.de>

 tools/polkit-grant.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2e3b7bd46951ea51804f1b3848d2f9034176b152
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Jul 31 11:19:27 2007 -0400

    post-release version number bump

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 6377a81b93b7c7c32de02477e40f6368334bedc7
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Jul 30 19:56:46 2007 -0400

    provide a high-level interaction diagram of how this works

 polkit-grant/polkit-grant-helper.c |   67
 ++++++++++++++++++++++++++++++++++-
 1 files changed, 65 insertions(+), 2 deletions(-)

commit 1f90f7e15095b9fdd0374fef98fbb3241a2b2ad6
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Jul 30 19:29:47 2007 -0400

    use waitpid() to avoid Zombie processes

 polkit-grant/polkit-grant.c |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit 6e2d74cb86e529ab8ec964d6a0f632535fc78a9c
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Jul 30 19:11:42 2007 -0400

    put back isatty() checks when calling user is not uid 0

 polkit-grant/polkit-grant-helper-pam.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 1ac3268b7a787d2a9ae641355b80b7f3131bea71
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Jul 30 19:08:58 2007 -0400

    remove the isatty() call so it's easier to audit the helper

    The isatty() check is just to catch users poking around; it provides
    little or no real security. With this change, you can do stuff like

    $ /usr/libexec/polkit-grant-helper-pam
    davidz
    PAM_PROMPT_ECHO_OFF Password:
    <enter real password here>
    SUCCESS

    $ /usr/libexec/polkit-grant-helper-pam
    davidz
    PAM_PROMPT_ECHO_OFF Password:
    not_my_password
    polkit-grant-helper-pam: pam_authenticated failed: Authentication
    failure
    FAILURE

    which is useful for auditing.

 polkit-grant/polkit-grant-helper-pam.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 368397f96a472bfedd596c8890586cc4fd9a0428
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Jul 30 18:54:36 2007 -0400

    move PAM stack usage to separate helper

    So it turns out that I hadn't been using shadow passwords on my other
    development box (don't ask) and that's why auth as root worked fine
    when just running as an unprivileged user. However, to auth as another
    user (such as root), the process embedding pam needs to run as
    root. Therefore, split out the actual authentication bits into a small
    and easy to audit helper, polkit-grant-helper-pam.

    The auth now goes like this:

     polkit-gnome <-links with-> libpolkit-grant
                                       ^
                                       |
                                    spawns
                                       |
                                       V
                         /usr/libexec/polkit-grant-helper
                                       ^
                                       |
                                    spawns
                                       |
                                       V
                       /usr/libexec/polkit-grant-helper-pam

    where

     polkit-grant-helper
        is setgid polkit; it links with libdbus and libpolkit.

     polkit-grant-helper-pam
        is setuid root; it links only with libpam

 configure.in                           |    5 +-
 polkit-grant/Makefile.am               |   17 +-
 polkit-grant/polkit-grant-helper-pam.c |  225 +++++++++++++++
 polkit-grant/polkit-grant-helper.c     |  494
 ++++++++++++++------------------
 polkit-grant/polkit-grant.c            |   20 +-
 5 files changed, 466 insertions(+), 295 deletions(-)

commit c1c6366d7102990904ac1c9f4aa6b9c8ef9b7a65
Author: Danny Kukawka <danny.kukawka@web.de>
Date:   Fri Jul 27 12:12:35 2007 +0200

    added missing files to git repo

    Added missing files from PolicyKit 0.4 release package to the
    git repo: data/PolicyKit.conf.in, data/config.dtd

 data/PolicyKit.conf.in |    9 +++++++++
 data/config.dtd        |   18 ++++++++++++++++++
 2 files changed, 27 insertions(+), 0 deletions(-)

commit b39bfb80c0ec8995f4fea3d42223b5b450ad11ec
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Jul 25 22:00:56 2007 -0400

    actually reload config and policy files when they change

 NEWS                    |    4 +++-
 polkit/polkit-context.c |   22 ++++++++++++++++++++++
 2 files changed, 25 insertions(+), 1 deletions(-)

commit 2e003e3be728729d344371c80e2a88722f546201
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Jul 25 21:38:20 2007 -0400

    update NEWS

 NEWS |   40 ++++++++++++++++++++++++++++++++++++++++
 1 files changed, 40 insertions(+), 0 deletions(-)

commit 6da30d9867aa5956c11691554e7923d88857fe04
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Jul 25 20:37:43 2007 -0400

    for PolKitContext, mention that a mechanism need to provide .policy
    files

 polkit/polkit-context.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 0da3d306107ff0f6958dba70ff585dc0e66cfbff
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Jul 25 18:02:54 2007 -0400

    fix up proper naming of some methods on the PolKitPolicyFileEntry
    class

 polkit/polkit-policy-file-entry.c |   16 ++++++++--------
 polkit/polkit-policy-file-entry.h |    6 +++---
 tools/polkit-list-actions.c       |    4 ++--
 3 files changed, 13 insertions(+), 13 deletions(-)

commit bc1a540a0dc297bed4d21aedcc718b929d8fed4d
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Jul 25 18:02:10 2007 -0400

    fix docs

 polkit-dbus/polkit-dbus.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e833c740cb2b124e451b028637148bc829c3c650
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Jul 25 17:47:45 2007 -0400

    require that policy files also provide a <message> element

    Declaring an action now requires two textual elements (that both are
    subject to translation):

     description: This is intended to be used in policy editors, for
                  example "Mount internal volumes".
     message:     This is to be used in auth dialogs, for example "System
                  Policy prevents mounting this internal volume".

    This is actually needed for security reasons. The idea is that the
    desktop environment can provide infrastructure that Callers
    (e.g. applications) can use to ask the user to authenticate to gain a
    privilege. One such example is PolicyKit-gnome; it's a D-Bus session
    based service that applications can use to ask the user to
    auth.

    Before this change the caller provided the markup, e.g. gnome-mount
    would do

     action = "hal-storage-mount-fixed";
     markup = _("System policy prevents mounting internal drives");
     result = org.gnome.PolicyKit.ShowDialog (action, markup);

    and the problem here is that any application in the session can spoof
    the dialog by providing false information and getting to use to click
    through on that.

    With this change, where the org.gnome.PolicyKit auth service reads the
    message from a system-controlled file, this can't happen. What the
    user sees really reflects the action he's asking to consider allowing
    to happen.

    Especially with things like XACE (previously known as SEX) this is
    important as we can make the process providing the D-Bus service
    org.gnome.PolicyKit run in a dedicated security context, audit it to
    make sure it's secure. Then have the window manager paint trust window
    decorations or other things to make the user feel fuzzy, warm and
    safe.

    Btw, with this change the PolicyKit-gnome API will be simplified to

     action = "hal-storage-mount-fixed";
     result = org.gnome.PolicyKit.ShowDialog (action);

    which is just about as simple as it can get.

    Credit goes to Ryan Lortie <desrt@desrt.ca> for pointing this out
    on #gnome-hackers earlier this morning.

 polkit/polkit-policy-file-entry.c |   36
 +++++++++++++++++++++++++++++++++---
 polkit/polkit-policy-file-entry.h |    1 +
 polkit/polkit-policy-file.c       |   36
 ++++++++++++++++++++++++++++++++----
 3 files changed, 66 insertions(+), 7 deletions(-)

commit 4a9a4e1829db0c88040db31b1e5287463ff268b3
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Jul 25 15:00:57 2007 -0400

    fix typo

 COPYING             |    2 +-
 data/Makefile.am    |    2 +-
 doc/man/Makefile.am |    2 +-
 polkit/Makefile.am  |    4 ++--
 tools/Makefile.am   |    5 +++--
 5 files changed, 8 insertions(+), 7 deletions(-)

commit e54dc4407bbec6b76e48736cd1ba34d2c3c67028
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Jul 25 14:11:36 2007 -0400

    change default username

    - change user from 'polkit' to 'polkituser'
    - create directories in /var from polkit instead of polkit-grant

 configure.in             |    4 ++--
 polkit-grant/Makefile.am |   11 -----------
 polkit/Makefile.am       |    6 ++++++
 3 files changed, 8 insertions(+), 13 deletions(-)

commit a9860cf824a6503e09ea43070178676b39ca92f2
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Jul 24 17:42:08 2007 -0400

    fix up some of the docs

 doc/TODO                       |    6 +++-
 polkit-dbus/polkit-dbus.c      |   25 +++++++++++++++-
 polkit/polkit-config.c         |   61
 ++++++++++++++++++++++++++++++++++++++++
 polkit/polkit-context.c        |   23 +++++++++++++--
 polkit/polkit-grant-database.c |    7 ++++
 polkit/polkit-result.c         |    9 ++++-
 6 files changed, 123 insertions(+), 8 deletions(-)

commit e13a83721307711f257e9222a4d6adebda78f662
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Jul 24 16:05:43 2007 -0400

    remove RESULT_NOT_AUTHORIZED_TO_KNOW and
    s/RESULT_UNKNOWN_ACTION/RESULT_UNKNOWN/

 polkit/polkit-config.c         |    8 ++++----
 polkit/polkit-context.c        |   19 +++++++++----------
 polkit/polkit-grant-database.c |    2 +-
 polkit/polkit-policy-default.c |    1 -
 polkit/polkit-result.c         |    3 +--
 polkit/polkit-result.h         |    8 ++++----
 6 files changed, 19 insertions(+), 22 deletions(-)

commit 4b20f49298850060274e4bba842181b7c033d1e7
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Jul 24 15:41:58 2007 -0400

    switch from VIA_ROOT to VIA_ADMIN

    In the future PolicyKit will be able to be built such that VIA_ADMIN
    either means 1) ask for root password; or 2) ask for a user in the
    'wheel' group to authenticate. Right now it's only the former.

 doc/TODO                               |    4 ++-
 doc/spec/polkit-spec-configuration.xml |   16 +++++-----
 polkit-grant/polkit-grant-helper.c     |   43
 +++++++++++++++---------------
 polkit-grant/polkit-grant.h            |    2 +-
 polkit/polkit-result.c                 |    6 ++--
 polkit/polkit-result.h                 |   45
 ++++++++++++++++++-------------
 tools/polkit-grant.c                   |   26 +++++++++---------
 7 files changed, 76 insertions(+), 66 deletions(-)

commit 074949c084e4bdb92a6a0d23329512d2c07112d3
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Jul 24 14:47:09 2007 -0400

    update TODO

 doc/TODO |   53 ++++++++++++++++++++++++++++++++++++++++++++---------
 1 files changed, 44 insertions(+), 9 deletions(-)

commit 46773df61c984813aece7d06e9a9fe5cc27476a9
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Jul 24 13:29:33 2007 -0400

    document the /etc/PolicyKit/PolicyKit.conf file with a manual page

    Also add a man page for polkit-list-actions(1).

 doc/man/Makefile.am                    |    2 +-
 doc/man/PolicyKit.8.in                 |    5 -
 doc/man/PolicyKit.conf.5.in            |  198
 ++++++++++++++++++++++++++++++++
 doc/man/polkit-check-caller.1.in       |    5 +-
 doc/man/polkit-check-session.1.in      |    5 +-
 doc/man/polkit-list-actions.1.in       |   44 +++++++
 doc/spec/polkit-spec-configuration.xml |   14 ++-
 7 files changed, 256 insertions(+), 17 deletions(-)

commit 600bca82cfeebdcde832d330a2c896c18026bf89
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Jul 23 22:22:38 2007 -0400

    add support for an /etc/PolicyKit/PolicyKit.conf config file

    With this, system administrators can override policy. Partial support,
    more to come (including manual pages and documentation) later.

 data/Makefile.am                     |   19 +-
 polkit-dbus/Makefile.am              |    2 +-
 polkit-grant/Makefile.am             |    7 +-
 polkit-grant/polkit-grant-database.c |  303 -------------------
 polkit-grant/polkit-grant-database.h |   41 ---
 polkit-grant/polkit-grant-helper.c   |    2 +-
 polkit/Makefile.am                   |   15 +-
 polkit/polkit-config.c               |  536
 ++++++++++++++++++++++++++++++++++
 polkit/polkit-config.h               |   60 ++++
 polkit/polkit-context.c              |  200 ++++---------
 polkit/polkit-grant-database.c       |  307 +++++++++++++++++++
 polkit/polkit-grant-database.h       |   41 +++
 12 files changed, 1037 insertions(+), 496 deletions(-)

commit 42a6a076f7b04522bcfa51c74f6e7f5705ea5009
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Jul 23 22:21:24 2007 -0400

    get proper pid and SELinux context

 configure.in              |   41
 +++++++++++++++++++++++++++++++++++++++++
 polkit-dbus/polkit-dbus.c |   38 +++++++++++++++++++++++++++++++-------
 2 files changed, 72 insertions(+), 7 deletions(-)

commit b22ebaba2a6c077a7f09bd6567177197b63fff11
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Jul 12 15:12:30 2007 -0400

    replace configuration reload mechanism

    Instead of asking the user of libpolkit to provide a huge file
    monitoring abstraction we simply ask for a simple interface for
    watching file descriptors and use inotify (on Linux) to watch a file,
    /var/lib/PolicyKit/reload. We provide a new tool,
    polkit-reload-config, that simply touches this file.

 doc/man/Makefile.am               |    2 +-
 doc/man/polkit-reload-config.1.in |   36 ++++++++
 polkit/Makefile.am                |    7 ++
 polkit/polkit-context.c           |  168
 +++++++++++++++++++++---------------
 polkit/polkit-context.h           |  161
 ++++++++++++++++++-----------------
 tools/Makefile.am                 |   12 +++
 tools/polkit-reload-config.in     |    2 +
 7 files changed, 240 insertions(+), 148 deletions(-)

commit 608e8745e32a95b21475a0077b7db03d7a44fd8b
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Jul 12 13:49:08 2007 -0400

    remove the notion of modules

 Makefile.am                                     |    2 +-
 configure.in                                    |    6 -
 doc/man/Makefile.am                             |    5 +-
 doc/man/polkit-module-allow-all.8.in            |   51 --
 doc/man/polkit-module-builtins.8.in             |   55 --
 doc/man/polkit-module-default.8.in              |   39 --
 doc/man/polkit-module-deny-all.8.in             |   50 --
 doc/man/polkit-module-run-program.8.in          |  197 -------
 doc/man/polkit-policy-file-validate.1.in        |    2 +-
 modules/Makefile.am                             |    5 -
 modules/PolicyKit.conf                          |    6 -
 modules/allow-all/Makefile.am                   |   25 -
 modules/allow-all/polkit-module-allow-all.c     |   82 ---
 modules/default/Makefile.am                     |   25 -
 modules/default/polkit-module-default.c         |  102 ----
 modules/deny-all/Makefile.am                    |   25 -
 modules/deny-all/polkit-module-deny-all.c       |   82 ---
 modules/grant/Makefile.am                       |   25 -
 modules/grant/polkit-module-grant.c             |  208 -------
 modules/run-program/Makefile.am                 |   25 -
 modules/run-program/polkit-module-run-program.c |  329 -----------
 policy/Makefile.am                              |    2 +-
 polkit/Makefile.am                              |    6 +-
 polkit/polkit-context.c                         |  160 +-----
 polkit/polkit-module.c                          |  683
 -----------------------
 polkit/polkit-module.h                          |  163 ------
 polkit/polkit.h                                 |    1 -
 27 files changed, 17 insertions(+), 2344 deletions(-)

commit 6696140d5fdc8b13bcb17a2d7e0d7a73b48a18ad
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Jun 20 01:53:26 2007 -0400

    post-release version bump

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit f126398c4129ffc6597716ca6451a8ed703ec91b
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Jun 20 01:31:38 2007 -0400

    update NEWS

 NEWS |   16 +++++++++++++---
 1 files changed, 13 insertions(+), 3 deletions(-)

commit 707402c1b90ceffd9dac37ace42d94c09c2e85cf
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Jun 20 01:10:47 2007 -0400

    add some more TODO items

 doc/TODO |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 5697a8dba0ff4b7cea9bd64d7abaaad9a96e834d
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Jun 20 01:04:17 2007 -0400

    update HACKING and TODO

 HACKING  |   80
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 doc/TODO |    5 +++-
 2 files changed, 83 insertions(+), 2 deletions(-)

commit 4a9962c7748c6f3cdecabcd53e87fbb2ddcb7d2f
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Jun 20 01:01:30 2007 -0400

    update TODO

 doc/TODO |   32 +++++++++++++++++++++++++++++++-
 1 files changed, 31 insertions(+), 1 deletions(-)

commit b74cc6ed8830200f38119ca0dfd1e5c26c557a89
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Jun 20 00:49:13 2007 -0400

    add the spec

 doc/spec/Makefile.am                   |    4 +-
 doc/spec/polkit-spec-configuration.xml |  197 ++++++++++++++++++++++++++
 doc/spec/polkit-spec-introduction.xml  |  119 ++++++++++++++++-
 doc/spec/polkit-spec-model.xml         |  238
 ++++++++++++++++++++++++++++++++
 doc/spec/polkit-spec.xml.in.in         |    2 +
 5 files changed, 558 insertions(+), 2 deletions(-)

commit 8afbda8b8ea35fa5992541d420c37c1d6ca98724
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Jun 19 21:50:48 2007 -0400

    fix small typo so _keep_always granting works again

 polkit-grant/polkit-grant-database.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 8d3b0c22751514312ad4f4f9c85c3070ebcef54e
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Jun 19 21:48:42 2007 -0400

    make .policy files live in /usr/share, not /etc

 polkit/polkit-context.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 1d16acb6935a8188a98699d431e1e9ec327bdf9d
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Jun 19 20:12:00 2007 -0400

    build fixes

 modules/Makefile.am                             |    3 +-
 modules/allow-all/polkit-module-allow-all.c     |   22 +++++++--------
 modules/deny-all/polkit-module-deny-all.c       |   22 +++++++--------
 modules/run-program/polkit-module-run-program.c |   32
 +++--------------------
 4 files changed, 25 insertions(+), 54 deletions(-)

commit 2ec20531b4976576f650acee5ed8f5fa3a3a9541
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Jun 19 19:59:54 2007 -0400

    move all grant writing/checking into a separate private library

 modules/grant/Makefile.am            |    8 +-
 modules/grant/polkit-module-grant.c  |    7 +-
 polkit-grant/Makefile.am             |    8 +-
 polkit-grant/polkit-grant-database.c |  303
 ++++++++++++++++++++++++++++++++++
 polkit-grant/polkit-grant-database.h |   41 +++++
 polkit-grant/polkit-grant-helper.c   |   31 ++++-
 6 files changed, 385 insertions(+), 13 deletions(-)

commit 874fa499deb2a7457d3f369d09f9e3d2288301b0
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Jun 19 16:41:49 2007 -0400

    remove the distinction for local vs. remote users

    Again, we punt this to the applications/mechanisms - they know better.

 polkit-grant/polkit-grant.c       |    4 +-
 polkit/polkit-policy-default.c    |  113 ++++++++---------------------
 polkit/polkit-policy-default.h    |    6 +-
 polkit/polkit-policy-file-entry.c |  110 +++--------------------------
 polkit/polkit-policy-file.c       |  140
 ++++++------------------------------
 tools/polkit-list-actions.c       |   31 +++------
 6 files changed, 79 insertions(+), 325 deletions(-)

commit 169c130d4e517371c64d2c2832d323592d38ea7b
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Jun 19 15:41:55 2007 -0400

    rip out the notion of Resources

    It makes things a _lot more_ complicated having to deal with resources
    and there's a much nicer way to deal with it: Punt it to the apps:

    It's much more natural for the application to have a notion about
    about what resources are "trusted" (and e.g. requires lesser
    privileges) and what resources aren't.

    Consider dial-up networking; here the privileged application that
    performs the dial-up operation consults a list (maintained by the
    system administrator) of allowed numbers to dial. If the unprivileged
    networking UI applet that requests a number to be dialed is on the
    list it uses the PolicyKit action 'nm-dialup-trusted-location', if it
    isn't then it uses the PolicyKit action
    'nm-dialup-untrusted-location'.

 doc/api/polkit/polkit-docs.xml          |    1 -
 modules/Makefile.am                     |    3 +-
 modules/default/polkit-module-default.c |   38 ++---
 modules/grant/Makefile.am               |    6 +-
 modules/grant/polkit-module-grant.c     |   71 ++++++----
 polkit-dbus/polkit-dbus.c               |  131 +++++++++++++++++
 polkit-dbus/polkit-dbus.h               |    2 +
 polkit-grant/Makefile.am                |    1 +
 polkit-grant/polkit-grant-helper.c      |   70 ++++++----
 polkit-grant/polkit-grant.c             |   47 +++----
 polkit-grant/polkit-grant.h             |    4 +-
 polkit/Makefile.am                      |    2 -
 polkit/polkit-caller.c                  |    2 -
 polkit/polkit-context.c                 |  111 +++------------
 polkit/polkit-context.h                 |   37 +----
 polkit/polkit-module.c                  |  117 ++++------------
 polkit/polkit-module.h                  |   94 ++++---------
 polkit/polkit-policy-default.c          |   28 ++--
 polkit/polkit-policy-default.h          |   16 +--
 polkit/polkit-policy-file-entry.c       |    2 +-
 polkit/polkit-policy-file-entry.h       |    3 -
 polkit/polkit-resource.c                |  232
 -------------------------------
 polkit/polkit-resource.h                |   52 -------
 polkit/polkit.h                         |    1 -
 tools/polkit-check-caller.c             |   27 +---
 tools/polkit-check-session.c            |   26 +---
 tools/polkit-grant.c                    |   23 +---
 27 files changed, 372 insertions(+), 775 deletions(-)

commit b9cf5bca49a2a1fc68002c2a315d94a3adaed51e
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Apr 22 21:13:17 2007 -0400

    switch to XML for policy definition files and introduce descriptions

    Descriptions will be subject to i18n/l10n efforts at some point.

    Also add a new tool polkit-list-actions.

 configure.in                        |   14 ++
 policy/polkit-example-action.policy |   34 ++-
 polkit-grant/polkit-grant.c         |   13 +-
 polkit-grant/polkit-grant.h         |    2 +
 polkit/Makefile.am                  |    2 +-
 polkit/polkit-context.c             |   27 +++-
 polkit/polkit-context.h             |   31 ++--
 polkit/polkit-error.c               |    6 +-
 polkit/polkit-policy-cache.c        |   40 +++-
 polkit/polkit-policy-cache.h        |   27 ++-
 polkit/polkit-policy-default.c      |  155 ++++++-------
 polkit/polkit-policy-default.h      |   17 +-
 polkit/polkit-policy-file-entry.c   |  187 +++++++++++++++-
 polkit/polkit-policy-file-entry.h   |   11 +-
 polkit/polkit-policy-file.c         |  414
 ++++++++++++++++++++++++++++++----
 polkit/polkit-policy-file.h         |    4 +-
 tools/Makefile.am                   |    5 +-
 tools/polkit-list-actions.c         |  143 ++++++++++++
 tools/polkit-policy-file-validate.c |    2 +-
 19 files changed, 931 insertions(+), 203 deletions(-)

commit 5cfae846d1c2b0cbef3dcebc909e2846bcc3cc4b
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Apr 17 02:13:02 2007 -0400

    also remember to do s/libpolkit/polkit/ on the pkg-config files

 data/polkit-dbus.pc.in  |    4 ++--
 data/polkit-grant.pc.in |    4 ++--
 data/polkit.pc.in       |    2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 36c1b7725fcb2339fcf9a87f5e5c984ef5be17cb
Author: David Zeuthen <davidz@redhat.com>
Date:   Tue Apr 17 01:41:09 2007 -0400

    rename libpolkit to polkit

    It's more consistent and, uhm, easier to type.

 Makefile.am                                      |   12 +-
 configure.in                                     |   29 +-
 data/Makefile.am                                 |   14 +
 data/polkit-dbus.pc.in                           |   11 +
 data/polkit-grant.pc.in                          |   11 +
 data/polkit.in                                   |    6 +
 data/polkit.pc.in                                |   11 +
 doc/api/Makefile.am                              |    2 +-
 doc/api/libpolkit-dbus/Makefile.am               |   67 --
 doc/api/libpolkit-dbus/libpolkit-dbus-docs.xml   |  109 ---
 doc/api/libpolkit-dbus/version.xml.in            |    1 -
 doc/api/libpolkit-grant/Makefile.am              |   67 --
 doc/api/libpolkit-grant/libpolkit-grant-docs.xml |  109 ---
 doc/api/libpolkit-grant/version.xml.in           |    1 -
 doc/api/libpolkit/Makefile.am                    |   67 --
 doc/api/libpolkit/libpolkit-docs.xml             |  124 ----
 doc/api/libpolkit/version.xml.in                 |    1 -
 doc/api/polkit-dbus/Makefile.am                  |   67 ++
 doc/api/polkit-dbus/polkit-dbus-docs.xml         |  109 +++
 doc/api/polkit-dbus/version.xml.in               |    1 +
 doc/api/polkit-grant/Makefile.am                 |   67 ++
 doc/api/polkit-grant/polkit-grant-docs.xml       |  109 +++
 doc/api/polkit-grant/version.xml.in              |    1 +
 doc/api/polkit/Makefile.am                       |   67 ++
 doc/api/polkit/polkit-docs.xml                   |  122 ++++
 doc/api/polkit/version.xml.in                    |    1 +
 libpolkit-dbus.pc.in                             |   11 -
 libpolkit-dbus/Makefile.am                       |   31 -
 libpolkit-dbus/libpolkit-dbus.c                  |  540 ---------------
 libpolkit-dbus/libpolkit-dbus.h                  |   41 --
 libpolkit-grant.pc.in                            |   11 -
 libpolkit-grant/Makefile.am                      |   54 --
 libpolkit-grant/libpolkit-grant.c                |  465 -------------
 libpolkit-grant/libpolkit-grant.h                |  344 ----------
 libpolkit-grant/polkit-grant-helper.c            |  514 ---------------
 libpolkit.pc.in                                  |   11 -
 libpolkit/.gitignore                             |    9 -
 libpolkit/Makefile.am                            |   62 --
 libpolkit/libpolkit-action.c                     |  186 ------
 libpolkit/libpolkit-action.h                     |   49 --
 libpolkit/libpolkit-caller.c                     |  345 ----------
 libpolkit/libpolkit-caller.h                     |   57 --
 libpolkit/libpolkit-context.c                    |  767
 ----------------------
 libpolkit/libpolkit-context.h                    |  186 ------
 libpolkit/libpolkit-debug.c                      |   81 ---
 libpolkit/libpolkit-debug.h                      |   33 -
 libpolkit/libpolkit-error.c                      |  140 ----
 libpolkit/libpolkit-error.h                      |   54 --
 libpolkit/libpolkit-module.c                     |  748
 ---------------------
 libpolkit/libpolkit-module.h                     |  207 ------
 libpolkit/libpolkit-policy-cache.c               |  248 -------
 libpolkit/libpolkit-policy-cache.h               |   50 --
 libpolkit/libpolkit-policy-default.c             |  322 ---------
 libpolkit/libpolkit-policy-default.h             |   60 --
 libpolkit/libpolkit-policy-file-entry.c          |  171 -----
 libpolkit/libpolkit-policy-file-entry.h          |   49 --
 libpolkit/libpolkit-policy-file.c                |  218 ------
 libpolkit/libpolkit-policy-file.h                |   60 --
 libpolkit/libpolkit-resource.c                   |  232 -------
 libpolkit/libpolkit-resource.h                   |   52 --
 libpolkit/libpolkit-result.c                     |  116 ----
 libpolkit/libpolkit-result.h                     |   84 ---
 libpolkit/libpolkit-seat.c                       |  179 -----
 libpolkit/libpolkit-seat.h                       |   49 --
 libpolkit/libpolkit-session.c                    |  394 -----------
 libpolkit/libpolkit-session.h                    |   60 --
 libpolkit/libpolkit-types.h                      |   56 --
 libpolkit/libpolkit-utils.c                      |  153 -----
 libpolkit/libpolkit-utils.h                      |   37 -
 libpolkit/libpolkit.h                            |   48 --
 modules/allow-all/Makefile.am                    |    2 +-
 modules/allow-all/polkit-module-allow-all.c      |   20 +-
 modules/default/Makefile.am                      |    2 +-
 modules/default/polkit-module-default.c          |   36 +-
 modules/deny-all/Makefile.am                     |    2 +-
 modules/deny-all/polkit-module-deny-all.c        |   20 +-
 modules/grant/Makefile.am                        |    2 +-
 modules/grant/polkit-module-grant.c              |   42 +-
 modules/run-program/Makefile.am                  |    2 +-
 modules/run-program/polkit-module-run-program.c  |   60 +-
 polkit-dbus/Makefile.am                          |   31 +
 polkit-dbus/polkit-dbus.c                        |  540 +++++++++++++++
 polkit-dbus/polkit-dbus.h                        |   41 ++
 polkit-grant/Makefile.am                         |   54 ++
 polkit-grant/polkit-grant-helper.c               |  514 +++++++++++++++
 polkit-grant/polkit-grant.c                      |  465 +++++++++++++
 polkit-grant/polkit-grant.h                      |  344 ++++++++++
 polkit.in                                        |    6 -
 polkit/.gitignore                                |    9 +
 polkit/Makefile.am                               |   61 ++
 polkit/polkit-action.c                           |  186 ++++++
 polkit/polkit-action.h                           |   49 ++
 polkit/polkit-caller.c                           |  345 ++++++++++
 polkit/polkit-caller.h                           |   57 ++
 polkit/polkit-context.c                          |  767
 ++++++++++++++++++++++
 polkit/polkit-context.h                          |  186 ++++++
 polkit/polkit-debug.c                            |   81 +++
 polkit/polkit-debug.h                            |   33 +
 polkit/polkit-error.c                            |  140 ++++
 polkit/polkit-error.h                            |   54 ++
 polkit/polkit-module.c                           |  748
 +++++++++++++++++++++
 polkit/polkit-module.h                           |  207 ++++++
 polkit/polkit-policy-cache.c                     |  248 +++++++
 polkit/polkit-policy-cache.h                     |   50 ++
 polkit/polkit-policy-default.c                   |  322 +++++++++
 polkit/polkit-policy-default.h                   |   60 ++
 polkit/polkit-policy-file-entry.c                |  171 +++++
 polkit/polkit-policy-file-entry.h                |   49 ++
 polkit/polkit-policy-file.c                      |  218 ++++++
 polkit/polkit-policy-file.h                      |   60 ++
 polkit/polkit-resource.c                         |  232 +++++++
 polkit/polkit-resource.h                         |   52 ++
 polkit/polkit-result.c                           |  116 ++++
 polkit/polkit-result.h                           |   84 +++
 polkit/polkit-seat.c                             |  179 +++++
 polkit/polkit-seat.h                             |   49 ++
 polkit/polkit-session.c                          |  394 +++++++++++
 polkit/polkit-session.h                          |   60 ++
 polkit/polkit-types.h                            |   56 ++
 polkit/polkit-utils.c                            |  153 +++++
 polkit/polkit-utils.h                            |   37 +
 polkit/polkit.h                                  |   48 ++
 tools/Makefile.am                                |    8 +-
 tools/polkit-check-caller.c                      |   24 +-
 tools/polkit-check-session.c                     |   26 +-
 tools/polkit-grant.c                             |   84 ++--
 tools/polkit-policy-file-validate.c              |    6 +-
 127 files changed, 8333 insertions(+), 8329 deletions(-)

commit 9e492bfb815dd352c23578a62caf6cd9ea0b112b
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Apr 15 23:37:29 2007 -0400

    add some validation to public facing functions

 libpolkit/libpolkit-context.c |   25 +++++++++++++++++++++++--
 1 files changed, 23 insertions(+), 2 deletions(-)

commit 81401e166e69287f33f568ca06a959662b01d068
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Apr 15 19:41:00 2007 -0400

    remove misguided action parameters

    This feature was introduced with

     commit 02a4c5101ca4751963f76a0e016d3308389dc2a5
     http://gitweb.freedesktop.org/?p=PolicyKit.git;a=commit;h=02a4c5101ca4751963f76a0e016d3308389dc2a5

    It makes things a lot harder for privilege granting if a feature like
    action parameters are present. Thinking about it, they're not really
    necessary; the parameters should just be encoded in the resource name;
    e.g. with the example given in the commit

    > This is useful for letting mechanisms convey information which
    may be
    > useful in making a decision whether an action is OK. For example,
    > NetworkManager could use this to provide the phone-number parameter
    > with a hypothetical "nm-dialup" action. Then a site or vendor can
    > provide insert
    >
    >  mandatory polkit-run-program.so \
    >     program="/usr/lib/check-dialup-number.sh" privilege="nm-dialup"
    >
    > into /etc/PolicyKit/PolicyKit.conf and have said program check
    >
    >  $POLKIT_ACTION_PARAM_PHONE_NUMBER
    >
    > in that program.

    is broken; the right thing here is for a hypothetical NetworkManager
    to pass the dial up connection details as the resource

     resource.type = "NetworkManager"
     resource.id =
     "/org/freedesktop/NM/DialUpConnection/number=555-HOT-CHICKS"

    in a well-defined format etc. etc.

 doc/man/polkit-check-caller.1.in                |    3 -
 doc/man/polkit-check-session.1.in               |    3 -
 doc/man/polkit-module-run-program.8.in          |    5 --
 libpolkit/libpolkit-action.c                    |   73
 -----------------------
 libpolkit/libpolkit-action.h                    |   18 ------
 modules/run-program/polkit-module-run-program.c |   25 --------
 tools/polkit-check-caller.c                     |   30 ---------
 tools/polkit-check-session.c                    |   30 ---------
 8 files changed, 0 insertions(+), 187 deletions(-)

commit 845b572bf8e4c6391256cc643446e4eeb24ad5b0
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Apr 15 18:55:27 2007 -0400

    add the PAM configuration file

 polkit.in |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit fe9cdb0e30d24993f7e6282f5efb6687f47bfce2
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Apr 15 18:54:35 2007 -0400

    add pkg-config files for the two new libraries

 libpolkit-dbus.pc.in  |   11 +++++++++++
 libpolkit-grant.pc.in |   11 +++++++++++
 2 files changed, 22 insertions(+), 0 deletions(-)

commit 982123fb620cc79fbddc332051bfd421f4dff015
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Apr 15 18:53:42 2007 -0400

    add the correct version files for docs

 doc/api/libpolkit-dbus/version.xml     |    1 -
 doc/api/libpolkit-dbus/version.xml.in  |    1 +
 doc/api/libpolkit-grant/version.xml    |    1 -
 doc/api/libpolkit-grant/version.xml.in |    1 +
 4 files changed, 2 insertions(+), 2 deletions(-)

commit a0570c50359b7044c38c46fd0527bb8bcb45e271
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Apr 15 18:51:19 2007 -0400

    add grant functionality + lots of other changes

     - Split libpolkit into three libraries
       - libpolkit : to be used only by mechanisms and modules
       - libpolkit-dbus : utility library for libpolkit to get caller,
       session
                          etc. info from the bus and ConsoleKit
       - libpolkit-grant : client side library for obtaining privileges;
       uses
                           a setgid helper internally

     - grant functionality
       - a helper library, libpolkit-grant, to gain privileges
         - includes a setgid $POLKIT_GROUP helper to write granted
         privileges
       - a PK module, to read and interpret granted privileges
       - a cmdline app, polkit-grant, using said library

     - Other changes
       - so it turns out that sizeof(bool) != sizeof(gboolean),
       sizeof(dbus_bool_t)
         This blows so define our own polkit_bool_t type
       - add some validation routines

    The grant functionality, especially the setgid helper needs thorough
    security review before we can release it.

 Makefile.am                                      |   11 +-
 configure.in                                     |  196 ++++++++
 doc/api/Makefile.am                              |    2 +-
 doc/api/libpolkit-dbus/Makefile.am               |   67 +++
 doc/api/libpolkit-dbus/libpolkit-dbus-docs.xml   |  109 +++++
 doc/api/libpolkit-dbus/version.xml               |    1 +
 doc/api/libpolkit-grant/Makefile.am              |   67 +++
 doc/api/libpolkit-grant/libpolkit-grant-docs.xml |  109 +++++
 doc/api/libpolkit-grant/version.xml              |    1 +
 doc/api/libpolkit/libpolkit-docs.xml             |    3 +
 libpolkit-dbus/Makefile.am                       |   31 ++
 libpolkit-dbus/libpolkit-dbus.c                  |  540
 ++++++++++++++++++++++
 libpolkit-dbus/libpolkit-dbus.h                  |   41 ++
 libpolkit-grant/Makefile.am                      |   54 +++
 libpolkit-grant/libpolkit-grant.c                |  465
 +++++++++++++++++++
 libpolkit-grant/libpolkit-grant.h                |  344 ++++++++++++++
 libpolkit-grant/polkit-grant-helper.c            |  514
 ++++++++++++++++++++
 libpolkit.pc.in                                  |    2 +-
 libpolkit/Makefile.am                            |    8 +-
 libpolkit/libpolkit-action.c                     |   26 +-
 libpolkit/libpolkit-action.h                     |   11 +-
 libpolkit/libpolkit-caller.c                     |  220 +++-------
 libpolkit/libpolkit-caller.h                     |   34 +-
 libpolkit/libpolkit-context.c                    |   26 +-
 libpolkit/libpolkit-context.h                    |    8 +-
 libpolkit/libpolkit-debug.c                      |   12 +-
 libpolkit/libpolkit-error.c                      |    6 +-
 libpolkit/libpolkit-error.h                      |    4 +
 libpolkit/libpolkit-module.c                     |   70 ++--
 libpolkit/libpolkit-module.h                     |   18 +-
 libpolkit/libpolkit-policy-cache.h               |    4 +
 libpolkit/libpolkit-policy-default.c             |   22 +-
 libpolkit/libpolkit-policy-default.h             |   16 +-
 libpolkit/libpolkit-policy-file-entry.h          |    4 +
 libpolkit/libpolkit-policy-file.h                |    4 +
 libpolkit/libpolkit-resource.c                   |   40 ++-
 libpolkit/libpolkit-resource.h                   |   16 +-
 libpolkit/libpolkit-result.c                     |    6 +-
 libpolkit/libpolkit-result.h                     |   23 +-
 libpolkit/libpolkit-seat.c                       |   33 ++-
 libpolkit/libpolkit-seat.h                       |   19 +-
 libpolkit/libpolkit-session.c                    |  339 +++-----------
 libpolkit/libpolkit-session.h                    |   38 +-
 libpolkit/libpolkit-types.h                      |   56 +++
 libpolkit/libpolkit-utils.c                      |  153 ++++++
 libpolkit/libpolkit-utils.h                      |   37 ++
 libpolkit/libpolkit.h                            |   15 +
 modules/Makefile.am                              |    2 +-
 modules/PolicyKit.conf                           |    1 +
 modules/allow-all/polkit-module-allow-all.c      |   17 +-
 modules/default/polkit-module-default.c          |   17 +-
 modules/deny-all/polkit-module-deny-all.c        |   17 +-
 modules/grant/Makefile.am                        |   25 +
 modules/grant/polkit-module-grant.c              |  194 ++++++++
 modules/run-program/polkit-module-run-program.c  |   70 ++--
 tools/Makefile.am                                |    9 +-
 tools/polkit-check-caller.c                      |    2 +-
 tools/polkit-check-session.c                     |    2 +-
 tools/polkit-grant.c                             |  425 +++++++++++++++++
 tools/polkit-policy-file-validate.c              |    2 +-
 60 files changed, 3950 insertions(+), 658 deletions(-)

commit 192f04cef946c0ebe5f90c8dbecc933b6ac3c197
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Apr 9 18:38:20 2007 -0400

    remove all usage of glib from the header files

    This paves the way for getting rid of a glib dependency; when and if
    that happens is to be determined; right now it just doesn't make a lot
    of sense to reimplement GKeyFile, GSList, GHashTable, g_spawn_sync and
    other useful routines. But it might make sense if we want to get the
    message bus daemon to link with libpolkit so you e.g. can say

     <policy polkit="acme-frobnicate">
       <allow send_interface="com.acme.Frobnicator"
     </policy>

    to allow a caller on the system message bus to access that interface
    if, and only if, he can do the "acme-frobnicate" action according to
    PolicyKit.

 libpolkit/libpolkit-action.c                    |    6 +-
 libpolkit/libpolkit-action.h                    |   17 ++---
 libpolkit/libpolkit-caller.c                    |   10 +-
 libpolkit/libpolkit-caller.h                    |   14 ++--
 libpolkit/libpolkit-context.c                   |   39 ++++++----
 libpolkit/libpolkit-context.h                   |   32 ++++-----
 libpolkit/libpolkit-debug.c                     |   10 ++-
 libpolkit/libpolkit-debug.h                     |    5 -
 libpolkit/libpolkit-error.c                     |   91
 +++++++++++++++++++++--
 libpolkit/libpolkit-error.h                     |   27 +++----
 libpolkit/libpolkit-module.c                    |   78
 ++++++++++----------
 libpolkit/libpolkit-module.h                    |   20 ++---
 libpolkit/libpolkit-policy-cache.c              |   32 ++++----
 libpolkit/libpolkit-policy-cache.h              |    8 +--
 libpolkit/libpolkit-policy-default.c            |   57 +++++++-------
 libpolkit/libpolkit-policy-default.h            |    9 +--
 libpolkit/libpolkit-policy-file-entry.c         |   21 ++----
 libpolkit/libpolkit-policy-file-entry.h         |    6 --
 libpolkit/libpolkit-policy-file.c               |   68 +++++++++++------
 libpolkit/libpolkit-policy-file.h               |   28 +++++--
 libpolkit/libpolkit-resource.c                  |    4 +-
 libpolkit/libpolkit-resource.h                  |    9 +--
 libpolkit/libpolkit-result.c                    |    6 +-
 libpolkit/libpolkit-result.h                    |    4 +-
 libpolkit/libpolkit-seat.c                      |    8 +-
 libpolkit/libpolkit-seat.h                      |    7 +-
 libpolkit/libpolkit-session.c                   |   28 ++++----
 libpolkit/libpolkit-session.h                   |   20 ++---
 modules/allow-all/Makefile.am                   |    4 +-
 modules/allow-all/polkit-module-allow-all.c     |   23 ++----
 modules/default/Makefile.am                     |    4 +-
 modules/default/polkit-module-default.c         |   23 ++----
 modules/deny-all/Makefile.am                    |    4 +-
 modules/deny-all/polkit-module-deny-all.c       |   23 ++----
 modules/run-program/polkit-module-run-program.c |   80
 +++++++++-----------
 tools/Makefile.am                               |    2 +-
 tools/polkit-check-caller.c                     |   12 ++-
 tools/polkit-check-session.c                    |   12 ++-
 tools/polkit-policy-file-validate.c             |   10 ++-
 39 files changed, 451 insertions(+), 410 deletions(-)

commit 02a4c5101ca4751963f76a0e016d3308389dc2a5
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Apr 9 15:20:04 2007 -0400

    associate parameters (key/value pairs) with the Action class

    This is useful for letting mechanisms convey information which may be
    useful in making a decision whether an action is OK. For example,
    NetworkManager could use this to provide the phone-number parameter
    with a hypothetical "nm-dialup" action. Then a site or vendor can
    provide insert

     mandatory polkit-run-program.so
     program="/usr/lib/check-dialup-number.sh" privilege="nm-dialup"

    into /etc/PolicyKit/PolicyKit.conf and have said program check

     $POLKIT_ACTION_PARAM_PHONE_NUMBER

    in that program.

 doc/man/polkit-check-caller.1.in                |   15 +++--
 doc/man/polkit-check-session.1.in               |   15 +++--
 doc/man/polkit-module-run-program.8.in          |    5 ++
 libpolkit/libpolkit-action.c                    |   80
 +++++++++++++++++++++++
 libpolkit/libpolkit-action.h                    |   26 ++++++-
 modules/run-program/polkit-module-run-program.c |   25 +++++++
 tools/polkit-check-caller.c                     |   38 ++++++++++-
 tools/polkit-check-session.c                    |   36 +++++++++-
 8 files changed, 217 insertions(+), 23 deletions(-)

commit 7222fca16e15c86d17bbca4e3bc56bb0a807cbbb
Author: David Zeuthen <davidz@redhat.com>
Date:   Mon Apr 9 15:16:10 2007 -0400

    remember to set session's ConsoleKit object path

 libpolkit/libpolkit-session.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit ee531eefb45fd362c8aa3e8cb395549dda50f446
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Apr 8 19:38:02 2007 -0400

    policy files now have the .policy extension, not .priv

 libpolkit/libpolkit-context.c      |    4 ++--
 libpolkit/libpolkit-policy-cache.c |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit ee660301bbeed46cc49eb06cf6853a28fcbb4812
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Apr 8 19:18:23 2007 -0400

    no need to reference polkit-module-default twice in a man page

 doc/man/polkit-module-run-program.8.in |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 8b9991aead36449824b700ac596241eb6095450d
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Apr 8 19:12:31 2007 -0400

    minor fixes to the PolicyKit manual page

 doc/man/PolicyKit.8.in |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit ce556c72b4109d4bd882dff089ddb377f2cb2129
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Apr 8 19:06:59 2007 -0400

    mass renaming of classes

     Privilege -> Action
     PrivilegeFile -> PolicyFile
     PrivilegeFileEntry -> PolicyFileEntry
     PrivilegeCache -> PolicyCache

    Hopefully it makes a bit more sense now.

 Makefile.am                                     |    2 +-
 configure.in                                    |    2 +-
 doc/api/libpolkit/libpolkit-docs.xml            |   10 +-
 doc/man/Makefile.am                             |    2 +-
 doc/man/polkit-check-caller.1.in                |    4 +-
 doc/man/polkit-check-session.1.in               |    4 +-
 doc/man/polkit-module-allow-all.8.in            |   10 +-
 doc/man/polkit-module-builtins.8.in             |   10 +-
 doc/man/polkit-module-default.8.in              |    6 +-
 doc/man/polkit-module-deny-all.8.in             |   10 +-
 doc/man/polkit-module-run-program.8.in          |   18 +-
 doc/man/polkit-policy-file-validate.1.in        |   53 ++++
 doc/man/polkit-privilege-file-validate.1.in     |   53 ----
 libpolkit/Makefile.am                           |   42 ++--
 libpolkit/libpolkit-action.c                    |  159 +++++++++++
 libpolkit/libpolkit-action.h                    |   47 ++++
 libpolkit/libpolkit-context.c                   |  142 +++++-----
 libpolkit/libpolkit-context.h                   |   10 +-
 libpolkit/libpolkit-error.h                     |    4 +-
 libpolkit/libpolkit-module.c                    |   48 ++--
 libpolkit/libpolkit-module.h                    |   14 +-
 libpolkit/libpolkit-policy-cache.c              |  246 +++++++++++++++++
 libpolkit/libpolkit-policy-cache.h              |   50 ++++
 libpolkit/libpolkit-policy-default.c            |  323
 ++++++++++++++++++++++
 libpolkit/libpolkit-policy-default.h            |   61 +++++
 libpolkit/libpolkit-policy-file-entry.c         |  178 +++++++++++++
 libpolkit/libpolkit-policy-file-entry.h         |   51 ++++
 libpolkit/libpolkit-policy-file.c               |  200 ++++++++++++++
 libpolkit/libpolkit-policy-file.h               |   46 ++++
 libpolkit/libpolkit-privilege-cache.c           |  247 -----------------
 libpolkit/libpolkit-privilege-cache.h           |   50 ----
 libpolkit/libpolkit-privilege-default.c         |  325
 -----------------------
 libpolkit/libpolkit-privilege-default.h         |   61 -----
 libpolkit/libpolkit-privilege-file-entry.c      |  178 -------------
 libpolkit/libpolkit-privilege-file-entry.h      |   51 ----
 libpolkit/libpolkit-privilege-file.c            |  200 --------------
 libpolkit/libpolkit-privilege-file.h            |   46 ----
 libpolkit/libpolkit-privilege.c                 |  160 -----------
 libpolkit/libpolkit-privilege.h                 |   47 ----
 libpolkit/libpolkit-result.c                    |    2 +-
 libpolkit/libpolkit-result.h                    |    4 +-
 modules/allow-all/polkit-module-allow-all.c     |    4 +-
 modules/default/polkit-module-default.c         |   32 ++--
 modules/deny-all/polkit-module-deny-all.c       |    4 +-
 modules/run-program/polkit-module-run-program.c |   16 +-
 policy/Makefile.am                              |   17 ++
 policy/polkit-example-action.policy             |   15 +
 privileges/Makefile.am                          |   17 --
 privileges/polkit-example-privilege.priv        |   15 -
 tools/Makefile.am                               |    6 +-
 tools/polkit-check-caller.c                     |   22 +-
 tools/polkit-check-session.c                    |   22 +-
 tools/polkit-policy-file-validate.c             |   98 +++++++
 tools/polkit-privilege-file-validate.c          |   98 -------
 54 files changed, 1769 insertions(+), 1773 deletions(-)

commit 8035e5d1f3aaf27b059cc49f16790c1a0d002674
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Apr 8 17:26:29 2007 -0400

    fix up Makefile.am

 Makefile.am |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit d140ff6aefca053cb796a7b05e97ecec9e038067
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Apr 8 17:25:31 2007 -0400

    generate and dist ChangeLog

 Makefile.am |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)

commit e2a465d0f9a16b501754b03267d743ac20135973
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Apr 8 16:49:27 2007 -0400

    add built-in options and a new module pam-polkit-run-program.so

 configure.in                                    |    1 +
 doc/man/Makefile.am                             |    2 +-
 doc/man/polkit-module-allow-all.8.in            |   22 +-
 doc/man/polkit-module-builtins.8.in             |   55 ++++
 doc/man/polkit-module-deny-all.8.in             |   24 +-
 doc/man/polkit-module-run-program.8.in          |  198 +++++++++++++
 libpolkit/libpolkit-context.c                   |   53 +++-
 libpolkit/libpolkit-module.c                    |  256 ++++++++++++++++
 libpolkit/libpolkit-module.h                    |   15 +
 modules/Makefile.am                             |    2 +-
 modules/allow-all/polkit-module-allow-all.c     |  153 +----------
 modules/deny-all/Makefile.am                    |    4 +-
 modules/deny-all/polkit-module-deny-all.c       |   92 ++++++
 modules/run-program/Makefile.am                 |   25 ++
 modules/run-program/polkit-module-run-program.c |  359
 +++++++++++++++++++++++
 15 files changed, 1063 insertions(+), 198 deletions(-)

commit 0973db30eaab0e12d48b1e1f8386960fb32e2343
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Apr 8 02:13:34 2007 -0400

    stop disting ChangeLog and start disting modules/PolicyKit.conf

    Am happy to report that 'make distcheck' now works!

 Makefile.am         |   22 +---------------------
 modules/Makefile.am |    2 +-
 2 files changed, 2 insertions(+), 22 deletions(-)

commit 3638c6c15eb33ec64559dc9f075c3f82f9cbcb66
Author: David Zeuthen <davidz@redhat.com>
Date:   Sun Apr 8 02:07:42 2007 -0400

    add module loading to PolicyKit

    This paves the way for writing

     1. A module that tracks temporary (look in /var/run) and permanent
     (look
        in /var/lib) privilege grants
     2. A D-Bus service to authenticate a client to obtain to a privilege
        grant and then writing the grant in temporary or permanent storage

    Also, this feature lets people very easily lock down the system; just
    edit /etc/PolicyKit/PolicyKit.conf; add pam-module-deny-all /
    -allow-all
    stanzas with various privilege=<regexp> and user=<username> options.

 Makefile.am                                 |    2 +-
 configure.in                                |    4 +
 doc/api/libpolkit/libpolkit-docs.xml        |    2 +-
 doc/man/Makefile.am                         |    4 +-
 doc/man/PolicyKit.8.in                      |   38 ++
 doc/man/polkit-check-caller.1.in            |    1 +
 doc/man/polkit-check-session.1.in           |    1 +
 doc/man/polkit-module-allow-all.8.in        |   61 ++++
 doc/man/polkit-module-default.8.in          |   39 +++
 doc/man/polkit-module-deny-all.8.in         |   60 ++++
 doc/man/polkit-privilege-file-validate.1.in |    1 +
 libpolkit/Makefile.am                       |   11 +-
 libpolkit/libpolkit-context.c               |  443
 ++++++++++++++++++++++++-
 libpolkit/libpolkit-context.h               |   50 +++-
 libpolkit/libpolkit-debug.c                 |   10 +
 libpolkit/libpolkit-module.c                |  490
 +++++++++++++++++++++++++++
 libpolkit/libpolkit-module.h                |  192 +++++++++++
 libpolkit/libpolkit-result.c                |    4 +-
 libpolkit/libpolkit-result.h                |    9 +-
 libpolkit/libpolkit.c                       |  219 ------------
 libpolkit/libpolkit.h                       |   46 ---
 modules/Makefile.am                         |    5 +
 modules/PolicyKit.conf                      |    5 +
 modules/allow-all/Makefile.am               |   25 ++
 modules/allow-all/polkit-module-allow-all.c |  241 +++++++++++++
 modules/default/Makefile.am                 |   25 ++
 modules/default/polkit-module-default.c     |  116 +++++++
 modules/deny-all/Makefile.am                |   25 ++
 tools/polkit-check-caller.c                 |    2 +-
 tools/polkit-check-session.c                |    2 +-
 30 files changed, 1842 insertions(+), 291 deletions(-)

commit a1b5a12bd768c2d34d33c24af1853a424b875527
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Apr 6 22:09:00 2007 -0400

    watch the correct directory

 libpolkit/libpolkit-context.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 339a8b626814b74a07d9005e1ef81a2b03b99938
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Apr 6 21:52:37 2007 -0400

    really ignore privilege files starting with "." this time

    Also avoid dumping all privilege file entries to debug whenever we
    populate our privilege cache.

 libpolkit/libpolkit-context.c         |    2 +-
 libpolkit/libpolkit-privilege-cache.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 6d42a04772497cb9ce37a33f46903fcaa60e574f
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Apr 6 21:01:35 2007 -0400

    refine file monitoring interface and implement policy reload

 libpolkit/libpolkit-context.c         |  135
 +++++++++++++++++++++++++++-----
 libpolkit/libpolkit-context.h         |   98 ++++++++++++++++++++++--
 libpolkit/libpolkit-privilege-cache.c |    3 +
 3 files changed, 208 insertions(+), 28 deletions(-)

commit 01b261ee507efe9b96ff8736127525b8abd39ecf
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Apr 6 21:01:14 2007 -0400

    make polkit-privilege-file-validate accept multiple files

 doc/man/polkit-privilege-file-validate.1.in |    9 +--
 tools/polkit-check-caller.c                 |    8 +-
 tools/polkit-check-session.c                |    8 +-
 tools/polkit-privilege-file-validate.c      |  103
 ++++++++------------------
 4 files changed, 43 insertions(+), 85 deletions(-)

commit 936ca49edb4ea8efa15d336797a3d66269c9e1f4
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Apr 6 16:23:47 2007 -0400

    move to using _pk_debug and respect $POLKIT_DEBUG

 libpolkit/Makefile.am                      |    3 +-
 libpolkit/libpolkit-caller.c               |   13 +++--
 libpolkit/libpolkit-context.c              |   12 ++++-
 libpolkit/libpolkit-debug.c                |   69
 ++++++++++++++++++++++++++++
 libpolkit/libpolkit-debug.h                |   38 +++++++++++++++
 libpolkit/libpolkit-privilege-cache.c      |   11 +++--
 libpolkit/libpolkit-privilege-default.c    |   21 ++++----
 libpolkit/libpolkit-privilege-file-entry.c |    7 ++-
 libpolkit/libpolkit-privilege.c            |    3 +-
 libpolkit/libpolkit-resource.c             |    3 +-
 libpolkit/libpolkit-seat.c                 |    3 +-
 libpolkit/libpolkit-session.c              |   16 ++++---
 libpolkit/libpolkit.c                      |    9 ++--
 13 files changed, 167 insertions(+), 41 deletions(-)

commit b18bb2d892fc073528552d1094659a0d1902ef18
Author: David Zeuthen <davidz@redhat.com>
Date:   Fri Apr 6 14:09:02 2007 -0400

    read privilege files and actually use the policy described in those

 Makefile.am                                 |    2 +-
 configure.in                                |    1 +
 doc/api/libpolkit/libpolkit-docs.xml        |    3 +
 doc/man/Makefile.am                         |    2 +-
 doc/man/polkit-privilege-file-validate.1.in |   55 +++++
 doc/spec/Makefile.am                        |    2 +-
 examples/polkit-example-privilege.priv      |   12 -
 libpolkit/Makefile.am                       |   32 ++-
 libpolkit/libpolkit-caller.c                |   15 ++
 libpolkit/libpolkit-caller.h                |    2 +
 libpolkit/libpolkit-context.c               |   40 +++-
 libpolkit/libpolkit-context.h               |    5 +-
 libpolkit/libpolkit-error.h                 |    4 +-
 libpolkit/libpolkit-privilege-cache.c       |  241 ++++++++++++++++++++
 libpolkit/libpolkit-privilege-cache.h       |   50 ++++
 libpolkit/libpolkit-privilege-default.c     |  324
 +++++++++++++++++++++++++++
 libpolkit/libpolkit-privilege-default.h     |   61 +++++
 libpolkit/libpolkit-privilege-file-entry.c  |  177 +++++++++++++++
 libpolkit/libpolkit-privilege-file-entry.h  |   51 +++++
 libpolkit/libpolkit-privilege-file.c        |  147 ++++++-------
 libpolkit/libpolkit-privilege-file.h        |    9 +-
 libpolkit/libpolkit-privilege.c             |   13 +
 libpolkit/libpolkit-privilege.h             |    2 +
 libpolkit/libpolkit-resource.c              |   13 +
 libpolkit/libpolkit-resource.h              |    2 +
 libpolkit/libpolkit-result.c                |    2 +-
 libpolkit/libpolkit-result.h                |    2 +
 libpolkit/libpolkit-seat.c                  |   13 +
 libpolkit/libpolkit-seat.h                  |    2 +
 libpolkit/libpolkit-session.c               |   15 ++
 libpolkit/libpolkit-session.h               |    2 +
 libpolkit/libpolkit.c                       |   79 +++++++-
 privileges/Makefile.am                      |   17 ++
 privileges/polkit-example-privilege.priv    |   15 ++
 tools/Makefile.am                           |    1 -
 tools/polkit-check-caller.c                 |    9 +-
 tools/polkit-check-session.c                |    9 +-
 37 files changed, 1310 insertions(+), 121 deletions(-)

commit 5a74d9b7a123f0bed10c857863e81bc88c402d8e
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Apr 4 16:52:59 2007 -0400

    provide an example privilege file

 examples/polkit-example-privilege.priv |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit a7f9248ffe5d1a18216003367d6ffb5f0a4c3224
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Apr 4 16:38:34 2007 -0400

    include PolKitPrivilegeFile in API docs

 doc/api/libpolkit/libpolkit-docs.xml |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6451bbb85b2d8636f6e3197e8f62484ce1cfd8e4
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Apr 4 16:26:20 2007 -0400

    introduce a PolKitResult enumeration and make privilege files use that

 doc/api/libpolkit/libpolkit-docs.xml |    2 +
 libpolkit/Makefile.am                |    4 +
 libpolkit/libpolkit-error.c          |   61 +++++++++++++++++
 libpolkit/libpolkit-error.h          |   53 +++++++++++++++
 libpolkit/libpolkit-privilege-file.c |   63 ++++++++----------
 libpolkit/libpolkit-result.c         |  118
 ++++++++++++++++++++++++++++++++++
 libpolkit/libpolkit-result.h         |   72 +++++++++++++++++++++
 libpolkit/libpolkit.c                |   42 +++++++------
 libpolkit/libpolkit.h                |   22 ++-----
 9 files changed, 366 insertions(+), 71 deletions(-)

commit 4de5d6c6d44b8cbe46530648e53d006b24b8942d
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Apr 4 03:08:09 2007 -0400

    add support for privilege files and provide a validation tool

 libpolkit/Makefile.am                  |   22 ++--
 libpolkit/libpolkit-privilege-file.c   |  220
 ++++++++++++++++++++++++++++++++
 libpolkit/libpolkit-privilege-file.h   |   43 ++++++
 libpolkit/libpolkit.c                  |    5 +
 libpolkit/libpolkit.h                  |    9 ++
 tools/Makefile.am                      |    6 +-
 tools/polkit-privilege-file-validate.c |  137 ++++++++++++++++++++
 7 files changed, 431 insertions(+), 11 deletions(-)

commit 3df61e0e3fe823b1381f4744bea6ee19d7e1d055
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Apr 4 00:39:16 2007 -0400

    get rid of AS_AC_EXPAND and use autoconf docdir

    Inspired by recent patches to both HAL and ConsoleKit from Michael
    Biebl <mbiebl@gmail.com>.

 acinclude.m4                      |   46
 -------------------------------------
 configure.in                      |   38 +++++++-----------------------
 doc/man/Makefile.am               |   12 ++++++++-
 doc/man/polkit-check-caller.1.in  |    2 +-
 doc/man/polkit-check-session.1.in |    2 +-
 libpolkit/Makefile.am             |    2 +-
 libpolkit/libpolkit.c             |    5 +--
 tools/Makefile.am                 |    2 +-
 8 files changed, 25 insertions(+), 84 deletions(-)

commit 6477d09279704e98bd2d8d18f68890f5cce305ec
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Mar 29 01:17:40 2007 -0400

    no need to mention $(top_srcdir) twice

 tools/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 0cc0ffde5aff51f08fa7642bbe4221dd138eaf05
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Mar 29 01:06:16 2007 -0400

    build fix so 'make distcheck' works

 libpolkit/Makefile.am |    1 +
 tools/Makefile.am     |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit 416921898aa80a0135855bd7a790053d460cf111
Author: David Zeuthen <davidz@redhat.com>
Date:   Thu Mar 29 00:46:42 2007 -0400

    add two tools polkit-check-caller and polkit-check-session

 configure.in                         |    6 +
 doc/api/libpolkit/libpolkit-docs.xml |    4 +-
 doc/man/Makefile.am                  |    4 +-
 doc/man/polkit-check-caller.1.in     |   65 +++++++++
 doc/man/polkit-check-session.1.in    |   65 +++++++++
 libpolkit.pc.in                      |    2 +-
 libpolkit/Makefile.am                |    4 +-
 libpolkit/libpolkit-caller.c         |  173 ++++++++++++++++++++++--
 libpolkit/libpolkit-caller.h         |   26 ++--
 libpolkit/libpolkit-privilege.c      |    2 +-
 libpolkit/libpolkit-resource.c       |    4 +-
 libpolkit/libpolkit-seat.c           |    2 +-
 libpolkit/libpolkit-session.c        |  245
 +++++++++++++++++++++++++++++++++-
 libpolkit/libpolkit-session.h        |    5 +-
 libpolkit/libpolkit.c                |    7 +
 libpolkit/libpolkit.h                |    2 +
 tools/Makefile.am                    |    9 +-
 tools/polkit-check-caller.c          |  172 ++++++++++++++++++++++++
 tools/polkit-check-session.c         |  180 +++++++++++++++++++++++++
 19 files changed, 935 insertions(+), 42 deletions(-)

commit 5dabca219d230f8c66050467d6df7f392db5bcd8
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Mar 28 20:10:52 2007 -0400

    implement the classes carrying data

 libpolkit/libpolkit-caller.c    |  108
 +++++++++++++++++++++++++++++----------
 libpolkit/libpolkit-caller.h    |    4 +-
 libpolkit/libpolkit-context.c   |   45 +++++++++++-----
 libpolkit/libpolkit-privilege.c |   52 +++++++++++++-----
 libpolkit/libpolkit-resource.c  |   73 +++++++++++++++++++++-----
 libpolkit/libpolkit-seat.c      |   50 +++++++++++++-----
 libpolkit/libpolkit-session.c   |  102
 +++++++++++++++++++++++++++++--------
 libpolkit/libpolkit-session.h   |    2 +-
 8 files changed, 323 insertions(+), 113 deletions(-)

commit a2974bdaadef0f06c3f8dd5d2c76170a53fe4b86
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Mar 28 18:08:50 2007 -0400

    document the API

    Now I only need to implement it...

 doc/api/libpolkit/libpolkit-docs.xml |   10 ++-
 libpolkit/libpolkit-caller.c         |  120 +++++++++++++++++++++++++++-
 libpolkit/libpolkit-caller.h         |   22 +++---
 libpolkit/libpolkit-context.c        |   48 +++++++++++-
 libpolkit/libpolkit-context.h        |   10 +--
 libpolkit/libpolkit-privilege.c      |   54 ++++++++++++-
 libpolkit/libpolkit-privilege.h      |    6 +-
 libpolkit/libpolkit-resource.c       |   70 ++++++++++++++++-
 libpolkit/libpolkit-resource.h       |    6 +-
 libpolkit/libpolkit-seat.c           |   54 ++++++++++++-
 libpolkit/libpolkit-seat.h           |   14 ++--
 libpolkit/libpolkit-session.c        |  148
 +++++++++++++++++++++++++++++++++-
 libpolkit/libpolkit-session.h        |   36 ++++----
 13 files changed, 539 insertions(+), 59 deletions(-)

commit 96e73f52582e3517d0925fa402bb4bb349123b10
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Mar 28 14:50:02 2007 -0400

    split libpolkit into more source/header files

 libpolkit.pc.in                 |    2 +-
 libpolkit/Makefile.am           |   26 +++-
 libpolkit/libpolkit-caller.c    |  116 +++++++++++++++
 libpolkit/libpolkit-caller.h    |   55 +++++++
 libpolkit/libpolkit-context.c   |   69 +++++++++
 libpolkit/libpolkit-context.h   |   61 ++++++++
 libpolkit/libpolkit-privilege.c |   72 +++++++++
 libpolkit/libpolkit-privilege.h |   45 ++++++
 libpolkit/libpolkit-resource.c  |   83 +++++++++++
 libpolkit/libpolkit-resource.h  |   47 ++++++
 libpolkit/libpolkit-seat.c      |   72 +++++++++
 libpolkit/libpolkit-seat.h      |   45 ++++++
 libpolkit/libpolkit-session.c   |  128 ++++++++++++++++
 libpolkit/libpolkit-session.h   |   57 +++++++
 libpolkit/libpolkit.c           |  312
 ---------------------------------------
 libpolkit/libpolkit.h           |   98 +------------
 16 files changed, 876 insertions(+), 412 deletions(-)

commit 9a0ad18906cddce8e6a0d0d784bad3493dbfac71
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Mar 28 14:11:56 2007 -0400

    proposed API

 libpolkit/libpolkit.c |  400
 +++++++++++++++++++++++++++++++++++++++++++++++++
 libpolkit/libpolkit.h |  129 ++++++++++++++++
 2 files changed, 529 insertions(+), 0 deletions(-)

commit e90a077762f58b825008864f1facb8462269b7b2
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Mar 28 14:11:00 2007 -0400

    update to the gtk-doc.make from the HAL project

 gtk-doc.make |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 5e55b4a226590b18bebc65b864ba323e69769939
Author: David Zeuthen <davidz@redhat.com>
Date:   Wed Mar 28 13:01:37 2007 -0400

    reset project and remove all existing code

    Some of the code, e.g. the daemon, will be brought back in other
    forms.

 COPYING                                 |    4 +-
 Makefile.am                             |   11 +-
 NEWS                                    |    2 +-
 configure.in                            |  263 +------
 doc/Makefile.am                         |    2 +-
 doc/TODO                                |   40 +-
 doc/api/Makefile.am                     |   47 +--
 doc/api/libpolkit/Makefile.am           |   67 ++
 doc/api/libpolkit/libpolkit-docs.xml    |  109 +++
 doc/api/libpolkit/version.xml.in        |    1 +
 doc/api/polkit-docs.xml                 |   15 -
 doc/api/tmpl/libpolkit.sgml             |  114 ---
 doc/man/Makefile.am                     |   13 +
 doc/spec/Makefile.am                    |   32 +-
 doc/spec/config.xsl                     |    6 +
 doc/spec/docbook.css                    |   18 +
 doc/spec/polkit-arch.dia                |  Bin 2952 -> 0 bytes
 doc/spec/polkit-arch.png                |  Bin 59513 -> 0 bytes
 doc/spec/polkit-spec-introduction.xml   |   15 +
 doc/spec/polkit-spec.html               |  384 ----------
 doc/spec/polkit-spec.xml.in             |  628 ----------------
 doc/spec/polkit-spec.xml.in.in          |   24 +
 libpolkit.pc.in                         |   11 +
 libpolkit/Makefile.am                   |   31 +-
 libpolkit/libpolkit-grant.c             |  407 -----------
 libpolkit/libpolkit-grant.h             |  125 ----
 libpolkit/libpolkit.c                   |  376 +----------
 libpolkit/libpolkit.h                   |   46 +--
 pam-polkit-console/.gitignore           |    7 -
 pam-polkit-console/Makefile.am          |   18 -
 pam-polkit-console/pam-polkit-console.c |  262 -------
 policy-kit.in                           |    8 -
 polkit-interface-manager.xml            |   48 --
 polkit-interface-session.xml            |   50 --
 polkit.pc.in                            |   11 -
 polkitd/.gitignore                      |   13 -
 polkitd/Makefile.am                     |   94 ---
 polkitd/PolicyKit.conf.in               |   20 -
 polkitd/PolicyKit.in                    |   80 --
 polkitd/debug-polkitd.sh                |    9 -
 polkitd/main.c                          |  303 --------
 polkitd/policy.c                        | 1217
 -------------------------------
 polkitd/policy.h                        |  103 ---
 polkitd/polkit-manager.c                | 1089
 ---------------------------
 polkitd/polkit-manager.h                |  132 ----
 polkitd/polkit-marshal.list             |    1 -
 polkitd/polkit-session.c                | 1013 -------------------------
 polkitd/polkit-session.h                |  122 ---
 polkitd/polkitd-test.c                  |  275 -------
 polkitd/run-polkitd.sh                  |    7 -
 polkitd/valgrind-polkitd.sh             |    4 -
 privileges/.gitignore                   |    3 -
 privileges/Makefile.am                  |    7 -
 privileges/desktop-console.privilege    |   14 -
 tools/Makefile.am                       |   21 +-
 tools/polkit-grant-privilege.c          |  331 ---------
 tools/polkit-is-privileged.c            |  203 -----
 tools/polkit-list-privileges.c          |  209 ------
 tools/polkit-revoke-privilege.c         |  198 -----
 59 files changed, 329 insertions(+), 8334 deletions(-)

commit e97e945ee59320cb15ec81958b2fa1c08653a8f6
Author: Danny Kukawka <danny.kukawka@web.de>
Date:   Mon Aug 21 20:41:21 2006 +0200

    fix make distcheck

    A quick (and dirty) fix to get 'make distcheck' complete running and
    to fix polkitd-test

 polkitd/polkitd-test.c |   17 ++++++++++++++---
 1 files changed, 14 insertions(+), 3 deletions(-)

commit ae74decdae3b087e92f5d7408d05f3eef8d72718
Author: Danny Kukawka <danny.kukawka@web.de>
Date:   Mon Aug 21 20:28:09 2006 +0200

    stop configure if pam/pam-devel is missing

    This little patch fixes configure to stop and print a error message if
    pam/pam-devel is missing while run configure for PolicyKit

 configure.in |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 1043f61430e1d06c0d44a4ad2146e66313f0a4ad
Author: Danny Kukawka <danny.kukawka@web.de>
Date:   Sat Jul 29 10:42:14 2006 -0400

    Patch from Danny Kukawka <danny.kukawka@web.de> with some cleanup.s

	* pam-polkit-console/pam-polkit-console.c: (pam_sm_open_session),
	(pam_sm_close_session): fixed usage of pam_get_item() to respect
	strict-aliasing rules

	    * polkitd/polkit-manager.c: (polkit_manager_get_caller_info):
	added ifdef around currently unused calling_selinux_context

	    * tools/polkit-grant-privilege.c: (grant_complete_cb):
	    replaced
	libpolkit_free_context() with correct
	libpolkit_grant_free_context()

 pam-polkit-console/pam-polkit-console.c |    8 ++++----
 polkitd/polkit-manager.c		 |    3 ++-
 tools/polkit-grant-privilege.c		 |    2 +-
 3 files changed, 7 insertions(+), 6 deletions(-)

commit accea27e3816d1685d6543094bebdfdb01499ffc
Author: David Zeuthen <davidz@redhat.com>
Date:	Sat Jul 29 10:39:05 2006 -0400

    Add ChangeLog and *.tar.gz to .gitignore.

 .gitignore |	 2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 1c45f6df90ce7968fd212c8c8f92fd2840ce6ce2
Author: David Zeuthen <davidz@zelda.fubar.dk>
Date:	Thu Jul 27 20:52:26 2006 -0400

    Remove ChangeLog file and add rules to Makefile.am to generate one for
    disted tarballs.

 ChangeLog		   |  308
 ---------------------------------------------
 Makefile.am		   |   22 +++-
 doc/spec/polkit-spec.html |   28 ++--
 3 files changed, 35 insertions(+), 323 deletions(-)

commit 520608eedd5652ad51acc27073f8a6c75abc0c8b
Author: Kay Sievers <kay.sievers@suse.de>
Date:	Thu Jul 27 22:44:44 2006 +0200

    .cvsignore -> .gitignore

 .cvsignore		       |   29 -----------------------------
 .gitignore		       |   30 ++++++++++++++++++++++++++++++
 doc/.cvsignore		       |    2 --
 doc/.gitignore		       |    3 +++
 doc/spec/polkit-spec.html     |   28 ++++++++++++++--------------
 libpolkit/.cvsignore	       |    6 ------
 libpolkit/.gitignore	       |    9 +++++++++
 pam-polkit-console/.gitignore |    7 +++++++
 polkitd/.cvsignore	       |   12 ------------
 polkitd/.gitignore	       |   13 +++++++++++++
 privileges/.cvsignore	       |    2 --
 privileges/.gitignore	       |    3 +++
 tools/.cvsignore	       |   10 ----------
 tools/.gitignore	       |    9 +++++++++
 14 files changed, 88 insertions(+), 75 deletions(-)

commit 20ffc4f71091851d8e5d3f0dc9d098d2032c8081
Author: David Zeuthen <david@fubar.dk>
Date:	Wed Jun 7 00:26:55 2006 +0000

    For now, comment out SELinux stuff as it breaks when SELinux is not
	available.

 ChangeLog		     |	  6 ++++
 doc/api/tmpl/libpolkit.sgml |	 55
 +++++++++++++++++++++++++++++++++++++++++-
 doc/spec/polkit-spec.html   |	 26 ++++++++++----------
 polkitd/polkit-manager.c    |	  2 +
 4 files changed, 74 insertions(+), 15 deletions(-)

commit 997e27a4fc98763881e8c10fd8a071df7d3323ea
Author: David Zeuthen <david@fubar.dk>
Date:	Tue Jun 6 14:48:27 2006 +0000

    Patch from Frederic Peters <fpeters@entrouvert.com>. jhbuild
    monitors files
	being installed and prevents them from being written out of
	its target
	directory. This means HAL now prevents jhautobuild[1] to
	complete since
	pam-polkit-console hardcodes /lib/security. Attached is a patch
	with a
	configure option (--with-pam-module-dir) so it is possible to
	set an
	other directory. [1] http://jhbuild.bxlug.be

 ChangeLog			|   13 +++++++++++++
 configure.in			|   12 ++++++++++++
 doc/spec/polkit-spec.html	|   26 +++++++++++++-------------
 pam-polkit-console/Makefile.am |    2 +-
 4 files changed, 39 insertions(+), 14 deletions(-)

commit 8be672ff73c76f99b15f72cc9fb1b3eb4d1a778c
Author: David Zeuthen <david@fubar.dk>
Date:	Tue Jun 6 11:55:50 2006 +0000

    Patch from Frederic Peters <fpeters@entrouvert.com>.
	http://jhbuild.bxlug.be/builds/2006-06-06-0000/logs/PolicyKit/#build
	shows a error when building newest PolicyKit with Debian PAM
	libraries.
    Attached patch adds new configure checks; pam-polkit-console.c
    may need
	alternate behaviour if pam_vsyslog is missing (using straight
	vsyslog?).
    configure.in,

 ChangeLog				 |   15 +++++++++++++++
 configure.in				 |    3 +++
 doc/TODO				 |    3 +++
 doc/spec/polkit-spec.html		 |   26 +++++++++++++-------------
 pam-polkit-console/pam-polkit-console.c |    7 +++++++
 5 files changed, 41 insertions(+), 13 deletions(-)

commit 1c3d5691ad444ae2849d079e3745d6b476614623
Author: David Zeuthen <david@fubar.dk>
Date:	Mon Jun 5 23:39:00 2006 +0000

    Lots of changes! Almost ready for 0.2 release.

 ChangeLog				 |   73 ++
 Makefile.am				 |    2 +-
 README					 |    1 -
 configure.in				 |    9 +-
 doc/TODO				 |   37 +-
 doc/api/polkit-docs.xml		 |    3 +-
 doc/spec/Makefile.am			 |    2 +-
 doc/spec/polkit-spec.html		 | 1165
 ++++++++-----------------------
 doc/spec/polkit-spec.xml.in		 |  259 ++++++-
 libpolkit/Makefile.am			 |   27 +-
 libpolkit/libpolkit-grant.c		 |  407 +++++++++++
 libpolkit/libpolkit-grant.h		 |  125 ++++
 libpolkit/libpolkit.c			 |   60 ++-
 libpolkit/libpolkit.h			 |   10 +-
 pam-polkit-console/Makefile.am		 |   18 +
 pam-polkit-console/pam-polkit-console.c |  255 +++++++
 polkit-interface-manager.xml		 |   22 +-
 polkit-interface-session.xml		 |    3 +-
 polkit.pc.in				 |    4 -
 polkitd/PolicyKit.in			 |   10 +-
 polkitd/main.c				 |  102 +++-
 polkitd/policy.c			 |  480 ++++++++++++-
 polkitd/policy.h			 |   97 ++-
 polkitd/polkit-manager.c		 |  375 +++++++++--
 polkitd/polkit-manager.h		 |   11 +-
 polkitd/polkit-session.c		 |   61 +-
 polkitd/polkit-session.h		 |    7 +-
 privileges/desktop-console.privilege	 |   12 +-
 tools/Makefile.am			 |   18 +-
 tools/polkit-grant-privilege.c		 |  248 ++-----
 tools/polkit-is-privileged.c		 |   31 +-
 tools/polkit-list-privileges.c		 |   27 +-
 tools/polkit-revoke-privilege.c	 |   22 +-
 33 files changed, 2673 insertions(+), 1310 deletions(-)

commit 12d20fc8a71b59584f5636ac4dc85c36e45c0157
Author: David Zeuthen <david@fubar.dk>
Date:	Sat Apr 22 23:27:14 2006 +0000

    Update to new D-BUS API; print " (temporary)" for privilege if
    appropriate.
    Update to new D-BUS API
    Update to new D-BUS API (main): --do--
    New file
    Add build rules for polkit-revoke-privilege
    Fix up prototypes
    Update to new D-BUS API
	(polkit_manager_get_allowed_resources_for_privilege): --do--
	(polkit_manager_revoke_temporary_privilege): New function
	(polkit_manager_remove_temporary_privilege): Fix up resource
	handling
	(polkit_manager_add_temporary_privilege): --do--
    Update to new D-BUS API and export
    libpolkit_revoke_temporary_privilege()
    Update to new D-BUS API
	(libpolkit_get_allowed_resources_for_privilege_for_uid): --do--
	(libpolkit_revoke_temporary_privilege): New function
    Rename InitiatePrivilegeGrant() to
    InitiateTemporaryPrivilegeGrant(). Add
	new function RevokeTemporaryPrivilege(). Make IsUserPrivileged()
	output
	a boolean is_temporary. GetAllowedResourcesForPrivilege() now also
	outputs an integer num_non_temp.

 ChangeLog			 |   40 ++++++++
 libpolkit/libpolkit.c		 |   87 +++++++++++++++++-
 libpolkit/libpolkit.h		 |   10 ++-
 polkit-interface-manager.xml	 |   18 +++-
 polkitd/polkit-manager.c	 |   95 +++++++++++++++++--
 polkitd/polkit-manager.h	 |    8 ++-
 tools/Makefile.am		 |   11 ++-
 tools/polkit-grant-privilege.c  |   21 ++--
 tools/polkit-is-privileged.c	 |    4 +-
 tools/polkit-list-privileges.c  |   37 +++++---
 tools/polkit-revoke-privilege.c |  192
 +++++++++++++++++++++++++++++++++++++++
 11 files changed, 476 insertions(+), 47 deletions(-)

commit 5122b4d864b2c300a81a1d33049d04810c512b7c
Author: David Zeuthen <david@fubar.dk>
Date:	Sat Apr 22 02:24:00 2006 +0000

    Write some more stuff

 ChangeLog		     |	  4 +
 doc/spec/polkit-spec.html   |	400
 ++++++++++++++++++++++++++++++++++++++-----
 doc/spec/polkit-spec.xml.in |	206 +++++++++++++++++++++-
 3 files changed, 561 insertions(+), 49 deletions(-)

commit 22dff7602768a1ac5af4a602bae66ed5a461dc6b
Author: Richard Hughes <hughsient@gmail.com>
Date:	Tue Apr 4 19:04:20 2006 +0000

    Add in the new spec directory so we add the folder to the tarball.
    Fix this up in one place so it validates and so that make distcheck
    can run
	again..

 ChangeLog		     |	  8 ++++++++
 doc/Makefile.am	     |	  2 +-
 doc/spec/polkit-spec.xml.in |	 14 ++++++++------
 3 files changed, 17 insertions(+), 7 deletions(-)

commit 26a1e63b29488285b75fb3afb20355931ec286dc
Author: David Zeuthen <david@fubar.dk>
Date:	Wed Mar 29 16:15:28 2006 +0000

    Add docbook detection
    New files
    Free the questions to prevent memory leak

 ChangeLog		     |	  9 ++
 configure.in		     |	 34 ++++++
 doc/spec/polkit-spec.html   |	275
 ++++++++++++++++++++++++++++++++++++++++++-
 doc/spec/polkit-spec.xml.in |	 86 +++++++++++++-
 polkitd/polkit-session.c    |	  4 +-
 5 files changed, 399 insertions(+), 9 deletions(-)

commit a586d9605ba35127aff073203980b130606fa4cb
Author: David Zeuthen <david@fubar.dk>
Date:	Wed Mar 29 02:18:56 2006 +0000

    initial commit

 doc/spec/Makefile.am	     |	 24 +++
 doc/spec/polkit-arch.dia    |	Bin 0 -> 2952 bytes
 doc/spec/polkit-arch.png    |	Bin 0 -> 59513 bytes
 doc/spec/polkit-spec.html   |	348
 +++++++++++++++++++++++++++++++++++++++++++
 doc/spec/polkit-spec.xml.in |	169 +++++++++++++++++++++
 5 files changed, 541 insertions(+), 0 deletions(-)

commit 0b0f50123e357ebb7261c45e1ea10c4182200459
Author: Richard Hughes <hughsient@gmail.com>
Date:	Mon Mar 27 08:37:28 2006 +0000

    Add these files.

 .cvsignore	       |   29 +++++++++++++++++++++++++++++
 ChangeLog	       |    6 ++++++
 doc/.cvsignore        |    2 ++
 libpolkit/.cvsignore  |    6 ++++++
 polkitd/.cvsignore    |   12 ++++++++++++
 privileges/.cvsignore |    2 ++
 tools/.cvsignore      |   10 ++++++++++
 7 files changed, 67 insertions(+), 0 deletions(-)

commit 52a260b837596002c520cfea12162ab873941cd2
Author: David Zeuthen <david@fubar.dk>
Date:	Fri Mar 17 00:23:00 2006 +0000

    remove code that shouldn't be committed

 tools/polkit-grant-privilege.c |    7 -------
 1 files changed, 0 insertions(+), 7 deletions(-)

commit 7527634309362c42cd851428769e300cd6b311bf
Author: David Zeuthen <david@fubar.dk>
Date:	Fri Mar 17 00:21:31 2006 +0000

    Remember to kill the child here

 ChangeLog			|    5 +++++
 polkitd/polkit-session.c	|    4 ++++
 tools/polkit-grant-privilege.c |    7 +++++++
 3 files changed, 16 insertions(+), 0 deletions(-)

commit 11176b6bcc85b50a26eb86ef452e31d3193285ef
Author: David Zeuthen <david@fubar.dk>
Date:	Thu Mar 16 23:36:16 2006 +0000

    forgot ChangeLog for polkitd/main.c

 ChangeLog |	2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 4fa68a3d911f91c2a6c8af07c673ee8656d3b082
Author: David Zeuthen <david@fubar.dk>
Date:	Thu Mar 16 23:28:47 2006 +0000

    Unref when the child dies (polkit_session_initiate_auth): Ref
    the object
	after creating child (polkit_session_initiator_disconnected):
	Make sure
	to nuke the kids

 ChangeLog		  |    6 ++++++
 polkitd/main.c		  |    6 +++++-
 polkitd/polkit-session.c |   11 +++++++++++
 3 files changed, 22 insertions(+), 1 deletions(-)

commit f6dd9fa05c574803a2594ed93abb986ae6ec4dcf
Author: David Zeuthen <david@fubar.dk>
Date:	Wed Mar 15 16:11:33 2006 +0000

    Include sys/types.h; fixed fd.o bug #6280. Patch from Wouter
    Bolsterlee
	<uws+freedesktop@xs4all.nl>.

 ChangeLog		  |    5 +++++
 polkitd/polkit-manager.h |    1 +
 2 files changed, 6 insertions(+), 0 deletions(-)

commit fcb7e7f45ad8c92844a019c318f7add4accea3e6
Author: David Zeuthen <david@fubar.dk>
Date:	Wed Mar 15 00:33:35 2006 +0000

    Change priorities from 90 10 to 98 02 to make this work
    Remove user="@POLKIT_USER@" bits as I'm not sure we need a dedicated
    user
    Cosmetic things

 ChangeLog		   |   10 ++++++++++
 configure.in		   |	4 ++--
 polkitd/PolicyKit.conf.in |	3 ---
 polkitd/PolicyKit.in	   |	2 +-
 4 files changed, 13 insertions(+), 6 deletions(-)

commit 4203c0a966ec2b8004334cf36ca5123384c93657
Author: David Zeuthen <david@fubar.dk>
Date:	Wed Mar 15 00:29:38 2006 +0000

    remove Makefile.in; it's not needed

 tools/Makefile.in |  545
 -----------------------------------------------------
 1 files changed, 0 insertions(+), 545 deletions(-)

commit 07c379656956b082257214ca7196b90cb0b98fb2
Author: Kay Sievers <kay.sievers@vrfy.org>
Date:	Wed Mar 15 00:19:57 2006 +0000

    Add SUSE distro bits.

 ChangeLog     |    7 ++++++
 configure.in  |   58
 ++++++++++++++++++++++++++++++++++++++++++++++----------
 policy-kit.in |    8 +++---
 3 files changed, 58 insertions(+), 15 deletions(-)

commit 8ac28d7c3aa706fe527a38bb8ed87e76e4dd1006
Author: David Zeuthen <david@fubar.dk>
Date:	Tue Mar 14 06:20:47 2006 +0000

    forgot two files

 polkitd/PolicyKit.conf.in |   23 ++++++++++++++
 polkitd/PolicyKit.in	   |   74
 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 97 insertions(+), 0 deletions(-)

commit 96f6daa63d428d9a16d8564b83f33b71e1cd41ca
Author: David Zeuthen <david@fubar.dk>
Date:	Tue Mar 14 06:14:33 2006 +0000

    Add a bunch of code; basically a full rewrite moving all queries
    to the
	daemon.

 COPYING			      |    4 +
 ChangeLog			      |   75 +++
 Makefile.am			      |    7 +-
 configure.in			      |  156 +++++-
 doc/api/tmpl/libpolkit.sgml	      |  304 +----------
 libpolkit/Makefile.am		      |   16 +-
 libpolkit/libpolkit-test.c	      |  280 ----------
 libpolkit/libpolkit.c		      |  833 +++++-----------------------
 libpolkit/libpolkit.h		      |  122 +----
 policy-kit.in			      |    8 +
 polkit-interface-manager.xml	      |   36 ++
 polkit-interface-session.xml	      |   51 ++
 polkit.pc.in			      |    2 +-
 polkitd/Makefile.am		      |   94 ++++
 polkitd/debug-polkitd.sh	      |    9 +
 polkitd/main.c			      |  229 ++++++++
 polkitd/policy.c		      |  765 ++++++++++++++++++++++++++
 polkitd/policy.h		      |   76 +++
 polkitd/polkit-manager.c	      |  720 ++++++++++++++++++++++++
 polkitd/polkit-manager.h	      |  120 ++++
 polkitd/polkit-marshal.list	      |    1 +
 polkitd/polkit-session.c	      | 1003
 ++++++++++++++++++++++++++++++++++
 polkitd/polkit-session.h	      |  123 +++++
 polkitd/polkitd-test.c		      |  264 +++++++++
 polkitd/run-polkitd.sh		      |    7 +
 polkitd/valgrind-polkitd.sh	      |    4 +
 privileges/Makefile.am		      |    7 +
 privileges/desktop-console.privilege |    4 +
 tools/Makefile.am		      |   31 +-
 tools/Makefile.in		      |   76 +++-
 tools/polkit-grant-privilege.c       |  434 +++++++++++++++
 tools/polkit-is-privileged.c	      |  102 ++--
 tools/polkit-list-privileges.c       |  183 ++++++
 33 files changed, 4702 insertions(+), 1444 deletions(-)

commit 4f567cd7eef1cb7fcd5777a0ba2b6df03e5ea88c
Author: David Zeuthen <david@fubar.dk>
Date:	Thu Mar 9 17:14:48 2006 +0000

    Use right Cflags

 ChangeLog    |    4 ++++
 polkit.pc.in |    2 +-
 2 files changed, 5 insertions(+), 1 deletions(-)

commit 01480a0a3a29ea19d9eec64957500b3f10782f9a
Author: David Zeuthen <david@fubar.dk>
Date:	Wed Mar 8 03:28:58 2006 +0000

    s/hal-policy/polkit/

 ChangeLog		      |    4 ++++
 tools/polkit-is-privileged.c |    6 +++---
 2 files changed, 7 insertions(+), 3 deletions(-)

commit 2fc39a9c0613aac4d2b27d1c5c5f5a007fa8e0ee
Author: David Zeuthen <david@fubar.dk>
Date:	Wed Mar 8 02:56:14 2006 +0000

    Use simpler names: user, group and txtsrc :-/

 ChangeLog    |    4 ++++
 polkit.pc.in |    6 +++---
 2 files changed, 7 insertions(+), 3 deletions(-)

commit e38d77bc2e264037178260f8c2add199d19a0950
Author: David Zeuthen <david@fubar.dk>
Date:	Wed Mar 8 02:53:45 2006 +0000

    Add libpoluser, libpolgroup and libpoltxtsrc variables

 ChangeLog    |    4 ++++
 polkit.pc.in |    4 ++++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit 05ccc643324f43b9ff9b8fec05ea3dcd60685f27
Author: David Zeuthen <david@fubar.dk>
Date:	Wed Mar 8 02:45:24 2006 +0000

    s/-llibpolkit/-lpolkit/

 ChangeLog		     |	  4 ++++
 doc/api/tmpl/libpolkit.sgml |	  2 --
 polkit.pc.in		     |	  2 +-
 3 files changed, 5 insertions(+), 3 deletions(-)

commit ad38877e473b0c61a320d9d514edeb127187ae67
Author: David Zeuthen <david@fubar.dk>
Date:	Wed Mar 8 01:52:03 2006 +0000

    Initial import

commit 9a089c64d4c3b16038ed3acb526102d861cc033c
Author: David Zeuthen <david@fubar.dk>
Date:	Wed Mar 8 01:52:03 2006 +0000

    Initial revision

 AUTHORS			 |    1 +
 COPYING			 |  551 ++++++++++++++++++++++++++
 ChangeLog			 |    4 +
 HACKING			 |   16 +
 Makefile.am			 |   13 +
 NEWS				 |    9 +
 README				 |   14 +
 acinclude.m4			 |   97 +++++
 autogen.sh			 |   93 +++++
 configure.in			 |  198 +++++++++
 doc/Makefile.am		 |    7 +
 doc/TODO			 |    2 +
 doc/api/Makefile.am		 |   46 +++
 doc/api/polkit-docs.xml	 |   14 +
 doc/api/tmpl/libpolkit.sgml	 |  357 +++++++++++++++++
 gtk-doc.make			 |  153 +++++++
 libpolkit/Makefile.am		 |   39 ++
 libpolkit/libpolkit-test.c	 |  280 +++++++++++++
 libpolkit/libpolkit.c		 |  836
 +++++++++++++++++++++++++++++++++++++++
 libpolkit/libpolkit.h		 |  151 +++++++
 mkinstalldirs			 |  111 ++++++
 polkit.pc.in			 |   11 +
 tools/Makefile.am		 |   20 +
 tools/Makefile.in		 |  487 +++++++++++++++++++++++
 tools/polkit-is-privileged.c	 |  194 +++++++++
 25 files changed, 3704 insertions(+), 0 deletions(-)
